2016-03-01  Will Estes <westes575@gmail.com>

	* NEWS: Mention 2.6.1 release date

2016-02-28  rlar <rlar>

	* src/gen.c: avoid warning, add (int) cast to the read() return
	value For similiarity with the fread() case.

2016-02-28  rlar <rlar>

	* src/scan.l: avoid warning, POSIX says yyless() has an `int'
	argument

2016-02-29  rlar <rlar>

	* src/filter.c: use type size_t in filter_tee_header() to avoid
	warnings

2016-02-29  rlar <rlar>

	* src/filter.c, src/misc.c, src/scanopt.c, src/tables.c: add
	(size_t) casts to malloc invocations to prevent warnings

2016-02-29  rlar <rlar>

	* src/buf.c, src/misc.c, src/scan.l, src/scanopt.c, src/tables.c: 
	add (int) casts to some strlen() invocations to prevent warnings

2016-02-29  rlar <rlar>

	* src/flexdef.h, src/scan.l, src/sym.c: ndlookup(), char *, to get
	rid of casts and warnings

2016-02-28  rlar <rlar>

	* src/flexdef.h, src/scan.l, src/sym.c: ndinstal(), char *, to get
	rid of casts and warnings

2016-02-28  rlar <rlar>

	* src/flexdef.h, src/scan.l, src/sym.c: cclinstal() and ccllookup(),
	char *, to get rid of casts and warnings

2016-02-28  rlar <rlar>

	* src/gen.c: warning: redundant redeclaration of
	‘gen_next_state’ [-Wredundant-decls]

2016-02-28  rlar <rlar>

	* src/gen.c: warning: no previous prototype for ‘mkecstbl’
	[-Wmissing-prototypes]

2016-02-28  rlar <rlar>

	* src/main.c: warning: suggest parentheses around assignment used as
	truth value [-Wparentheses]

2016-02-28  rlar <rlar>

	* src/flexdef.h: warning: redundant redeclaration of ‘yywrap’
	[-Wredundant-decls]

2016-02-28  rlar <rlar>

	* src/flexdef.h: warning: redundant redeclaration of ‘yylval’
	[-Wredundant-decls]

2016-02-28  rlar <rlar>

	* src/flexdef.h: warning: redundant redeclaration of ‘yyin’
	[-Wredundant-decls]

2016-02-28  rlar <rlar>

	* src/flexdef.h, src/main.c: warning: redundant redeclaration of
	‘yyparse’ [-Wredundant-decls]

2016-02-28  rlar <rlar>

	* src/parse.y, src/scan.l, src/yylex.c, to.do/unicode/scan.l: 
	unification, rename some more rename these too for improved similiarity:   OPTION_OP OPT_HEADER OPT_EXTRA_TYPE OPT_TABLES

2016-02-28  rlar <rlar>

	* src/parse.y, src/scan.l, src/yylex.c, to.do/unicode/scan.l: fix
	name clash, OPT_OUTFILE from parse.y and from options.h these collide:   OPT_OUTFILE OPT_PREFIX OPT_YYCLASS rename them TOK_... in the
	parser

2016-02-28  Will Estes <westes575@gmail.com>

	* lib/reallocarray.c: Prototyped reallocarray implementation

2016-02-28  Will Estes <westes575@gmail.com>

	* src/scanopt.c: Removed custom strcasecmp() function

2016-02-28  rlar <rlar>

	* src/flex.skl: fwrite wants a size_t, yyleng is int per posix

2016-02-28  rlar <rlar>

	* src/scanopt.c: Remove some unneeded casts

2016-02-28  rlar <rlar>

	* src/flexdef.h: warning: negative integer implicitly converted to
	unsigned type [-Wsign-conversion]

2016-02-27  rlar <rlar>

	* src/dfa.c, src/parse.y: dfa.c:157:24: warning: conversion to
	'size_t' from 'int' may change the sign of the result
	[-Wsign-conversion] most certainly safe cast

2016-02-27  rlar <rlar>

	* src/ccl.c: ccl.c:86:19: warning: conversion to 'unsigned char'
	from 'int' may alter its value [-Wconversion] ch seems to have been checked for proper range some lines above

2016-02-27  rlar <rlar>

	* tests/bison_nr_parser.y: warning: deprecated directive, use
	'%pure-parser' [-Wdeprecated]

2016-02-27  rlar <rlar>

	* lib/lib.c: warning: no previous prototype for 'do_nothing'
	[-Wmissing-prototypes]

2016-02-27  rlar <rlar>

	* src/libmain.c: included stdlib.h header

2016-02-27  Will Estes <westes575@gmail.com>

	* NEWS: Described more post v2.6.0 changes

2016-02-27  Will Estes <westes575@gmail.com>

	* configure.ac: build: Removed bzip2 distribiution archive

2016-02-27  Will Estes <westes575@gmail.com>

	* configure.ac: removed obsolete program check

2016-02-27  Will Estes <westes575@gmail.com>

	* configure.ac: Made some program checks more robust

2016-02-27  rlar <rlar>

	* src/flex.skl: Remove unneeded cast to int

2016-02-27  Will Estes <westes575@gmail.com>

	* src/flex.skl: Fixed incorrect integer type

2016-02-27  Will Estes <westes575@gmail.com>

	* src/flex.skl: Fix more integer types, resolves sf 184, 187

2016-02-26  Robert Larice <Robert.Larice@t-online.de>

	* src/flex.skl, src/gen.c: Removed some type conversion warnings

2016-02-26  Will Estes <westes575@gmail.com>

	* src/flex.skl: Changed another buffer size to int; resolves gh#61

2016-02-24  Will Estes <westes575@gmail.com>

	* src/flex.skl: Changed type of yy_n_chars to int; gh#53, sf#160.  The variable yy_n_chars had been of type yy_size_t which is
	incorrect given its use in read(). While it might be adviseable to
	look at defining a yy_ssize_t, there might be some issues doing this
	and so, for now, at least, we'll punt back to int.

2016-02-24  Will Estes <westes575@gmail.com>

	* src/buf.c: Fixed size of bufferallocation, resolved gh#54.  The value of n_alloc was a count, not a size. Multiplying the value
	by the element size was incorrect. That multiplication was already
	being done and having it done twice was incorrect.

2016-02-23  Tobias Klauser <tklauser@distanz.ch>

	* src/scan.l: Allow '%option noline' in flex input file, resolves
	gh#56.  Allow specifying '%option noline' in the input file, leading to the
	same effect as calling flex with the command line option --noline.  Signed-off-by: Tobias Klauser <tklauser@distanz.ch>

2016-02-23  Tobias Klauser <tklauser@distanz.ch>

	* src/buf.c, src/main.c: Emit no #line directives if gen_line_dirs
	is false, resolves igh#55.  There are two instances in the code which will print a #line
	directive to the resulting lexer, regardless of the value of
	gen_line_dirs. Fix them, so they also respect gen_line_dirs.  Signed-off-by: Tobias Klauser <tklauser@distanz.ch>

2016-02-16  Tobias Klauser <tklauser@distanz.ch>

	* lib/lib.c, src/gen.c, src/misc.c, src/scan.l: Converted K&R style
	function definitions to ANSI C style Consistently make use of the ANSI C function definition style
	instead of the K&R style.

2016-01-29  Tobias Klauser <tklauser@distanz.ch>

	* src/flex.skl: Used NULL constant instead of plain integer for NULL
	pointer.  The sparse static checker warns about using plain integer 0 as NULL
	pointers in the generated lexer code. Fix this by using NULL
	consistently for pointers.

2016-01-29  Tobias Klauser <tklauser@distanz.ch>

	* src/flex.skl: Marked declaration and definition of yy_fatal_error
	as noreturn.  Only the declaration of yy_fatal_error is marked with
	__attribute__((__noreturn__)) in case GCC >= 3 is used, but not the
	definition. This leads to the sparse static checker to complain
	about function declaration mismatch.  Fix it by defining a macro yynoreturn and using it for both the
	declaration and the definition of yy_fatal_error.

2016-01-27  Tobias Klauser <tklauser@distanz.ch>

	* src/flex.skl: Fixed declaration mismatch in yy_fatal_error.  The prototype declares yy_fatal_error parameter as "const char
	msg[]" while the definition uses "const char* msg" (introduced by
	commit e9d5fc713f61b) which causes the sparse static checkers to
	produce an error.  Fix this by adjusting the definition to use "const char* msg" as
	well.  Also change the C++ version accordingly so it matches the
	declaration in FlexLexer.hpp.

2016-01-23  Will Estes <westes575@gmail.com>

	* CODE_OF_CONDUCT.md: flex is for flex #NCoC

2016-01-18  Will Estes <westes575@gmail.com>

	* doc/flex.texi: Referred to github for issue tracking, no longer sf

2016-01-10  Egor Pugin <egor.pugin@gmail.com>

	* tests/reject.l4, tests/tableopts.l4: Opened files in binary mode
	explicitly

2016-01-08  OBATA Akio <obache@NetBSD.org>

	* src/Makefile.am: Linked flex binary against libintl, not libfl.   Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

2016-01-08  Michael van Elst <mlelstv@NetBSD.org>

	* src/filter.c: Improved pipe-stdin hack behavior; resolves sf#198.  Signed-off-by: Thomas <Klausner wiz@NetBSD.org>

2015-12-27  Will Estes <westes575@gmail.com>

	* configure.ac, src/flexdef.h: Removed no longer needed header
	checks

2015-12-27  Will Estes <westes575@gmail.com>

	* configure.ac: Checked for reallocarray() with AC_REPLACE_FUNCS

2015-12-27  Will Estes <westes575@gmail.com>

	* src/flexdef.h, src/main.c: include libgen.h from flexdef.h, not
	main.c

2015-12-25  Michael Reed <m.reed@mykolab.com>

	* src/main.c: Replace basename2() with basename(3).  Given the following program: 	\#include <libgen.h> 	\#include <stdio.h> 	/* extracts basename from path, optionally stripping the extension
		 "\.*" * (same concept as /bin/sh `basename`, but different handling
		of extension). */ static char *basename2 (char *path) 	{ 		char   *b; 		for (b = path; *path; path++) 			if (*path == '/') 				b = path + 1; 		return b; 	} 	static void basename_compare(char *path) 	{ 		printf("basename: %s\n", basename(path)); 		printf("basename2: %s\n\n", basename2(path)); 	} 	int main (int argc, char *argv[]) 	{ 		// From http://pubs.opengroup.org/onlinepubs/9699919799/ 		// ``Sample Input and Output Strings'' 		basename_compare("/usr/lib"); 		basename_compare("/usr/"); 		basename_compare("/"); 		basename_compare("///"); 		basename_compare("//usr//lib//"); 		return 0; 	} ... and the program's output: 	basename: lib 	basename2: lib 	basename: usr 	basename2: 	basename: / 	basename2: 	basename: / 	basename2: 	basename: lib 	basename2: ... we can see that basename2() behaves the same as basename(3) in
	the average use case, but messes up pretty severely in others.
	Besides that, basename(3) is mandated by POSIX so should be present
	on modern Unix-like systems, so we shouldn't define it ourselves.  Some notes: - it doesn't appear to be mentioned in POSIX, but OpenBSD's
	  basename(3) returns NULL if the returned path componenet is >
	  PATH_MAX, so add a check for that - basename(3) shouldn't return an empty string, so remove the   program_name[0] != '\0' check

2015-12-25  Michael Reed <m.reed@mykolab.com>

	* src/main.c: Simplify basename2().  It's only call site does not activate the `strip_ext` code path, so
	the function can be simplified a lot.  While here, remove a double
	assignment.

2015-12-25  Michael Reed <m.reed@mykolab.com>

	* src/flex.skl, src/misc.c: Cleaned up __STDC__ #ifdefs.  Assuming a compiler conforming to the ISO C standard is used, i.e.,
	__STDC__ is defined to 1, YY_USE_CONST is always defined and can be
	eliminated.

2015-12-25  Michael Reed <m.reed@mykolab.com>

	* src/flexdef.h, src/main.c, src/scanopt.c, src/scanopt.h,
	src/sym.c: Remove remaining use of PROTO

2015-12-21  Serguey Parkhomovsky <xindigo@gmail.com>

	* src/buf.c: buf.c: use snprintf

2015-12-19  Will Estes <westes575@gmail.com>

	* configure.ac: build: reformatted AC_CHECK_FUNCS for readability

2015-12-17  Will Estes <westes575@gmail.com>

	* src/scanopt.c: correct function prototype

2015-12-15  Michael Reed <m.reed@mykolab.com>

	* src/main.c, src/scanopt.c, src/sym.c, src/tblcmp.c: Remove more
	instances of PROTO

2015-12-15  Michael Reed <m.reed@mykolab.com>

	* src/main.c: Removed prototype for main().  It's not called anywhere else so the prototype is not needed.  See
	the C99 standard [1], section 5.1.2.2.1 for more info.  [1]: http://www.open-std.org/jtc1/sc22/wg14/www/docs/n1256.pdf

2015-12-13  Michael McConville <mmcco@mykolab.com>

	* src/dfa.c, src/gen.c, src/nfa.c, to.do/unicode/main.c,
	to.do/unicode/tblcmp.c: Removed more instances of PROTO, ansifying.

2015-12-13  Will Estes <westes575@gmail.com>

	* README: Noted github for issue tracking and pull requests

2015-12-13  Michael McConville <mmcco@mykolab.com>

	* README: Reformatted README; removed sf bug tracking link.

2015-12-13  Michael McConville <mmcco@mykolab.com>

	* src/gen.c, to.do/unicode/gen.c: Removed macros for indentation
	level.  Just increment or decrement the indentation counter. That's less to
	remember and makes the code more readable.  w# Please enter the commit message for your changes. Lines starting

2015-12-12  Mike Frysinger <vapier@gentoo.org>

	* tests/Makefile.am, tests/testwrapper.sh: tests: fixed paths to
	input files.  The current test wrapper works only when the inputs are specified
	using relative paths.  If they're specified with absolute paths, the
	driver fails to detect the inputs because it always prepends the
	input dir name which itself is a relative path: $ cd tests $
	./testwrapper.sh -d . -i $PWD/reject.txt -t ./reject_ver.table
	<fails to open inputs> This normally doesn't show up because people run `./configure` or,
	for out of tree builds, `../configure`.  But if you happen to run
	configure with an absolute path, then automake tends to generate
	absolute paths as well leading to test failures.  Fix all of this by dropping the implicit input directory prepending.  - INPUT_NAME is often a list of files, not just a single one - the input directory is used to find the testname tables which are   usually generated, so it's impossible to use files from both
	  source and build directories - most of the time, the full/correct path is already specified

2015-12-12  Mike Frysinger <vapier@gentoo.org>

	* configure.ac: configure: fixed realloc test.  The [] characters are used for quoting in m4, so the attempt to use
	them in place of `test` fails yielding the warning at build time: .../flex/configure: line 20222: no: command not found

2015-12-12  Michael McConville <mmcco@mykolab.com>

	* src/flexdef.h: Started removal of PROTO macro.  The PROTO macro is no longer needed. Additionally, its usage is
	inconsistent, so we began removing it.

2015-12-12  Michael Reed <m.reed@mykolab.com>

	* Makefile.am, src/main.c: Removed SHORT_FILE_NAMES preprocessor
	symbol.  As a relic of MS-DOS, we don't need this.  It's never defined; see 13b5b214f53d1c3354a7ab910bd160c126df1331.  Removed additional MSDOS ifdef.

2015-12-11  Michael McConville <mmcco@mykolab.com>

	* configure.ac, lib/reallocarray.c, src/flexdef.h: Added new
	function reallocarray.  This is taken from OpenSSH Portable, which in turn takes it from
	OpenBSD.  reallocarray wraps the stdlib's realloc function. It takes two size
	arguments and checks for overflow, like calloc, but doesn't zero the
	memory. Therefore, it allows us to do overflow-safe array
	reallocations and overflow-safe unzeroed array allocations, which
	the stdlib allocation functions don't.  We have a bunch of specific array allocation macros, none of which
	check for overflow. reallocarray should be able to replace them.

2015-12-11  Michael McConville <mmcco@mykolab.com>

	* src/flexdef.h: Removed MS-DOS, VMS macros.  Given the age of the MS-DOS and VMS platforms, it's likely that no
	one is building flex on them any more. Additionally, the preferred
	approach is to test for particular platform features rather than to
	test for particular platforms.

2015-12-12  Will Estes <westes575@gmail.com>

	* src/flexdef.h, src/main.c: Made search for m4 more explicit.

2015-12-12  Will Estes <westes575@gmail.com>

	* src/flex.skl: Returned 0 from yywrap() instead of EOF

2015-12-11  Will Estes <westes575@gmail.com>

	* src/libmain.c: Changed end of main() in libmain to exit(0)

2015-12-11  Will Estes <westes575@gmail.com>

	* NEWS, configure.ac: Mentioned v2.6.1; documented some changes
	since v2.6.0

2015-12-11  Will Estes <westes575@gmail.com>

	* README: Updated build documentation; finished sf#155.  Removed version numbers for build tools. Noted that version
	requirements for build tools will be noted in configure.ac. Expanded
	documentation of building texinfo based docs.

2015-12-11  Will Estes <westes575@gmail.com>

	* doc/Makefile.am: Removed flex.pdf from distribution; partially
	fixed sf#155

2015-12-11  Will Estes <westes575@gmail.com>

	* src/flex.skl: Commented in C style in skeleton; fixed sf#195

2015-12-10  Will Estes <westes575@gmail.com>

	* .gitignore: Ignored autoscan files

2015-12-09  Will Estes <westes575@gmail.com>

	* configure.ac: Checked for ranlib and strdup() at configure time

2015-12-09  Michael McConville <mmcconville@mykolab.com>

	* src/flexdef.h, src/misc.c, src/tblcmp.c, to.do/unicode/flexdef.h,
	to.do/unicode/misc.c, to.do/unicode/tblcmp.c: Replace zero_out()
	with stdlib's memset.

2015-12-09  Michael McConville <mmcconville@mykolab.com>

	* src/flex.skl: Removed memory allocation casts.

2015-12-09  Michael McConville <mmcconville@mykolab.com>

	* src/flexdef.h: Removed alloca() configuration.  Since alloca() is dangerous, depricated, we remove it.

2015-12-09  Michael McConville <mmcconville@mykolab.com>

	* src/flexdef.h: Removed implementation of isascii().  POSIX defines isascii(), so it's likely present on anything
	weactually build flex on these days.

2015-12-09  Michael McConville <mmcconville@mykolab.com>

	* src/main.c, src/scanopt.c, src/tables.c: Removed NULL-checks
	before free()

2015-12-08  Michael McConville <mmcconville@mykolab.com>

	* src/buf.c, src/dfa.c, src/flexdef.h, src/gen.c, src/scan.l,
	to.do/unicode/flexdef.h, to.do/unicode/scan.l: Removed flex_free()i,
	corrected buf_destroy logic.  As with flex_alloc(), replace with direct calls to free().  The function buf_destroy is now null safe and the logic was
	corrected to free() correctly.

2015-12-08  Michael McConville <mmcconville@mykolab.com>

	* src/filter.c, src/flexdef.h, src/misc.c, src/scan.l,
	src/scanflags.c, to.do/unicode/flexdef.h, to.do/unicode/misc.c,
	to.do/unicode/scan.l: Removed flex_realloc().  As with flex_alloc(), replace calls to flex_realloc(), which was
	just a wrapper around realloc().

2015-12-08  Michael McConville <mmcconville@mykolab.com>

	* src/buf.c, src/filter.c, src/flexdef.h, src/main.c, src/misc.c,
	src/regex.c, src/scan.l, src/scanflags.c, src/sym.c,
	to.do/unicode/flexdef.h, to.do/unicode/misc.c, to.do/unicode/scan.l: 
	Removed flex_alloc; cleaned up style.  The function flex_alloc() was just a wrapper around malloc(). Since
	this only added unclarity, and the flex_alloc() function is likely a
	legacy of olden times, remove it in favor of calls to malloc()
	directly.  Style elements cleaned up:  * superfluous spacing around parentheses  * non-constant initialization in variable declarations  * needless casts  * almost all uses of assignments as subexpressions

2015-12-07  Michael McConville <mmcconville@mykolab.com>

	* src/dfa.c, src/flexdef.h, src/gen.c, src/main.c, src/scan.l,
	src/scanopt.c, tests/bison_nr_scanner.l,
	tests/bison_yylloc_scanner.l, tests/bison_yylval_scanner.l,
	tests/mem_nr.l, tests/mem_r.l, tests/pthread.l, tests/string_nr.l,
	tests/string_r.l, tests/yyextra.l, to.do/unicode/scan.l: Remove
	allocation casts

2015-12-07  Will Estes <westes575@gmail.com>

	* src/.gitignore, src/Makefile.am: Built flex with itself.  Changes in scan.l need to be built into flex with the same version
	of flex in some cases. Since this build requirement is minimal, we
	simply bootstrap flex unconditionally.  We intentionally exclude from version control the bootstrap
	artifacts as the extra copy of the lexer, the intermediate scanner
	and the bootstrap executable are not of interest.

2015-12-05  Michael McConville <mmcconville@mykolab.com>

	* src/buf.c, src/dfa.c, src/main.c, src/nfa.c, src/parse.y,
	src/scan.l, src/scanopt.c, src/sym.c, to.do/unicode/main.c,
	to.do/unicode/scan.l: Use NULL rather than (type *) 0.

2015-12-05  Michael McConville <mmcconville@mykolab.com>

	* src/flexdef.h, src/misc.c, src/sym.c, to.do/unicode/flexdef.h,
	to.do/unicode/misc.c: Replace copy_unsigned_string() with xstrdup().  Like copy_string(), copy_unsigned_string() is just a clone of the
	stlib's strdup(). We only use it twice. I'm pretty confident that
	char signedness is irrelevant in this case.

2015-12-04  Akim Demaille <akim@lrde.epita.fr>

	* src/FlexLexer.h: Cleaned up white space.

2015-12-04  Akim Demaille <akim@lrde.epita.fr>

	* src/FlexLexer.h: Removed struct keyword before yy_buffer_state

2015-12-04  Akim Demaille <akim@lrde.epita.fr>

	* examples/testxxLexer.l, src/FlexLexer.h, src/flex.skl, src/main.c: 
	Replaced FLEX_STD macro with std::.  The std:: construct exists as of C++98, so we can simply assume it
	is supported.

2015-12-04  Akim Demaille <akim@lrde.epita.fr>

	* src/Makefile.am: Generated skel.c explicitly in srcdir.  Rewrote the target for skel.c to explicitly mention the srcdir. This
	should help when building flex from a directory outside the flex
	tree. Spread the rule out over several lines to enhance readability.

2015-12-04  Akim Demaille <akim@lrde.epita.fr>

	* autogen.sh: Called glibtoolize if libtoolize run fails.  On Mac OS X, libtoolize is known as glibtoolize. In cases where
	libtoolize is not present, then calling glibtoolize when
	bootstrapping the build system gives more folks a shot at getting
	flex built from the ground up.

2015-12-02  Mightyjo <mightyjo@gmail.com>

	* configure.ac: Checked for (g)texi2dvi. Better bison, help2man
	checks.  Added test for presence of (g)texi2dvi program. Gave notice if
	texi2dvi is unavailable and set TEXI2DVI=: to avoid giving users
	headaches.  Enhanced tests for bison and help2man with notices when the programs
	aren't found.  Set their program variables to use the missing script
	in build-aux since it's compatible with them.

2015-12-02  Michael McConville <mmcconville@mykolab.com>

	* src/flexdef.h, src/misc.c, src/parse.y, src/scan.l, src/sym.c,
	src/tables.c, to.do/unicode/flexdef.h, to.do/unicode/misc.c,
	to.do/unicode/scan.l: Made string copying more standard.  copy_string() was a clone of the stdlib's strdup(). For safety,
	simplicity, and speed, we should use that instead. We introduce
	xstrdup() which wraps strdup() in a failure upon memory allocation
	errors.

2015-11-30  Serguey Parkhomovsky <sergueyparkhomovsky@gmail.com>

	* src/scan.l: Error on unbalanced parentheses in rules section.

2015-11-29  Will Estes <westes575@gmail.com>

	* src/Makefile.am: Cleaned up BUILT_SOURCES list.  Removed reference to skel.c as a built source since other make rules
	cover this case.

2015-11-29  Will Estes <westes575@gmail.com>

	* src/Makefile.am: Sorted file names in flex_SOURCES

2015-11-27  Mightyjo <mightyjo@gmail.com>

	* src/ecs.c, src/flexdef.h, src/main.c, src/misc.c, src/scan.l,
	src/scanopt.c, src/sym.c, src/tblcmp.c: Replaced CHAR macro with
	unsigned char type.  Thanks to Michael McConville for pointing out that the old Char
	macro causes problems with static analysis.  The macro has been
	removed and replaced with 'unsigned char' throughout the flex
	sources. The macro is not needed at best and was confusing at worst.
	It was not used in any of the example files nor was it mentioned in
	the manual at all.

2015-11-21  Will Estes <westes575@gmail.com>

	* configure.ac: updated syntax of AC_INIT call as per autoupdate

2015-11-21  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: removed extra call to a _CPPFLAGS variable

2015-05-14  Stefan Reinauer <stefan.reinauer@coreboot.org>

	* src/buf.c, src/ccl.c, src/dfa.c, src/ecs.c, src/gen.c,
	src/main.c, src/misc.c, src/nfa.c, src/parse.y, src/scan.l,
	src/scanopt.c, src/sym.c, src/tblcmp.c: Switch function definitions
	from mixed K&R to consistent ANSI C.  flex was using K&R function definitions for some functions and ANSI
	C style in others, sometimes even in the same file. Change the code
	to consistently use ANSI C.  Signed-off-by: Stefan Reinauer <stefan.reinauer@coreboot.org>

2015-11-16  Mightyjo <mightyjo@gmail.com>

	* tests/Makefile.am: Used in-tree header file for c++ tests.

2015-11-17  Will Estes <westes575@gmail.com>

	* configure.ac: Declared version 2.6.0

2015-11-17  Will Estes <westes575@gmail.com>

	* NEWS: Dated, described flex release 2.6.0

2015-11-13  Will Estes <westes575@gmail.com>

	* NEWS, configure.ac: Declared version 2.6.0rc1

2015-11-13  lukeallardyce <lukeallardyce@users.sourceforge.net>

	* src/Makefile.am: Supplied versioning information in flex
	libraries.  Resolves sourceforge bug #182. On OSX, and possibly other platforms,
	building the libfl libraries without versioning information caused a
	build failures.

2015-11-12  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: Cleaned up more precisely after make check.  BUILT_SOURCES is now just the list of headers built as per the
	automake manual. We provide the list of files to clean to make
	rebuilding the test suite programs easier. We then use the
	CLEANFILES list in a dist-hook to clean up the distribution that
	automake gathers since not distributing flex generated files is
	foreign to automake's mindset, but we need exactly that.  Additionally, we locate inputs to the tables-related tests more
	precisely. Some files are in srcdir and some are in builddir, which
	the arguments to the log compiler are now made aware of.

2015-11-11  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: Pulled out scripts in tests/Makefile.am

2015-11-11  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: Added srcdir to tableopts.am include

2015-11-11  Will Estes <westes575@gmail.com>

	* doc/Makefile.am: Changed man page dependencies.  The man page is just the --help output as reformatted by help2man.
	The --help option is most likely to change when the flex skeleton
	changes or one of the option parsing files changes or the
	configure.ac script itself changes. The dependencies reflect this
	now.  It is still necessary, under some circumstances, to rebuild flex
	explicitly before building the man page. In theory, it's possible to
	have automake arrange to do this all the time, but doing so works
	out to be fragile, given the rest of the build system.

2015-11-10  Will Estes <westes575@gmail.com>

	* autogen.sh: Called libtoolize directly because autoreconf fails to
	pick up LT_INIT properly

2015-11-10  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: Added tableopts.sh to EXTRA_DIST

2015-11-08  Mightyjo <mightyjo@gmail.com>

	* tests/Makefile.am: Made tests depend on the built flex binary.

2015-11-08  Mightyjo <mightyjo@gmail.com>

	* : commit cf6cb4dce791c26567cc506770ca96b4f4118024 Author: Mightyjo
	<mightyjo@gmail.com> Date:   Sat Nov 7 23:11:35 2015 -0800

2015-11-04  Mightyjo <mightyjo@gmail.com>

	* doc/flex.texi: Updated documentation to reflect the revisions to
	FlexLexer.h

2015-10-26  Mightyjo <mightyjo@gmail.com>

	* src/FlexLexer.h, src/flex.skl: Changed several pointers to istream
	(and ostream) to references in c++-only sections of the skeleton.  Patched up a variety of expected errors caused by changing istream*
	to istream&.  Added a stray 'make' at line 545.  Oops.  Changed the buffer_state struct to store std::streambuf* instead of
	std::istream* for C++ mode.  Changed interfaces in FlexLexer.h to
	take std::istream& instead of *.  Backward compatibility temporarily
	broken.  Patched up backward compatibility with reasonable behavior in the
	presence of null pointers.  Re-added backward-compatible versions of the yyFlexLexer methods
	that take iostream pointers.  All tests passing.

2015-09-29  Translation Project <coordinator@translationproject.org>

	* po/zh_CN.po: new zh_CN translation from the translation project

2015-07-27  Jaska Uimonen <jaska.uimonen@helsinki.fi>

	* src/gen.c: fix possible resource leak with yynultrans_tbl

2015-07-27  Jaska Uimonen <jaska.uimonen@helsinki.fi>

	* src/dfa.c: fix possible uninitialized array values

2015-08-05  Will Estes <westes575@gmail.com>

	* doc/flex.texi: add %{...%} block to example in manual

2015-07-15  Will Estes <westes575@gmail.com>

	* configure.ac: initialize libtool earlier in build system
	generation

2015-05-08  Translation Project <translation@translationproject.org>

	* po/da.po: new da translation from the Translation Project

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/gen.c, src/scan.l, tests/bison_nr_parser.y,
	tests/bison_yylloc_parser.y, tests/bison_yylval_parser.y,
	tests/multiple_scanners_nr_main.c: Fix `label unused` warning

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/flex.skl: Fix two "signed/unsigned" warnings

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* tests/alloc_extra.l, tests/array_nr.l, tests/array_r.l,
	tests/basic_nr.l, tests/basic_r.l, tests/bison_nr_scanner.l,
	tests/bison_yylloc_scanner.l, tests/bison_yylval_scanner.l,
	tests/ccl.l, tests/cxx_basic.ll, tests/debug_nr.l, tests/debug_r.l,
	tests/extended.l, tests/header_nr_scanner.l,
	tests/header_r_scanner.l, tests/include_by_buffer.direct.l,
	tests/include_by_push.direct.l,
	tests/include_by_reentrant.direct.l, tests/lineno_nr.l,
	tests/lineno_r.l, tests/lineno_trailing.l, tests/mem_nr.l,
	tests/mem_r.l, tests/multiple_scanners_nr_1.l,
	tests/multiple_scanners_nr_2.l, tests/multiple_scanners_r_1.l,
	tests/multiple_scanners_r_2.l, tests/noansi_nr.l, tests/noansi_r.l,
	tests/posix.l, tests/posixly_correct.l, tests/prefix_nr.l,
	tests/prefix_r.l, tests/pthread.l, tests/quotes.l, tests/reject.l4,
	tests/rescan_nr.direct.l, tests/rescan_r.direct.l,
	tests/string_nr.l, tests/string_r.l, tests/tableopts.l4,
	tests/top.l, tests/yyextra.l: Fix `unused function` warnings in
	tests

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* tests/bison_nr_parser.y, tests/bison_yylloc_parser.y,
	tests/bison_yylval_parser.y: Fix `implicit function declaration`
	warnings in tests

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* tests/header_r_main.c, tests/multiple_scanners_nr_main.c,
	tests/reject.l4, tests/tableopts.l4, tests/top_main.c: Remove a few
	`unused variable` warnings

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/filter.c: Remove unused variable from
	src/filter.c:filter_fix_linedirs

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/scanopt.c: Remove unused argument and variable from
	src/scanopt.c:scanopt_err

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/flex.skl, src/libmain.c, src/parse.y, tests/bison_nr_main.c,
	tests/bison_yylloc_main.c, tests/bison_yylloc_parser.y,
	tests/bison_yylval_main.c, tests/bison_yylval_parser.y,
	tests/header_nr_main.c, tests/header_r_main.c, tests/lineno_nr.l,
	tests/lineno_r.l, tests/lineno_trailing.l, tests/mem_r.l,
	tests/multiple_scanners_nr_main.c,
	tests/multiple_scanners_r_main.c, tests/pthread.l,
	tests/rescan_nr.direct.l, tests/rescan_r.direct.l, tests/top_main.c: 
	Fix a few "unused parameter" warnings

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/main.c: Fix warning about redefined macro when multiple
	scanners are used.

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* tests/bison_nr_parser.y: Avoid passing `const char*` argument as
	`char*` in test-bison-nr

2014-11-21  Alexis La Goutte <alexis.lagoutte@gmail.com>

	* src/misc.c, src/regex.c, src/tables.c, src/tables_shared.c: Fix
	-Wdocumentation warnings

2014-11-16  Will Estes <westes575@gmail.com>

	* tests/README: document new suite layout

2014-11-16  Will Estes <westes575@gmail.com>

	* tests/TEMPLATE/.gitignore, tests/TEMPLATE/Makefile.am,
	tests/TEMPLATE/cvsignore, tests/TEMPLATE/parser.y,
	tests/TEMPLATE/scanner.l, tests/TEMPLATE/test.input,
	tests/create-test, tests/descriptions: remove unused files after
	test suite refactor

2014-11-14  Will Estes <westes575@gmail.com>

	* .gitignore, doc/.gitignore: Ignore directories build-aux/, m4/ Since build-aux/ now contains a number of files previously at the
	top level, we ignore build-aux/. Therefore, it's not necessary to
	list any files that are now kept in it. Also, explicitly mark m4/ as
	a directory to ignore.

2014-11-14  Will Estes <westes575@gmail.com>

	* configure.ac: added back call to AC_CONFIG_AUX_DIR.  In an effort to reduce top level directory clutter, reintroduced the
	call to AC_CONFIG_AUX_DIR. Moved the call to LT_INIT to after that
	call so configure will be able to find its files.

2014-07-18  Will Estes <westes575@gmail.com>

	* tests/tableopts.sh, tests/testwrapper.sh: use unofficial bash
	strict mode and cleanups in supporting bash scripts

2014-07-18  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/tableopts.am,
	tests/tableopts.l4, tests/tableopts.sh, tests/tableopts.txt,
	tests/test-table-opts/.gitignore,
	tests/test-table-opts/Makefile.am, tests/test-table-opts/scanner.l,
	tests/test-table-opts/test.input: split apart table options tests
	into tests per threading, table option, serialization and
	verification

2014-07-17  Will Estes <westes575@gmail.com>

	* tests/tableopts.sh: add tableopts.sh script

2014-07-02  Will Estes <westes575@gmail.com>

	* configure.ac, tests/Makefile.am: use automake conditional  around
	pthread test

2014-07-01  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/lineno_trailing.l,
	tests/lineno_trailing.one.txt,
	tests/test-lineno-trailing/.gitignore,
	tests/test-lineno-trailing/Makefile.am,
	tests/test-lineno-trailing/scanner.l,
	tests/test-lineno-trailing/test.input: refactor lineno_trailing test
	for new test suite layout

2014-07-01  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/lineno_r.l,
	tests/lineno_r.one.txt, tests/test-lineno-r/.gitignore,
	tests/test-lineno-r/Makefile.am, tests/test-lineno-r/scanner.l,
	tests/test-lineno-r/test.input: refactor lineno_r test for new test
	suite layout

2014-07-01  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/lineno_nr.l,
	tests/lineno_nr.one.txt, tests/test-lineno-nr/.gitignore,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-nr/scanner.l,
	tests/test-lineno-nr/test.input, tests/testwrapper.sh: refactor
	lineno_nr test for new test suite layout

2014-06-30  Will Estes <westes575@gmail.com>

	* tests/test-linedir-r/.gitignore,
	tests/test-linedir-r/Makefile.am,
	tests/test-linedir-r/check-lines.awk, tests/test-linedir-r/main.c,
	tests/test-linedir-r/scanner.l, tests/test-linedir-r/test.input: 
	Remove linedir_r test.  The linedir_r test tested the implementation of line number
	tracking, not its results.

2014-06-24  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/pthread.l,
	tests/pthread_1.txt, tests/pthread_2.txt, tests/pthread_3.txt,
	tests/pthread_4.txt, tests/pthread_5.txt,
	tests/test-pthread/.gitignore, tests/test-pthread/Makefile.am,
	tests/test-pthread/scanner.l, tests/test-pthread/test-1.input,
	tests/test-pthread/test-2.input, tests/test-pthread/test-3.input,
	tests/test-pthread/test-4.input, tests/test-pthread/test-5.input: 
	refactor pthread test for new test suite layout

2014-06-24  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: build reject_[vs]er tests explicitly to pass
	proper compiler flags

2014-06-24  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/cxx_yywrap.ll,
	tests/cxx_yywrap.txt, tests/test-c++-yywrap/.gitignore,
	tests/test-c++-yywrap/Makefile.am, tests/test-c++-yywrap/scanner.l,
	tests/test-c++-yywrap/test.input, tests/testwrapper.sh: refactor
	cxx_yywrap test for new test suite layout

2014-06-17  Will Estes <westes575@gmail.com>

	* tests/Makefile.am, tests/options.cn,
	tests/test-concatenated-options/.gitignore,
	tests/test-concatenated-options/Makefile.am: refactor concatenated
	options test for new test suite layout

2014-06-17  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am,
	tests/include_by_buffer.direct.l,
	tests/include_by_buffer.direct.txt,
	tests/include_by_buffer.direct_2.txt,
	tests/include_by_buffer.direct_3.txt,
	tests/include_by_push.direct.l, tests/include_by_push.direct.txt,
	tests/include_by_push.direct_2.txt,
	tests/include_by_push.direct_3.txt,
	tests/include_by_reentrant.direct.l,
	tests/include_by_reentrant.direct.txt,
	tests/include_by_reentrant.direct_2.txt,
	tests/include_by_reentrant.direct_3.txt,
	tests/test-include-by-buffer/.gitignore,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-buffer/scanner.l,
	tests/test-include-by-buffer/test-1.input,
	tests/test-include-by-buffer/test-2.input,
	tests/test-include-by-buffer/test-3.input,
	tests/test-include-by-push/.gitignore,
	tests/test-include-by-push/Makefile.am,
	tests/test-include-by-push/scanner.l,
	tests/test-include-by-push/test-1.input,
	tests/test-include-by-push/test-2.input,
	tests/test-include-by-push/test-3.input,
	tests/test-include-by-reentrant/.gitignore,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-include-by-reentrant/test-1.input,
	tests/test-include-by-reentrant/test-2.input,
	tests/test-include-by-reentrant/test-3.input: refactor include_by_*
	tests for new test suite layout

2014-06-16  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/rescan_nr.direct.l,
	tests/rescan_nr.direct.txt, tests/rescan_nr.l, tests/rescan_nr.txt,
	tests/rescan_r.direct.l, tests/rescan_r.direct.txt,
	tests/test-rescan-r/.gitignore, tests/test-rescan-r/Makefile.am,
	tests/test-rescan-r/scanner.l, tests/test-rescan-r/test.input,
	tests/testwrapper.sh: refactor rescan_r test for new test suite
	layout

2014-06-16  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/rescan_nr.l,
	tests/rescan_nr.txt, tests/test-rescan-nr/.gitignore,
	tests/test-rescan-nr/Makefile.am, tests/test-rescan-nr/scanner.l,
	tests/test-rescan-nr/test.input, tests/testwrapper.sh: Refactor
	rescan_nr test for new test suite layout.  Also add -r option to testwrapper.sh to support passing input file
	as a command line argument to the test scanner without using shell
	redirection.

2014-06-16  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: correct use of objext to OBJEXT

2014-06-16  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/quotes.l,
	tests/quotes.txt, tests/test-quotes/.gitignore,
	tests/test-quotes/Makefile.am, tests/test-quotes/scanner.l,
	tests/test-quotes/test.input: refactor quotes test for new test
	suite layout

2014-06-16  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/reject.l4,
	tests/reject.txt, tests/test-reject/.gitignore,
	tests/test-reject/Makefile.am, tests/test-reject/scanner.l,
	tests/test-reject/test.input, tests/testwrapper.sh: Refactor reject
	test for new test suite layout.  Split out reject test into its constituant tests. Add .reject tests
	and .table tests for automake test log generation. Rewrite
	testwrapper.sh to handle running with a tables file and specifying
	optional input using command line options rather than positional
	parameters.

2014-06-15  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am,
	tests/multiple_scanners_r_1.l, tests/multiple_scanners_r_2.l,
	tests/multiple_scanners_r_main.c,
	tests/test-multiple-scanners-r/.gitignore,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-multiple-scanners-r/main.c,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l: Refactor
	multiple_scanners_r test for new test suite layout.  Also, remove the use of table files from this test as that tests two
	features at once and we want to be as close to testing one feature
	at a time as we can be.

2014-06-15  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am,
	tests/multiple_scanners_nr_1.l, tests/multiple_scanners_nr_2.l,
	tests/multiple_scanners_nr_main.c,
	tests/test-multiple-scanners-nr/.gitignore,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-nr/main.c,
	tests/test-multiple-scanners-nr/scanner-1.l,
	tests/test-multiple-scanners-nr/scanner-2.l: refactor
	multiple_scanners_nr test for new test suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am,
	tests/cxx_multiple_scanners.txt, tests/cxx_multiple_scanners_1.ll,
	tests/cxx_multiple_scanners_2.ll,
	tests/cxx_multiple_scanners_main.cc,
	tests/test-c++-multiple-scanners/.gitignore,
	tests/test-c++-multiple-scanners/Makefile.am,
	tests/test-c++-multiple-scanners/main.cpp,
	tests/test-c++-multiple-scanners/scanner-1.l,
	tests/test-c++-multiple-scanners/scanner-2.l,
	tests/test-c++-multiple-scanners/test.input: refactor
	cxx_multiple_scanners test for new test suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/c_cxx_nr.lll,
	tests/c_cxx_nr.txt, tests/c_cxx_r.lll, tests/c_cxx_r.txt,
	tests/test-c-cpp-nr/.gitignore, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-nr/scanner.l, tests/test-c-cpp-nr/test.input,
	tests/test-c-cpp-r/.gitignore, tests/test-c-cpp-r/Makefile.am,
	tests/test-c-cpp-r/scanner.l, tests/test-c-cpp-r/test.input: 
	refactor c_cxx_nr, c_cxx_r tests for new test suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/cxx_basic.ll,
	tests/cxx_basic.txt, tests/test-c++-basic/.gitignore,
	tests/test-c++-basic/Makefile.am, tests/test-c++-basic/scanner.l,
	tests/test-c++-basic/test.input: refactor cxx_basic test for new
	test suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/posixly_correct.l,
	tests/test-posixly-correct/.gitignore,
	tests/test-posixly-correct/Makefile.am,
	tests/test-posixly-correct/scanner.l: refactor posixly_correct test
	for new test suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am,
	tests/test-yyextra/.gitignore, tests/test-yyextra/Makefile.am,
	tests/test-yyextra/scanner.l, tests/test-yyextra/test.input,
	tests/yyextra.l, tests/yyextra.txt: refactor yyextra test for new
	test suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/test-top/.gitignore,
	tests/test-top/Makefile.am, tests/test-top/main.c,
	tests/test-top/scanner.l, tests/test-top/test.input, tests/top.l,
	tests/top.txt, tests/top_main.c: refactor top test for new test
	suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/string_r.l,
	tests/test-string-r/.gitignore, tests/test-string-r/Makefile.am,
	tests/test-string-r/scanner.l: refactor string_r test for new test
	suite layout

2014-06-14  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/string_nr.l,
	tests/test-string-nr/.gitignore, tests/test-string-nr/Makefile.am,
	tests/test-string-nr/scanner.l: refactor string_nr test for new test
	suite layout

2014-06-12  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/prefix_r.l,
	tests/prefix_r.txt, tests/test-prefix-r/.gitignore,
	tests/test-prefix-r/Makefile.am, tests/test-prefix-r/README,
	tests/test-prefix-r/scanner.l, tests/test-prefix-r/test.input: 
	refactor prefix_r test for new test suite layout

2014-06-12  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/prefix_nr.l,
	tests/prefix_nr.txt, tests/test-prefix-nr/.gitignore,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-nr/README,
	tests/test-prefix-nr/scanner.l, tests/test-prefix-nr/test.input: 
	refactor prefix_nr for new test suite layout

2014-06-12  Will Estes <westes575@gmail.com>

	* tests/testwrapper.sh: Check if test input file exists.  Not all tests have input files, so check if one exists and run the
	test program accordingly.

2014-06-12  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/posix.l,
	tests/test-posix/.gitignore, tests/test-posix/Makefile.am,
	tests/test-posix/scanner.l: refactor posix test for new test suite
	layout

2014-06-12  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/noansi_r.l,
	tests/noansi_r.txt, tests/test-noansi-r/.gitignore,
	tests/test-noansi-r/Makefile.am, tests/test-noansi-r/scanner.l,
	tests/test-noansi-r/test.input: refactor noansi_r test for new test
	suite layout

2014-06-12  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/noansi_nr.l,
	tests/noansi_nr.txt, tests/test-noansi-nr/.gitignore,
	tests/test-noansi-nr/Makefile.am, tests/test-noansi-nr/scanner.l,
	tests/test-noansi-nr/test.input: refactor noansi_nr for new test
	suite layout

2014-06-05  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/mem_r.l,
	tests/mem_r.txt, tests/test-mem-r/.gitignore,
	tests/test-mem-r/Makefile.am, tests/test-mem-r/scanner.l,
	tests/test-mem-r/test.input: refactor mem_r test for new test suite
	layout

2014-06-05  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/mem_nr.l,
	tests/mem_nr.txt, tests/test-mem-nr/.gitignore,
	tests/test-mem-nr/Makefile.am, tests/test-mem-nr/scanner.l,
	tests/test-mem-nr/test.input: refactor mem_nr test for new test
	suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/header_r.txt,
	tests/header_r_main.c, tests/header_r_scanner.l,
	tests/test-header-r/.gitignore, tests/test-header-r/Makefile.am,
	tests/test-header-r/main.c, tests/test-header-r/scanner.l,
	tests/test-header-r/test.input: refactor header_r test for new test
	suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/header_nr.txt,
	tests/header_nr_main.c, tests/header_nr_scanner.l,
	tests/test-header-nr/.gitignore, tests/test-header-nr/Makefile.am,
	tests/test-header-nr/main.c, tests/test-header-nr/scanner.l,
	tests/test-header-nr/test.input: refactor header_nr test for new
	test suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/extended.l,
	tests/extended.txt, tests/test-extended/.gitignore,
	tests/test-extended/Makefile.am, tests/test-extended/scanner.l,
	tests/test-extended/test.input: refactor extended test for new test
	suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/debug_r.l,
	tests/debug_r.txt, tests/test-debug-r/.gitignore,
	tests/test-debug-r/Makefile.am, tests/test-debug-r/scanner.l,
	tests/test-debug-r/test.input: refactor debug_r test for new test
	suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/debug_nr.l,
	tests/debug_nr.txt, tests/test-debug-nr/.gitignore,
	tests/test-debug-nr/Makefile.am, tests/test-debug-nr/scanner.l,
	tests/test-debug-nr/test.input: refactor debug_nr test for new test
	suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/ccl.l, tests/ccl.txt,
	tests/test-ccl/.gitignore, tests/test-ccl/Makefile.am,
	tests/test-ccl/scanner.l, tests/test-ccl/test.input: refactor ccl
	test for new test suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/alloc-extra.l,
	tests/alloc-extra.txt, tests/alloc_extra.l, tests/alloc_extra.txt,
	tests/array-nr.l, tests/array-nr.txt, tests/array-r.l,
	tests/array-r.txt, tests/array_nr.l, tests/array_nr.txt,
	tests/array_r.l, tests/array_r.txt, tests/basic-nr.l,
	tests/basic-nr.txt, tests/basic-r.l, tests/basic-r.txt,
	tests/basic_nr.l, tests/basic_nr.txt, tests/basic_r.l,
	tests/basic_r.txt, tests/bison-nr-main.c, tests/bison-nr-parser.y,
	tests/bison-nr-scanner.l, tests/bison-nr.txt,
	tests/bison-yylloc-main.c, tests/bison-yylloc-parser.y,
	tests/bison-yylloc-scanner.l, tests/bison-yylloc.txt,
	tests/bison-yylval-main.c, tests/bison-yylval-parser.y,
	tests/bison-yylval-scanner.l, tests/bison-yylval.txt,
	tests/bison_nr.txt, tests/bison_nr_main.c, tests/bison_nr_parser.y,
	tests/bison_nr_scanner.l, tests/bison_yylloc.txt,
	tests/bison_yylloc_main.c, tests/bison_yylloc_parser.y,
	tests/bison_yylloc_scanner.l, tests/bison_yylval.txt,
	tests/bison_yylval_main.c, tests/bison_yylval_parser.y,
	tests/bison_yylval_scanner.l: use underscores in test file names to
	silence automake warnings

2014-06-04  Will Estes <westes575@gmail.com>

	* .gitignore, m4/.gitignore, m4/Makefile.am: do not track m4
	subdirectory any more

2014-06-04  Will Estes <westes575@gmail.com>

	* .gitignore, configure.ac: upgrade automake version to 1.14.1 Unfortunately, automake 1.14.1 does not play nicely with
	AC_CONFIG_AUX_DIR, so upgrading the used automake version required
	removing the build-aux directory and letting autoconf's installed
	helper files live more over the tree.

2014-06-04  Will Estes <westes575@gmail.com>

	* doc/.gitignore: ignore more files generated by texinfo

2014-06-04  Will Estes <westes575@gmail.com>

	* configure.ac: update gettext version to 0.19

2014-06-04  Will Estes <westes575@gmail.com>

	* configure.ac: call LT_INIT earlier in configure.ac

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/bison-yylval-main.c,
	tests/bison-yylval-parser.y, tests/bison-yylval-scanner.l,
	tests/bison-yylval.txt, tests/test-bison-yylval/.gitignore,
	tests/test-bison-yylval/Makefile.am,
	tests/test-bison-yylval/main.c, tests/test-bison-yylval/parser.y,
	tests/test-bison-yylval/scanner.l,
	tests/test-bison-yylval/test.input: refactor bison-yylval test for
	new test suite layout

2014-06-04  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/bison-yylloc-main.c,
	tests/bison-yylloc-parser.y, tests/bison-yylloc-scanner.l,
	tests/bison-yylloc.txt, tests/test-bison-yylloc/.gitignore,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylloc/main.c, tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylloc/test.input: refactor bison-yylloc test for
	new test suite layout

2014-06-03  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/bison-nr-main.c,
	tests/bison-nr-parser.y, tests/bison-nr-scanner.l,
	tests/bison-nr.txt, tests/test-bison-nr/.gitignore,
	tests/test-bison-nr/Makefile.am, tests/test-bison-nr/main.c,
	tests/test-bison-nr/parser.y, tests/test-bison-nr/scanner.l,
	tests/test-bison-nr/test.input: refactor bison-nr test for new test
	suite layout

2014-06-01  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/array-r.l,
	tests/array-r.txt, tests/test-array-r/.gitignore,
	tests/test-array-r/Makefile.am, tests/test-array-r/scanner.l,
	tests/test-array-r/test.input: refactor array-r test for new test
	suite layout

2014-06-01  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: list tests/README with other EXTRA_DIST files
	in tests/

2014-06-01  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/array-nr.l,
	tests/array-nr.txt, tests/test-array-nr/.gitignore,
	tests/test-array-nr/Makefile.am, tests/test-array-nr/scanner.l,
	tests/test-array-nr/test.input: refactor array-nr test for new test
	suite layout

2014-06-01  Will Estes <westes575@gmail.com>

	* tests/Makefile.am, tests/testwrapper.sh: make tests/testwrapper.sh
	more verbose; find input in srcdir Since output is redirected by the automake parallel test suite
	driver, turn on both -v and -x in bash for the testwrapper.sh shell
	script. This helps a ton in debugging problems with the test harness
	itself.  In general, the input files are in automake's srcdir and the name of
	the test includes the relative path to it (even though that's
	supposed to be ./). Therefore, pass srcdir in AM_LOG_FLAGS and
	prepend that to the test name as part of constructing the input
	file's name.

2014-06-01  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: distribute tests/testwrapper.sh

2014-06-01  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/alloc-extra.l,
	tests/alloc-extra.txt, tests/test-alloc-extra/.gitignore,
	tests/test-alloc-extra/Makefile.am,
	tests/test-alloc-extra/scanner.l, tests/test-alloc-extra/test.input: 
	refacter alloc-extra for new test suite layout

2014-05-29  Will Estes <westes575@gmail.com>

	* tests/.gitignore, tests/Makefile.am, tests/basic-r.l,
	tests/basic-r.txt, tests/test-basic-r/.gitignore,
	tests/test-basic-r/Makefile.am, tests/test-basic-r/scanner.l,
	tests/test-basic-r/test.input: refactor basic-r test for new test
	suite layout

2014-04-22  Will Estes <westes575@gmail.com>

	* tests/Makefile.am, tests/basic-nr.l, tests/basic-nr.txt,
	tests/test-basic-nr/.gitignore, tests/test-basic-nr/Makefile.am,
	tests/test-basic-nr/scanner.l, tests/test-basic-nr/test.input,
	tests/testwrapper.sh: refactor basic-nr test for new test suite
	layout

2014-04-22  Will Estes <westes575@gmail.com>

	* configure.ac: remove old tests/ subdirectories from build system

2014-04-22  Will Estes <westes575@gmail.com>

	* configure.ac: add parallel test suite option to build system

2014-04-22  Will Estes <westes575@gmail.com>

	* tests/.gitignore: ignore files for new test suite layout

2014-04-22  Will Estes <westes575@gmail.com>

	* tests/Makefile.am: use automake parallel test suite option  to
	build test suite

2014-04-09  Manoj Srivastava <srivasta@golden-gryphon.com>

	* tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylval/parser.y: Do not use obsolete bison
	constructs in tests.  In Bison 3.0, support for YYLEX_PARAM and YYPARSE_PARAM has been
	removed (deprecated in Bison 1.875): use %lex-param, %parse-param,
	or %param. This commit fixes the tests so they still work.  Signed-off-by: Manoj Srivastava <srivasta@golden-gryphon.com>

2014-10-31  Christos Zoulas <christos@zoulas.com>

	* src/buf.c, src/filter.c, src/flex.skl, src/flexdef.h, src/gen.c,
	src/libmain.c, src/libyywrap.c, src/main.c, src/misc.c, src/nfa.c,
	src/scan.l, src/scanflags.c, src/scanopt.c, src/yylex.c: NetBSD
	downstream patches.    const fixes.    -Wconversion fixes for the skeleton files.    param namespace protection (add _ to inline function parameters).    unused variable/code removal.    rename warn to lwarn to avoid conflict with <err.h>.    ctype.h function argument correction.    merged the error functions lerrif and lerrsf -> lerr.

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/flexdef.h, src/misc.c, src/scanflags.c: Allow error reporting
	routines to accept varying number of arguments in modern style

2014-07-25  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/buf.c: Fix warning on assigning from `const char*` to `char*`

2014-07-24  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/main.c: Add disambiguation braces in main.c

2014-07-17  Yuri <yuri@tsoft.com>

	* doc/flex.texi, examples/fastwc/mywc.c, src/ccl.c, src/dfa.c,
	src/ecs.c, src/flex.skl, src/flexdef.h, src/gen.c, src/misc.c,
	src/nfa.c, src/parse.y, src/scan.l, src/sym.c, src/tblcmp.c: Removed
	deprecated 'register' storage class specifier.  clang-3.5.0 now
	complains about them: warning: 'register' storage class specifier is
	deprecated [-Wdeprecated-register]

2014-06-21  Mariusz Pluciński <mplucinski@mplucinski.com>

	* src/flexdef.h, src/main.c, src/misc.c, src/options.c,
	src/options.h, src/yylex.c: Change output formats from octal to
	hexadecimal

2014-06-11  Will Estes <westes575@gmail.com>

	* NEWS, configure.ac: update version number to 2.6.0-pre

2014-05-03  Will Estes <westes575@gmail.com>

	* src/ecs.c: check limits before using array index cclp; resolves
	sf-166

2014-04-02  Sean McBride <sean@rogue-research.com>

	* src/flex.skl: Suppress clang warning about empty @param paragraph;
	resolves sf#158 Signed-off-by: Will Estes <westes575@gmail.com>

2014-04-02  Will Estes <westes575@gmail.com>

	* doc/flex.texi: fix punction when talking about colon-bracket
	delimiters; resolves sf#167

2014-04-02  Will Estes <westes575@gmail.com>

	* doc/flex.texi: remove proofreading comment

2014-04-02  Will Estes <westes575@gmail.com>

	* doc/flex.texi: Put angle brackets around start condition name;
	resolves bug #168.

2014-04-02  Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>

	* lib/Makefile.am, lib/realloc.c: Fix malloc/realloc replacement,
	bug#151.  Signed-off-by: Will Estes <westes575@gmail.com>

2014-04-02  Will Estes <westes575@gmail.com>

	* lib/malloc.c: change crlf line ending to lf

2014-03-26  Will Estes <westes575@gmail.com>

	* NEWS: mention flex 2.5.39 release in NEWS file

2014-03-26  Will Estes <westes575@gmail.com>

	* control.ac: initial default control file for shipper

2014-03-05  Cyril Brulebois <kibi@debian.org>

	* src/flex.skl: Adjust buffer sizes on ia64.  From the debian change entry: > Finish fixing the ia64 buffer issue. Previous commits increased
	YY_READ_BUF_SIZE (where __ia64__ is defined) but left YY_BUF_SIZE
	unchanged, so that didn't fix the problem in the end. In the general
	case, the latter is twice the former. Therefore set it to the same
	ratio in the ia64 case.  In general, this sort of architecture specific fix is not the path
	we want to take, but the cleanup should be done in a more organized
	way in the future and getting it working would be preferrable now.

2014-02-18  Will Estes <westes575@gmail.com>

	* Makefile.am, src/Makefile.am: move m4 make variable to
	src/Makefile.am.  This prevents an error when building skel.c caused by the $(m4) make
	variable not being defined. Particularly nasty since skel.c would
	still be created, thus causing make to think skel.c was up to date.

2014-02-18  Will Estes <westes575@gmail.com>

	* devel/00EXTRACT-ALL-SYMS.sh, devel/README, devel/dump-tables.pl,
	devel/tables.pl: remove unused devel/ subdirectory from codebase

2014-02-15  Will Estes <westes575@gmail.com>

	* po/Rules-getpo: Add make rule to rsync latest .po files from
	translation project.  The rule assumes that rsync is on the path and that there is exactly
	one domain listed in the DOMAIN make variable. The intent is that
	the rule will work with vpath builds.

2014-02-14  Will Estes <westes575@gmail.com>

	* .gitignore: git ignore directories of the form flex-*

2014-02-14  Will Estes <westes575@gmail.com>

	* po/POTFILES.in: list source files for translation as now being in
	src/

2014-02-14  Will Estes <westes575@gmail.com>

	* Makefile.am, configure.ac, tools/Makefile.am: Add tools/
	directory.  Since tools/git2cl is a dependency of ChangeLog, not distributing
	tools/git2cl with flex causes the "make dist" target to fail in the
	distributed tar ball.

2014-02-14  Will Estes <westes575@gmail.com>

	* Makefile.am: removes extraneous files from EXTRA_DIST as automake
	picks them up better without mentioning them

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention version 2.6.0 in release news

2014-02-14  Will Estes <westes575@gmail.com>

	* .gitignore, FlexLexer.h, Makefile.am, buf.c, ccl.c, configure.ac,
	dfa.c, doc/.gitignore, doc/Makefile.am, ecs.c, filter.c, flex.skl,
	flexdef.h, flexint.h, gen.c, gettext.h, lib/.gitignore, libmain.c,
	libyywrap.c, main.c, misc.c, mkskel.sh, nfa.c, options.c,
	options.h, parse.y, regex.c, scan.l, scanflags.c, scanopt.c,
	scanopt.h, src/.gitignore, src/FlexLexer.h, src/Makefile.am,
	src/buf.c, src/ccl.c, src/dfa.c, src/ecs.c, src/filter.c,
	src/flex.skl, src/flexdef.h, src/flexint.h, src/gen.c,
	src/gettext.h, src/libmain.c, src/libyywrap.c, src/main.c,
	src/misc.c, src/mkskel.sh, src/nfa.c, src/options.c, src/options.h,
	src/parse.y, src/regex.c, src/scan.l, src/scanflags.c,
	src/scanopt.c, src/scanopt.h, src/sym.c, src/tables.c,
	src/tables.h, src/tables_shared.c, src/tables_shared.h,
	src/tblcmp.c, src/version.h, src/yylex.c, sym.c, tables.c,
	tables.h, tables_shared.c, tables_shared.h, tblcmp.c, version.h,
	yylex.c: move flex program sources into src/ directory The *.[chly] sources are now in the src directory. This implies a
	bunch of changes in Makefile.am and friends to account for the new
	location. The .gitignore files are now more local to places where
	various object files and generated source files occur.

2014-02-13  Will Estes <westes575@gmail.com>

	* configure.ac: increment flex version to 2.6.0

2014-02-16  Translation Project <coordinator@translationproject.org>

	* po/ru.po: update ru translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated da translation in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/da.po: update da translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated es translation in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/es.po: update es translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated ko translation in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/ko.po: update ko translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated ro translation in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/ro.po: update ro translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated ru translation in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/ru.po: update ru translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated sv translation in news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/sv.po: update sv translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated tr translation in news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/tr.po: update tr translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated zh_CN in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/zh_CN.po: update zh_CN translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS, po/LINGUAS, po/zh_TW.po, po/zh_tw.po: rename zh_tw
	translation to its proper zh_TW name

2014-02-14  Will Estes <westes575@gmail.com>

	* NEWS: mention updated nl, vi translations in release news

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/vi.po: update vi translation from the translation project

2014-02-14  Translation Project <coordinator@translationproject.org>

	* po/nl.po: update nl translation from the translation project

2014-02-14  Will Estes <westes575@gmail.com>

	* TODO: remove some unneeded entries from the todo list

2014-02-13  Will Estes <westes575@gmail.com>

	* doc/Makefile.am: list more generated files in CLEANFILES

2014-02-13  Will Estes <westes575@gmail.com>

	* doc/flex.xml: remove unmaintained xml documentation

2014-02-13  Will Estes <westes575@gmail.com>

	* configure.ac: bump AM_GNU_GETTEXT_VERSION to 0.18.1

2014-02-13  Will Estes <westes575@gmail.com>

	* README: list new location of flex git repo

2014-02-13  Will Estes <westes575@gmail.com>

	* po/.gitignore: git ignore generated files from english quoting
	variant translations

2014-02-13  Will Estes <westes575@gmail.com>

	* po/LINGUAS: name english quoting variants correctly

2014-02-13  Will Estes <westes575@gmail.com>

	* Makefile.am, configure.ac, tools/Makefile.am: removed tools/
	subdirectory from distribution Since it is not possible to rebuild the ChangeLog file without being
	in a git working directory of flex, distributing the tools directory
	is misleading. In particular, git2cl will always fail.

2014-02-13  Will Estes <westes575@gmail.com>

	* po/LINGUAS: removed unneeded blank line from translation list

2014-02-13  Will Estes <westes575@gmail.com>

	* po/LINGUAS: added en quoting variants to translation list

2014-02-11  Will Estes <westes575@gmail.com>

	* configure.ac: use gnu automake option instead of gnits option

2014-02-11  Will Estes <westes575@gmail.com>

	* README-alpha: remove README_alpha file since it is no longer
	needed

2014-02-10  Will Estes <westes575@gmail.com>

	* configure.ac: increment version to 2.5.38

2013-11-27  Will Estes <westes575@gmail.com>

	* NEWS: flesh out internationalization section of NEWS file; mention
	pt_BR translation

2013-11-27  Translation Project <coordinator@translationproject.org>

	* po/pt_BR.po: update pt_BR translation from the translation project

2013-10-31  Will Estes <westes575@gmail.com>

	* NEWS: begin listing 2.5.38 version in NEWS; list new sr
	translation

2013-10-31  Will Estes <westes575@gmail.com>

	* po/LINGUAS: list new sr translation in list of translations

2013-10-31  Will Estes <westes575@gmail.com>

	* po/sr.po: add sr translation from the translation project

2013-07-02  Till Varoquaux <till.varoquaux@gmail.com>

	* configure.ac, flex.skl, nfa.c, tests/Makefile.am,
	tests/test-lineno-trailing/.gitignore,
	tests/test-lineno-trailing/Makefile.am,
	tests/test-lineno-trailing/scanner.l,
	tests/test-lineno-trailing/test.input: Adjust yylineno properly when
	rewinding trailing contexts.

2013-05-28  Will Estes <westes575@gmail.com>

	* Makefile.am: Remove incorrect / in install-exec-hook target

2013-02-16  Translation Project <coordinators@translationproject.org>

	* po/LINGUAS, po/zh_tw.po: add zh_tw translation from the
	translation project

2012-12-06  Christoph Junghans <ottxor@gentoo.org>

	* Makefile.am, configure.ac: add version information to shared
	library Signed-off-by: Will Estes <westes575@gmail.com>

2012-12-04  Christoph Junghans <ottxor@gentoo.org>

	* .gitignore, Makefile.am, configure.ac, lib/Makefile.am: Build
	libfl and libcompat using libtool; resolves #3586814 Signed-off-by: Will Estes <westes575@gmail.com>

2012-12-04  Translation Project <coordinator@translationproject.org>

	* po/ca.po: update ca translation

2012-10-31  Hugh Sasse <hgs@dmu.ac.uk>

	* tests/test-extended/Makefile.am, tests/test-quotes/Makefile.am: 
	use cmp instead of diff in some tests for portability reasons Signed-off-by: Will Estes <westes575@gmail.com>

2012-10-31  Dennis Clarke <dclarke@blastwave.org>

	* tests/TEMPLATE/Makefile.am, tests/test-alloc-extra/Makefile.am,
	tests/test-array-nr/Makefile.am, tests/test-array-r/Makefile.am,
	tests/test-basic-nr/Makefile.am, tests/test-basic-r/Makefile.am,
	tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c++-basic/Makefile.am,
	tests/test-c++-multiple-scanners/Makefile.am,
	tests/test-c++-yywrap/Makefile.am, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am, tests/test-ccl/Makefile.am,
	tests/test-debug-nr/Makefile.am, tests/test-debug-r/Makefile.am,
	tests/test-extended/Makefile.am, tests/test-header-nr/Makefile.am,
	tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-push/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-linedir-r/Makefile.am, tests/test-lineno-nr/Makefile.am,
	tests/test-lineno-r/Makefile.am, tests/test-mem-nr/Makefile.am,
	tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-noansi-nr/Makefile.am, tests/test-noansi-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-quotes/Makefile.am,
	tests/test-reject/Makefile.am, tests/test-rescan-nr/Makefile.am,
	tests/test-rescan-r/Makefile.am, tests/test-string-nr/Makefile.am,
	tests/test-string-r/Makefile.am, tests/test-table-opts/Makefile.am,
	tests/test-top/Makefile.am, tests/test-yyextra/Makefile.am: add
	CFLAGS and CXXFLAGS options as appropriate to testsuite Makefile.am
	files Signed-off-by: Will Estes <westes575@gmail.com>

2012-10-25  Will Estes <westes575@gmail.com>

	* po/LINGUAS: add hr to list of translations

2012-10-25  Translation Project <coordinator@translationproject.org>

	* po/hr.po: add hr translation from the translation project

2012-10-25  Translation Project <coordinator@translationproject.org>

	* po/fr.po: new fr translation project from the translation project

2012-09-08  Will Estes <westes575@gmail.com>

	* po/LINGUAS: update languages list to include esperanto translation

2012-09-08  Translation Project <coordinator@translationproject.org>

	* po/eo.po: add eo translation from the translation project

2012-08-26  Will Estes <westes575@gmail.com>

	* configure.ac: add dist-xz to automake options; resolves #3561837

2012-08-26  Will Estes <westes575@gmail.com>

	* autogen.sh, configure.ac: require gettext 0.18; force autoreconf
	in autogen.sh; resolves #3561759 Autoconf had trouble finding the shared libraries for gettext. Using
	gettext 0.18 fixes that.  When updating the gettext version number, autoreconf could fail to
	update files, since autopoint would assume the gettext-related files
	had been locally modified. Passing --force prevents that from
	happening.

2012-08-15  Will Estes <westes575@gmail.com>

	* Makefile.am: remove README.cvs from dist_doc_DATA in Makefile.am

2012-08-13  Will Estes <westes575@gmail.com>

	* : commit 9256a268e2a1000cb410766e95487912a7d66d61 Author: Will
	Estes <westes575@gmail.com> Date:   Mon Aug 13 16:23:35 2012 -0400

2012-08-08  Will Estes <westes575@gmail.com>

	* README, README.cvs: append README.cvs contents to README

2012-08-08  Will Estes <westes575@gmail.com>

	* gen.c: fix m4 error when useecs and nultrans are true; resolves
	#1816878

2012-08-08  Robert Minsk <rminsk@users.sourceforge.net>

	* flex.skl: put user code after yyguts init; resolves #1744516 Signed-off-by: Will Estes <westes575@gmail.com>

2012-08-08  Robert Minsk <rminsk@users.sourceforge.net>

	* flex.skl, main.c: do not output yy_nxt to header with %option
	full; resolves #1739922 Signed-off-by: Will Estes <westes575@gmail.com>

2012-08-07  Will Estes <westes575@gmail.com>

	* main.c: let flex decide if yymore and  reject are needed in lex
	compatible mode This resolves bug #3510440.

2012-08-06  Translation Project <coordinator@translationproject.org>

	* po/vi.po: new vi translation from the translation project

2012-08-06  Will Estes <westes575@gmail.com>

	* .gitignore: add more patterns to .gitignore Undersome circumstances, the build process will generate conf.in~,
	which we want to ignore. Also, some patch files will apply but not
	cleanly and *.orig and *.rej files are generated. We want to ignore
	them as well.

2012-08-06  Will Estes <westes575@gmail.com>

	* configure.ac, configure.in: rename configure.in to configure.ac to
	prep for upcoming automake changes

2012-08-06  Elias Pipping <pipping@users.sourceforge.net>

	* tests/test-bison-yylloc/main.c, tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylval/main.c, tests/test-bison-yylval/parser.y: 
	Fix two tests to pass under bison 2.6 Given that bison is moving forward with the %parse-param instead of
	YYPARSE_PARAM syntax, it makes sense to switch over to using the new
	style declaration. In particular, this means that flex scanners that
	use bison features will now require bison 2.6 or higher.  Signed-off-by: Will Estes <westes575@gmail.com>

2012-08-04  Will Estes <westes575@gmail.com>

	* po/nl.po: new nl translation from the translation project

2012-08-04  Mike Frysinger <vapier@gentoo.org>

	* flexdef.h: add prototype for lerrsf_fatal to flexdef.h Signed-off-by: Will Estes <westes575@gmail.com>

2012-08-04  nomis52 <nomis52@users.sourceforge.net>

	* flex.skl, gen.c: Change variable types to silence compiler
	warnings; resolves #3552806 Signed-off-by: Will Estes <westes575@gmail.com>

2012-08-03  Will Estes <westes575@gmail.com>

	* NEWS: update NEWS to reflect changes in 2.5.37

2012-08-03  Will Estes <westes575@gmail.com>

	* configure.in: update flex version to 2.5.37

2012-08-03  Will Estes <westes575@gmail.com>

	* po/de.po: new de translation from the translation project

2012-08-02  Will Estes <westes575@gmail.com>

	* po/vi.po: new vi translation from the translation project

2012-08-02  Will Estes <westes575@gmail.com>

	* po/pl.po: new pl translation from the translation project

2012-08-02  Will Estes <westes575@gmail.com>

	* po/fi.po: new fi translation from the translation project

2012-08-02  Will Estes <westes575@gmail.com>

	* Makefile.am: Add -f option to LN_S to create flex++ The autoconf macro LN_S needs -f to successfully install flex++ if
	flex++ already exists. Fortunately, ln, ln -s and cp -p, which are
	the various forms that LN_S can take all will do the right thing
	with a -f argument passed.

2012-08-02  Will Estes <westes575@gmail.com>

	* Makefile.am, tools/Makefile.am, tools/cvs2cl.pl,
	tools/cvsauthors, tools/git2cl: replace cvs2cl with git2cl Add the git2cl script in tools/ and remove the (now unnecessary)
	cvs2cl script. Remove tools/cvsauthors since git2cl does not need
	that file.  Account for all the above in Makefile.am and
	tools/Makefile.am

2012-07-29  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore, tests/.gitignore, tests/TEMPLATE/.cvsignore,
	tests/TEMPLATE/.gitignore, tests/test-alloc-extra/.cvsignore,
	tests/test-alloc-extra/.gitignore, tests/test-array-nr/.cvsignore,
	tests/test-array-nr/.gitignore, tests/test-array-r/.cvsignore,
	tests/test-array-r/.gitignore, tests/test-basic-nr/.cvsignore,
	tests/test-basic-nr/.gitignore, tests/test-basic-r/.cvsignore,
	tests/test-basic-r/.gitignore, tests/test-bison-nr/.cvsignore,
	tests/test-bison-nr/.gitignore, tests/test-bison-yylloc/.cvsignore,
	tests/test-bison-yylloc/.gitignore,
	tests/test-bison-yylval/.cvsignore,
	tests/test-bison-yylval/.gitignore,
	tests/test-c++-basic/.cvsignore, tests/test-c++-basic/.gitignore,
	tests/test-c++-multiple-scanners/.cvsignore,
	tests/test-c++-multiple-scanners/.gitignore,
	tests/test-c++-yywrap/.cvsignore, tests/test-c++-yywrap/.gitignore,
	tests/test-c-cpp-nr/.cvsignore, tests/test-c-cpp-nr/.gitignore,
	tests/test-c-cpp-r/.cvsignore, tests/test-c-cpp-r/.gitignore,
	tests/test-ccl/.cvsignore, tests/test-ccl/.gitignore,
	tests/test-concatenated-options/.cvsignore,
	tests/test-concatenated-options/.gitignore,
	tests/test-debug-nr/.cvsignore, tests/test-debug-nr/.gitignore,
	tests/test-debug-r/.cvsignore, tests/test-debug-r/.gitignore,
	tests/test-extended/.cvsignore, tests/test-extended/.gitignore,
	tests/test-header-nr/.cvsignore, tests/test-header-nr/.gitignore,
	tests/test-header-r/.cvsignore, tests/test-header-r/.gitignore,
	tests/test-include-by-buffer/.cvsignore,
	tests/test-include-by-buffer/.gitignore,
	tests/test-include-by-push/.cvsignore,
	tests/test-include-by-push/.gitignore,
	tests/test-include-by-reentrant/.cvsignore,
	tests/test-include-by-reentrant/.gitignore,
	tests/test-linedir-r/.cvsignore, tests/test-linedir-r/.gitignore,
	tests/test-lineno-nr/.cvsignore, tests/test-lineno-nr/.gitignore,
	tests/test-lineno-r/.cvsignore, tests/test-lineno-r/.gitignore,
	tests/test-mem-nr/.cvsignore, tests/test-mem-nr/.gitignore,
	tests/test-mem-r/.cvsignore, tests/test-mem-r/.gitignore,
	tests/test-multiple-scanners-nr/.cvsignore,
	tests/test-multiple-scanners-nr/.gitignore,
	tests/test-multiple-scanners-r/.cvsignore,
	tests/test-multiple-scanners-r/.gitignore,
	tests/test-noansi-nr/.cvsignore, tests/test-noansi-nr/.gitignore,
	tests/test-noansi-r/.cvsignore, tests/test-noansi-r/.gitignore,
	tests/test-posix/.cvsignore, tests/test-posix/.gitignore,
	tests/test-posixly-correct/.cvsignore,
	tests/test-posixly-correct/.gitignore,
	tests/test-prefix-nr/.cvsignore, tests/test-prefix-nr/.gitignore,
	tests/test-prefix-r/.cvsignore, tests/test-prefix-r/.gitignore,
	tests/test-pthread/.cvsignore, tests/test-pthread/.gitignore,
	tests/test-quotes/.cvsignore, tests/test-quotes/.gitignore,
	tests/test-reject/.cvsignore, tests/test-reject/.gitignore,
	tests/test-rescan-nr/.cvsignore, tests/test-rescan-nr/.gitignore,
	tests/test-rescan-r/.cvsignore, tests/test-rescan-r/.gitignore,
	tests/test-string-nr/.cvsignore, tests/test-string-nr/.gitignore,
	tests/test-string-r/.cvsignore, tests/test-string-r/.gitignore,
	tests/test-table-opts/.cvsignore, tests/test-table-opts/.gitignore,
	tests/test-top/.cvsignore, tests/test-top/.gitignore,
	tests/test-yyextra/.cvsignore, tests/test-yyextra/.gitignore: rename
	.cvsignore files in tests/ subdirectories to gitignore

2012-07-23  Will Estes <wlestes@users.sourceforge.net>

	* examples/.cvsignore, examples/fastwc/.cvsignore,
	examples/manual/.cvsignore, lib/.cvsignore, tools/.cvsignore: remove
	unneeded .cvsignore files

2012-07-22  Will Estes <wlestes@users.sourceforge.net>

	* .gitignore: add *.o and *.a to top level .gitignore The cvs tree did not need these additions because cvs assumed a lot
	of C-style defaults for .cvsignore files. flex builds *.o object
	files in the course of compilation and *.a files are built as a part
	of the libraries that flex compiles in the build process.

2012-07-22  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore, .gitignore, doc/.cvsignore, doc/.gitignore,
	m4/.cvsignore, m4/.gitignore, po/.cvsignore, po/.gitignore: rename
	.cvsignore files to .gitignore The .cvsignore files from the legacy cvs repository tracked what
	files got autogenerated during various stages of the flex build.
	Renaming the .cvsignore files to .gitignore lets git do the same
	thing. git is better about letting higher level .gitignore files
	not-track files in lower level directories. As I work my way through
	the test directories, we may add additional .gitignore files from
	the old .cvsignore files.  The po/ directory has a lot of special files used by gettext, so the
	patterns in po/.gitignore look very different.  The doc/.gitignore file accounts for what texinfo/makeinfo do, and
	so it also has special patterns.  The m4 directory is mainly present for autoconf's benefit, but we
	have to account for it so make can do the right thing. Hence,
	m4/.gitignore says to ignore *.m4, as counterintuitive as that may
	seem.

2012-07-22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS file to note release date of 2.5.36

2012-06-23  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: fix call to version in manual

2012-06-22  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: add missing argument to call to yylex in manual

2012-04-27  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: lintish cleanup in flex.skl; resolves #2040664

2012-04-27  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: add a 7 to the c99 octal pattern; resolves #3518269

2012-03-31  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: copyedit; resolves #3513670

2012-03-23  Will Estes <wlestes@users.sourceforge.net>

	* buf.c: escape backslashes in #line filenames in %top section;
	resolves #3212400; patch submitted by scfc_de

2012-03-21  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in, lib/Makefile.am, lib/lib.c,
	lib/malloc.c, lib/realloc.c: provide malloc() and realloc() for
	systems that do not have satisfactory versions; resolves #1899047

2012-03-21  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: install flex++ as a link; resolves bug #2939681

2012-03-21  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am: fix dependencies for make -j in
	test suite

2012-03-19  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: add missing prototypes for yyset_column() and
	yyget_column(); resolves #3029024; patch submitted by scfc_de

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, tests/test-reject/scanner.l,
	tests/test-table-opts/scanner.l: wrap yy_fatal_error calls
	appropriately

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* regex.c: fix overlapping data buffer issue; patch from Tim
	Landsheet scfc_de

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: better bracket handling in the scanner

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h, main.c, misc.c: Remove unneeded tracking of line/column
	output; patch from Tim Landsheet scfc_de

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: fix test for m4 to accept an m4 with -P and not jus
	tGNU m4; patch from Tim Landsheet scfc_de on sourceforge

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: fix order of td_lolen and td_hilen in
	documentation; resolves #2913693; patch submitted by Andreas
	Gruenbacher <agruen@suse.de>

2012-03-02  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: correct document of YY_FLUSH_BUFFER; resolves
	#1723028

2012-02-17  Will Estes <wlestes@users.sourceforge.net>

	* dfa.c, flexdef.h, misc.c, parse.y: speed up things for complex
	inputs; resolves #2891390

2012-02-17  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: fix ipv6 pattern in manual; update manual copyright
	to 2012

2012-02-17  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fremove isatty() declaration; resolves #1984987

2012-02-17  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: Add link for RFC 2396

2012-02-17  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: resolve #1990170

2012-02-17  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix documentation to reflect arguments actually used;
	bug #2783023

2012-02-05  Will Estes <wlestes@users.sourceforge.net>

	* main.c: fix yywrap behavior for reentrant scanners

2012-02-04  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: Mmention tr translation

2012-02-04  Will Estes <wlestes@users.sourceforge.net>

	* tables.c: prevent unused stuff from being compiled so as to reduce
	warnings

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* buf.c, filter.c, main.c, misc.c, regex.c, scanflags.c: more better
	error messages; more better memory handling

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* misc.c: more careful/paranoia

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* scanopt.c: more careful memory allocation in option processing

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: remove m4/ directory and generally
	clean up automake/autoconf inputs

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* lib/.cvsignore: cvsignore files that need that

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/da.po, po/es.po, po/ko.po, po/pt_BR.po, po/ro.po,
	po/ru.po, po/sv.po, po/tr.po, po/zh_CN.po: check in translations

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* main.c: correct macro definition of yywrap

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: Greater specificity in error messages

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* parse.y: improve rule handling at EOF

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: include cstdio for definition of EOF in all cases

2012-02-03  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: suppress warning on unused yyguts_t

2010-08-13  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/fi.po: new fi translation from the
	translation project

2009-03-31  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: 	Include version.texi after @setfilename, 	so that @set values are correctly evaluated.  	(Start Conditions, Performance, Lex and Posix): Fix some 	markup errors.  	(Cxx): Likewise.  Also, fix C++ example to actually be 	compilable. Patch from Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

2008-12-28  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove line break that broke configure

2008-12-28  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: specify the title on the title page since @settitle
	doesn't do that for us; resolves bug #2043491

2008-12-28  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: check for regex.h; resolves bug #2337486

2008-07-23  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ga.po: new ga translation from the translation project

2008-06-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po: new ca translation

2008-05-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: move ABOUT-NLS back to EXTRA_DIST

2008-05-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: create new dist_doc_DATA; move some EXTRA_DIST files
	to new dist_doc_DATA target

2008-05-31  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore: ignore more automake generated config.status* files

2008-05-31  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex distribution now built with automake and autoconf
	versions ...

2008-05-31  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs: document GNU auto* version changes for building flex
	from cvs

2008-05-31  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore, doc/Makefile.am: ignore automake-supplied ylwrap

2008-05-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, flex.skl: clean up types; resolves 1961902

2008-05-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS re manual

2008-05-15  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: correct eroneous references to 'nowrap' to refer to
	'noyywrap'; resolves bug #1739912

2008-05-14  Will Estes <wlestes@users.sourceforge.net>

	* filter.c: call clearerr on stdin before dup2'ing it; resolves bug
	#1902612

2008-05-14  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: generic updates to NEWS

2008-05-14  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-pthread/Makefile.am: move library flags in linker
	command; resolves patch #1943403; patch submitted by
	nullnix@users.sourceforge.net

2008-05-14  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: use ansi syntax in simple examples; resolves patch
	#1909844; patch submitted by Tom Browder,
	tbrowder2@users.sourceforge.net

2008-04-10  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: fix typo in example (from Paolo J. Matos

2008-04-10  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: move endif to better account for what C99 defines for
	integer types (fix from debian project)

2008-04-10  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: fix another int type to be size_t

2008-03-30  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/fr.po: new fr translation

2008-03-30  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: start version 2.5.36

2008-02-26  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: add date of release

2008-02-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, parse.y: fix bug that prevented comments from working
	properly

2008-02-12  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: new de translation

2008-02-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/vi.po: new vi translation

2008-02-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/nl.po: new nl translation

2008-02-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/pl.po: new pl translation

2008-02-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/de.po, po/pt_BR.po: new de, pt_br translations

2008-02-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, flex.skl: generate headers for all functions (resolves bug
	#1628314)

2008-02-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, flex.skl: change yy_size_t to be size_t (resolves bug
	#1849812)

2008-02-09  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: start work on version 2.5.35

2007-12-12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: revert NEWS and configure.in to version 2.5.34

2007-09-12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: update version number to 2.5.35

2007-09-10  Aaron Stone <sodabrew@users.sourceforge.net>

	* tests/test-alloc-extra/scanner.l: Use %option extra-type.

2007-09-10  Aaron Stone <sodabrew@users.sourceforge.net>

	* NEWS, doc/flex.texi, flex.skl, flexdef.h, main.c, parse.y, scan.l: 
	Introduce %option extra-type="your_type *" (resolves bug #1744505).

2007-08-15  Will Estes <wlestes@users.sourceforge.net>

	* po/nl.po: new nl translations from the translation project

2007-06-28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: change release date

2007-06-28  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: adjustment for prefix classes; patch submitted by Petr
	Machata <pmachata@redhat.com>

2007-06-28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: NEWS item for yy_init_extra

2007-06-12  Aaron Stone <sodabrew@users.sourceforge.net>

	* doc/flex.texi: Docs and example for yylex_init_extra.

2007-06-01  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-alloc-extra/.cvsignore: ignore OUTPUT file in
	test-alloc-extra

2007-06-01  Will Estes <wlestes@users.sourceforge.net>

	* tests/descriptions: add description of concatenated options test

2007-05-31  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-alloc-extra/.cvsignore: add missing .cvsignore to
	test-alloc-extra

2007-05-31  Aaron Stone <sodabrew@users.sourceforge.net>

	* configure.in, flex.skl, gen.c, main.c: Changes to resolve SF bugs
	1568325 and 1563589.

2007-05-31  Aaron Stone <sodabrew@users.sourceforge.net>

	* tests/Makefile.am, tests/descriptions,
	tests/test-alloc-extra/Makefile.am,
	tests/test-alloc-extra/scanner.l, tests/test-alloc-extra/test.input: 
	Adding test cases for yylex_init_extra.

2007-05-12  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/test-pthread/scanner.l: fixes to test-pthread

2007-05-12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: NEWS item for concatenated options

2007-05-12  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/Makefile.am,
	tests/test-concatenated-options/.cvsignore,
	tests/test-concatenated-options/Makefile.am: unit test to verify
	concatenated options parsing

2007-05-12  Will Estes <wlestes@users.sourceforge.net>

	* scanopt.c: parse multiple short concatenated options; patch
	submitted by Petr Machata <pmachata@redhat.com

2007-05-11  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: remove --force option from autogen.sh; much faster
	without it

2007-05-11  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.34

2007-05-08  Aaron Stone <sodabrew@users.sourceforge.net>

	* NEWS, flex.skl: Better checking after yyalloc/yyrealloc (resolves
	bug #1595967)

2007-05-01  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: change title of manual to 'Lexical Analysis with
	Flex'

2007-04-25  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: c++ memory leak plug

2007-04-23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: roll back c++ memory patch as it causes the test suite
	no end of grief

2007-04-23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix function definitions for non-ANSI environments (from
	Manoj Srivastava from Debian patchset)

2007-04-23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix c++ memory leak (from Manoj Srivastava from Debian
	patchset)

2007-04-23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix parameter name in comment (patch from Manoj
	Srivastava from the debian patchset

2007-04-23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: add a size_t cast (patch from Manoj Srivastava from the
	debian patchset

2007-04-16  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-extended/Makefile.am, tests/test-quotes/Makefile.am: 
	cleanups to handle VPATH builds better; passifies make distcheck

2007-04-16  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: drop using the \ in \ escaping as it throws pdf
	generation for a loop

2007-04-14  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore: add compile and *.tar.bz2 to .cvsignore

2007-04-14  Will Estes <wlestes@users.sourceforge.net>

	* main.c: add call to setlocale for ctype as per debian patchset

2007-04-14  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS: provide for a PIC version of libfl.a for shared
	libraries using flex scanners

2007-04-13  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h: annotate endifs since they're a bit far from their
	opening #if statements

2007-04-13  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h, parse.y: refactor and slightly redo alloca testing,
	resolves bug #1675899

2007-04-13  Will Estes <wlestes@users.sourceforge.net>

	* : overhaul configure.in: use octathorps for comments so they're
	passed through m4 processing; better bracketing of m4 arguments;
	retool checks as per suggestions from autoscan(1)

2007-04-13  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix skeleton for reentrant scanners

2007-04-13  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove homegrown tags target; automake does that for
	us

2007-04-12  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix skeleton for reentrant scanners, resolves bug
	#1694318

2007-04-12  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h: declare some const where missing in c++ header file

2007-04-10  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: corrections to the manual as per suggestions from
	flex-help@

2007-04-03  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: include author names in online versions of the
	manual

2007-04-03  Will Estes <wlestes@users.sourceforge.net>

	* COPYING: update copyright notice

2007-04-03  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS: rearrange and update AUTHORS

2007-03-29  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note sf feature request 1658379 in NEWS

2007-03-29  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvsauthors: add sodabrew to cvsauthors file

2007-03-29  Aaron Stone <sodabrew@users.sourceforge.net>

	* flex.skl: SourceForge feature request #1658379: Expose YY_BUF_SIZE
	in the header file.

2007-03-07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, filter.c, flex.skl: apply patches submitted by sodabrew

2007-03-07  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs: more changes describing building flex from cvs

2007-03-07  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, README.cvs, README.cvs-snapshot: rename
	README.cvs-snapshot to README.cvs

2007-03-07  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: update to explain where flex cvs lives

2007-03-07  Will Estes <wlestes@users.sourceforge.net>

	* README, doc/flex.texi: correct how to submit bugs

2007-02-16  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: clarify NEWS item re man page and pdf manual

2007-02-14  Will Estes <wlestes@users.sourceforge.net>

	* po/Makevars: update bug address to point to flex-devel instead of
	lex-help

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, doc/Makefile.am: make better use of AC_INIT; clean
	up, simplify and make more robust the generation of the man page

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove option check-news from call to
	AM_INIT_AUTOMAKE as gnits implies check-news

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: move automake options from Makefile.am
	to configure.in

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: restore --install option to autogen.sh since --force
	does not imply --install

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvsauthors: add john43 to cvsauthors file

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: call autoreconf with --force instead of --install

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore: remove texinfo.tex from cvs tree

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: updates to NEWS file to reflect recent changes

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: add flex.pdf to EXTRA_DIST

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove flex.spec

2007-02-13  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove maintainercleanfiles

2007-02-01  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: more changes to build system to distribute man
	page

2007-02-01  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: add flex man page to distribution

2007-02-01  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore, flex.spec.in: remove flex spec file

2006-11-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-table-opts/Makefile.am: make test target depend on test
	groupings, which in turn depend on building executables; cygwin
	portability fix

2006-11-10  Will Estes <wlestes@users.sourceforge.net>

	* tests/create-test: change create-test script to edit files in
	place

2006-11-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-nr/Makefile.am, tests/test-array-r/Makefile.am,
	tests/test-basic-nr/Makefile.am, tests/test-basic-r/Makefile.am,
	tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c++-basic/Makefile.am,
	tests/test-c++-multiple-scanners/Makefile.am,
	tests/test-c++-yywrap/Makefile.am, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am, tests/test-ccl/Makefile.am,
	tests/test-debug-nr/Makefile.am, tests/test-debug-r/Makefile.am,
	tests/test-extended/Makefile.am, tests/test-header-nr/Makefile.am,
	tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-push/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-linedir-r/Makefile.am, tests/test-lineno-nr/Makefile.am,
	tests/test-lineno-r/Makefile.am, tests/test-mem-nr/Makefile.am,
	tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-noansi-nr/Makefile.am, tests/test-noansi-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-quotes/Makefile.am,
	tests/test-reject/Makefile.am, tests/test-rescan-nr/Makefile.am,
	tests/test-rescan-r/Makefile.am, tests/test-string-nr/Makefile.am,
	tests/test-string-r/Makefile.am, tests/test-top/Makefile.am,
	tests/test-yyextra/Makefile.am: change CLEANFILES to include
	instead of just the testname for the executable

2006-11-09  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: fix typos in manual; resolves bug #1592857

2006-11-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: change test template to remove test
	executable when that executable has an extension, e.g. under Cygwin

2006-11-08  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: test names weren't displaying in test
	success/failure messages (from #1591672

2006-10-30  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore: add flex.html to .cvsignore in doc directory

2006-10-22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS file for the work that millaway did

2006-10-22  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, NEWS, main.c,
	tests/test-c++-multiple-scanners/scanner-2.l: make yywrap work with
	c++ scanners as per sf bug report

2006-10-20  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, flex.skl, tests/test-c++-multiple-scanners/main.cpp,
	tests/test-c-cpp-nr/scanner.l: memory leak issues in c++ scanner

2006-10-20  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-c++-yywrap/.cvsignore,
	tests/test-c++-yywrap/Makefile.am, tests/test-c++-yywrap/scanner.l,
	tests/test-c++-yywrap/test.input: add unit test for c++ with yywrap

2006-10-20  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, tests/test-c++-basic/Makefile.am,
	tests/test-linedir-r/Makefile.am: use configure-provided awk
	variable for portability; add loadlibes variable to c++ test

2006-10-17  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: add noyywrap option to example; use whitespace to
	clarify example

2006-08-02  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po, po/vi.po: new translations

2006-04-11  John Millaway <john43@users.sourceforge.net>

	* tables.c: Casted away signedness to appease -Werror freaks.

2006-03-28  John Millaway <john43@users.sourceforge.net>

	* ccl.c, doc/flex.texi, flexdef.h, parse.y, scan.l, sym.c,
	tests/test-ccl/scanner.l, tests/test-ccl/test.input: Added ccl union
	operator.  Added test in test suite for ccl union operator.
	Documented ccl union operator.  Removed crufty ccl cache to prevent
	parser problems.

2006-03-28  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi, scan.l, tests/test-extended/scanner.l,
	tests/test-extended/test.input: Extended syntax excluded for
	lex/posix compat mode.  Comments discarded inside (?x:) patterns.
	Added test in test suite for comments in extended patterns.
	Documented syntax additions.

2006-03-27  John Millaway <john43@users.sourceforge.net>

	* scan.l, tests/test-ccl/scanner.l, tests/test-ccl/test.input: 
	Implemented (?x:) syntax to allow whitespace in patterns.  Added
	test for (?x:) syntax in test suite.

2006-03-27  John Millaway <john43@users.sourceforge.net>

	* parse.y, tests/test-ccl/scanner.l, tests/test-ccl/test.input: 
	Implemented dot-all syntax.  Added test for dot-all syntax in test
	suite.

2006-03-27  John Millaway <john43@users.sourceforge.net>

	* dfa.c, doc/flex.texi, flexdef.h, gen.c, main.c, parse.y, scan.l,
	scanflags.c, tests/test-ccl/scanner.l, tests/test-ccl/test.input: 
	Removed global variable caseins.  Added scanner stack flags for
	case-insensitivity.  Moved case-folding code from DFA-generation to
	parse time read-macros.  Added localized case-sensitivity syntax
	from Perl.  Added test for new syntax in test suite.  Documented new
	syntax.

2006-03-27  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, configure.in, flexdef.h, scanflags.c: Added configure
	check for assert.h.  Added scanner flags stack.

2006-03-25  John Millaway <john43@users.sourceforge.net>

	* configure.in, doc/flex.texi, scan.l, tests/Makefile.am,
	tests/descriptions, tests/test-extended/.cvsignore,
	tests/test-extended/Makefile.am, tests/test-extended/scanner.l,
	tests/test-extended/test.input: Added extended, perl-compatible
	comment syntax.  Added test for extended comment syntax.  Documented
	extended comment syntax.

2006-03-25  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi, parse.y: Changed explicit 'A'-'Z' to isupper(),
	where correct to do so.  Documentation.

2006-03-24  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-03-24  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Added appendix of patterns to manual.

2006-03-23  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: .

2006-03-22  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-03-22  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documented set difference operator {-}.

2006-03-22  John Millaway <john43@users.sourceforge.net>

	* ccl.c, flexdef.h, parse.y, scan.l, tests/test-ccl/scanner.l,
	tests/test-ccl/test.input: Added set difference operator {-} for
	character classes.

2006-03-22  John Millaway <john43@users.sourceforge.net>

	* configure.in, doc/flex.texi, parse.y, scan.l, tests/Makefile.am,
	tests/descriptions, tests/test-ccl/.cvsignore,
	tests/test-ccl/Makefile.am, tests/test-ccl/scanner.l,
	tests/test-ccl/test.input: Added negated character class
	expressions.  Documented negated character class expressions.  Added
	regression test for negated character class expressions.

2006-03-22  John Millaway <john43@users.sourceforge.net>

	* buf.c, filter.c, gen.c, main.c, misc.c, nfa.c, parse.y, regex.c: 
	Replaced sprintf with snprintf everywhere.

2006-03-22  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Removed includedir from AM_CPPFLAGS #1439351.

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-quotes/.cvsignore, tests/test-quotes/Makefile.am,
	tests/test-quotes/scanner.l, tests/test-quotes/test.input: Added
	test to verify user code is unmangled.

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, misc.c, scan.l: Fixed escape in actions.

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* filter.c, flexdef.h, main.c, scan.l: Reverted previous input
	filter changes.  Added noop macro to scanner output.  Modified
	scan.l to escape m4 quotes found in user code.

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* tests/test-table-opts/Makefile.am,
	tests/test-table-opts/scanner.l: Removed m4 from test-table-opts

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* tests/test-reject/Makefile.am, tests/test-reject/scanner.l: 
	Removed m4 from test-reject

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* filter.c, flexdef.h, main.c, scan.l: Moved set_input_file to
	different file.

2006-03-21  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flexdef.h, flexint.h, misc.c: Relaxed tests for __STDC__
	and __STDC_VERSION__ to cope with bugs in GCC and Sun cc.

2006-03-20  John Millaway <john43@users.sourceforge.net>

	* filter.c: Documented filter chain. Removed fdopen. Added no-op
	fseek.

2006-03-13  John Millaway <john43@users.sourceforge.net>

	* gen.c: Fixed another -Wall report.

2006-03-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/vi.po: new vi translation

2006-03-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ga.po, po/nl.po: new nl, ga translations

2006-02-21  Will Estes <wlestes@users.sourceforge.net>

	* m4/Makefile.am: add po.m4 to extra_dist in m4/ so it gets picked
	up by distributions

2006-02-21  Will Estes <wlestes@users.sourceforge.net>

	* m4/Makefile.am: add nls.m4 to extra_dist in m4/ so it will get
	picked up in distribution tarballs

2006-02-21  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove website directory from configure.in

2006-02-20  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.33 marks in NEWS and configure.in

2006-02-20  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: change email address in configure.in to point to
	flex-help@sourceforge.net

2006-02-20  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-02-20  John Millaway <john43@users.sourceforge.net>

	* BUGS: Appended to BUGS file.

2006-02-18  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove website directory (since it now has its own
	module in the flex project

2006-02-16  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi, flex.skl: Fixed buffer overflow in reject state
	buffer.  Corrected documentation on the state buffer.

2006-02-16  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Reverted num_read from size_t back to int.

2006-02-15  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, configure.in: Removed reference to RoadMap in
	Makefile.am.  Added website directory.

2006-02-15  Will Estes <wlestes@users.sourceforge.net>

	* README, RoadMap: remove RoadMap and reference to it in README

2006-02-15  John Millaway <john43@users.sourceforge.net>

	* BUGS, README, doc/flex.texi, doc/flex.xml: Eliminated references
	to lex.sf.net.

2006-02-15  John Millaway <john43@users.sourceforge.net>

	* BUGS, flex.skl: Transfered bugs list from lex.sf.net to BUGS file.

2006-02-15  John Millaway <john43@users.sourceforge.net>

	* tests/test-rescan-nr/.cvsignore,
	tests/test-rescan-nr/Makefile.am, tests/test-rescan-nr/scanner.l,
	tests/test-rescan-nr/test.input, tests/test-rescan-r/.cvsignore,
	tests/test-rescan-r/Makefile.am, tests/test-rescan-r/scanner.l,
	tests/test-rescan-r/test.input: Recommit of last commit -- broken
	pipe.

2006-02-15  John Millaway <john43@users.sourceforge.net>

	* configure.in, flex.skl, tests/Makefile.am, tests/descriptions: 
	yy_lex_destroy calls yy_init_globals to reset everything for next
	call to yylex.  Added two new tests for reusing scanners.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* flex.spec.in: Patched rpm spec file.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* configure.in, flexint.h: Added C99 macro for inttypes, just to be
	conformant.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, nfa.c, parse.y: Changed symbol INFINITE to fix conflict
	with C math symbol.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* scan.l: Omitting parens for named rules in trailing context.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* configure.in, main.c, po/ca.po, po/da.po, po/de.po, po/es.po,
	po/fr.po, po/ga.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ro.po, po/ru.po, po/sv.po, po/tr.po, po/vi.po, po/zh_CN.po,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l: Added check
	for locale.h and libintl.h in configure script.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Removed unused local vars.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Removed certain offending #undefs.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* flexint.h: Removed logical and from preprocessor statement.

2006-02-14  Will Estes <wlestes@users.sourceforge.net>

	* po/nl.po, po/nl.po.1: remove eroneously named nl.po.1; update
	nl.po

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* dfa.c: .

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Included <sys/types.h> for serialized tables.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* configure.in: Minor patch to call to head in configure script.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation patch.

2006-02-14  John Millaway <john43@users.sourceforge.net>

	* filter.c, gen.c, libyywrap.c, main.c: Patch for full file system
	failure.

2006-02-13  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-02-13  John Millaway <john43@users.sourceforge.net>

	* main.c: Fixed double-fclose when input file is empty.

2006-02-10  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po, po/da.po, po/de.po, po/es.po, po/fr.po, po/ga.po,
	po/ko.po, po/nl.po.1, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	po/sv.po, po/tr.po, po/vi.po, po/zh_CN.po: newtranslations

2005-12-22  John Millaway <john43@users.sourceforge.net>

	* buf.c, main.c: Improvement request 1069716 log vs. log10

2005-12-22  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed bug 1257093 yy_init_globals in header file

2005-04-14  Will Estes <wlestes@users.sourceforge.net>

	* po/nl.po: new nl translation

2005-04-07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/nl.po, po/vi.po: new nl and vi translations

2004-07-20  Will Estes <wlestes@users.sourceforge.net>

	* filter.c: correct improper stdin assignment

2004-05-22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/tr.po: new tr translation

2004-05-12  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore, .indent.pro: .cvsignore and  .indent.pro got missed in
	the import to sourceforge; replace them

2004-05-11  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new fr translation

2004-05-03  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: polish is pl, not po

2004-03-22  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po: yet another sweedish update

2004-03-19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/sv.po: new sv translation

2003-12-11  John Millaway <john43@users.sourceforge.net>

	* configure.in, filter.c, main.c: Configure checks for GNU m4.
	Environment variable M4 overrides built-in m4 path.  Generated m4
	does a late check for GNU m4.

2003-12-09  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: added 3 faqs

2003-11-24  Will Estes <wlestes@users.sourceforge.net>

	* po/ro.po: new ro translation

2003-11-07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/fr.po: new french translation

2003-11-07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po: new catalan translation from the translation
	project

2003-11-07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/ga.po, po/pl.po: new polish translation;
	updated irish translation from translation project

2003-10-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/ga.po: new Irish translation

2003-08-25  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/ro.po: add romanian translation

2003-07-16  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: flex_*int* type fixes

2003-07-16  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvsauthors: change wlestes email address

2003-07-16  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: undef yytext_ptr has some bad side effects

2003-07-07  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documented m4 incompatibility with lex.

2003-05-21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: upgrade to gettext 0.12

2003-05-20  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, gen.c: patches from manoj via sourceforge

2003-05-20  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, po/.cvsignore, po/Makevars: upgrade gettext to 0.12;
	this allows running make pdf and make ps to be successful

2003-05-20  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore: cvs should ignore flex.pdf and flex.ps

2003-04-25  John Millaway <john43@users.sourceforge.net>

	* TODO: Added yylineno bugs to TODO list.

2003-04-03  John Millaway <john43@users.sourceforge.net>

	* doc/flex.xml: Docbook.

2003-04-03  John Millaway <john43@users.sourceforge.net>

	* doc/flex.xml: xml now validates.

2003-04-02  John Millaway <john43@users.sourceforge.net>

	* doc/flex.xml: Began conversion to DocBook.

2003-04-01  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.31

2003-04-01  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: remove --enable-maintainer-mode configure option

2003-04-01  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove AM_MAINTAINER_MODE

2003-04-01  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flexdef.h, main.c, misc.c, scan.l: Renamed some internal
	variables.

2003-03-31  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: yylineno is now per-buffer in reentrant scanners

2003-03-31  John Millaway <john43@users.sourceforge.net>

	* TODO: Added TODO item.

2003-03-30  John Millaway <john43@users.sourceforge.net>

	* flex.skl, gen.c: yylineno is per-buffer in the reentrant scanner.
	support for yycolumn exists, but is not yet developed.

2003-03-28  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Minor documentation.

2003-03-28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: added %top directive

2003-03-27  John Millaway <john43@users.sourceforge.net>

	* buf.c, configure.in, doc/flex.texi, flexdef.h, main.c, scan.l,
	tests/Makefile.am, tests/descriptions, tests/test-top/.cvsignore,
	tests/test-top/Makefile.am, tests/test-top/main.c,
	tests/test-top/scanner.l, tests/test-top/test.input: Added %top
	block syntax.  Added test for %top block.  Documented %top block.

2003-03-27  John Millaway <john43@users.sourceforge.net>

	* TODO, doc/flex.texi: Documented the m4 dependency.

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: check for sys/wait.h since we use wait(2)

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h: reorder include directives so as to catch system
	integer types before flex defined values for same

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* TODO: assign tasks due before major release can happen; remove
	--enable-maintainer-mode entry

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: only rebuild the ChangeLog if we're inside a cvs
	working directory

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tools/.cvsignore, tools/Makefile.am: add tools/
	subdirectory to distribution

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove maintainer_mode conditional; add filter.c and
	regex.c to indentfiles; reformat and sort indentfiles so it's easier
	to add files in the future

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: clean up flex.texi processing leftovers with
	cleanfiles

2003-03-26  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-linedir-r/Makefile.am: an awk script wasn't included in
	the distribution

2003-03-26  John Millaway <john43@users.sourceforge.net>

	* TODO, configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-include-by-push/.cvsignore,
	tests/test-include-by-push/Makefile.am,
	tests/test-include-by-push/scanner.l,
	tests/test-include-by-push/test-1.input,
	tests/test-include-by-push/test-2.input,
	tests/test-include-by-push/test-3.input: Added test for
	yypush_buffer_state and yypop_buffer_state.

2003-03-26  John Millaway <john43@users.sourceforge.net>

	* TODO: Removed items from TODO list.

2003-03-26  John Millaway <john43@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-linedir-r/.cvsignore, tests/test-linedir-r/Makefile.am,
	tests/test-linedir-r/check-lines.awk, tests/test-linedir-r/main.c,
	tests/test-linedir-r/scanner.l, tests/test-linedir-r/test.input: 
	Added test for #line directives.

2003-03-26  John Millaway <john43@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/test-noansi-nr/.cvsignore,
	tests/test-noansi-nr/Makefile.am, tests/test-noansi-nr/scanner.l,
	tests/test-noansi-nr/test.input, tests/test-noansi-r/.cvsignore,
	tests/test-noansi-r/Makefile.am, tests/test-noansi-r/scanner.l,
	tests/test-noansi-r/test.input: Added test for noansi (traditional)
	options.  Reordered the tests so the basic ones are first.

2003-03-25  Will Estes <wlestes@users.sourceforge.net>

	* TODO, doc/Makefile.am: remove maintainer-mode conditional around
	rebuilding of manpage

2003-03-25  Will Estes <wlestes@users.sourceforge.net>

	* README: mention doc/ for user documentation

2003-03-25  Will Estes <wlestes@users.sourceforge.net>

	* TODO: rework distribution items

2003-03-25  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention m4 processing

2003-03-25  Will Estes <wlestes@users.sourceforge.net>

	* tests/README: update instructions for running test suite

2003-03-25  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, Makefile.am, TODO, buf.c, configure.in,
	doc/flex.texi, filter.c, flex.skl, flexdef.h, gen.c, main.c,
	misc.c, options.c, options.h, regex.c, scan.l, sym.c,
	tests/test-bison-nr/scanner.l, tests/test-bison-yylloc/scanner.l,
	tests/test-reject/scanner.l, tests/test-table-opts/scanner.l: merge
	millaway's m4 branch work

2003-03-24  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi, flex.skl, flexdef.h, gen.c, main.c, options.c,
	options.h, scan.l: Option ansi-definitions.  Option ansi-prototypes.
	Cleaned up some of header.  Documented bison-locations.

2003-03-24  John Millaway <john43@users.sourceforge.net>

	* scan.l: Escaped m4 macros in scan.l which would cause
	bootstrapping issues.

2003-03-21  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi, flex.skl, main.c: Cleaning up the skel.

2003-03-20  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we want to move the contents of to.do/Wishlist to top level
	TODO

2003-03-20  John Millaway <john43@users.sourceforge.net>

	* to.do/Wish-List: Assessment of every item in Wish-List.

2003-03-19  John Millaway <john43@users.sourceforge.net>

	* main.c: Fixed allocation of slightly more memory than needed.

2003-03-19  John Millaway <john43@users.sourceforge.net>

	* TODO, buf.c, configure.in, flex.skl, flexdef.h, main.c, sym.c: 
	Start conditions now generated in a single place.

2003-03-19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: cosmetic changes to TODO list

2003-03-19  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Cleaned up warnings so multiple headers could coincide.

2003-03-19  John Millaway <john43@users.sourceforge.net>

	* TODO, flex.skl, main.c: Moved prefixes to m4.

2003-03-19  John Millaway <john43@users.sourceforge.net>

	* FlexLexer.h, filter.c, flex.skl, flexdef.h, main.c, misc.c,
	regex.c: Removed Paxson/Berkeley copyright restriction from filter.c
	and regex.c.  Inline documentation of much of the generated API.
	Line directives now fixed for header and stdin/stdout.  Blank lines
	squeezed from generated scanner.

2003-03-18  John Millaway <john43@users.sourceforge.net>

	* filter.c, flexdef.h, main.c, regex.c: Fixed #line directives.

2003-03-17  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, filter.c, flexdef.h, regex.c: Added regex.c for
	regex-related code.  Worked on fixing line directives;incomplete.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* TODO: Added some TODOs.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, main.c, options.c, options.h, scan.l,
	tests/test-bison-nr/scanner.l, tests/test-bison-yylloc/scanner.l: 
	Bison bridge was simplified to rely less on bison output.  New
	option bison-locations.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* filter.c, flex.skl, flexdef.h, gen.c, main.c, scan.l,
	tests/test-reject/scanner.l: Filters are now direct children of main
	process.  Header file now generated through m4.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* buf.c, filter.c, flexdef.h, main.c, misc.c: Added internal filter
	ability.  Deleted various unused variables.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* main.c, tests/test-table-opts/scanner.l: Keeping tests up to date
	with m4 changes.  Proper wait for all children.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/test-table-opts/scanner.l: Moved test-tables to
	m4.

2003-03-14  John Millaway <john43@users.sourceforge.net>

	* flex.skl, main.c, options.c: Moved bison bridge code to m4.

2003-03-13  John Millaway <john43@users.sourceforge.net>

	* flex.skl, gen.c, main.c, scan.l: Moved YY_USE_LINENO to m4.

2003-03-13  John Millaway <john43@users.sourceforge.net>

	* buf.c, flexdef.h, scan.l: Added function buf_m4_undefine.

2003-03-13  John Millaway <john43@users.sourceforge.net>

	* flex.skl, main.c, scan.l: Replaced YY_ALWAYS_INTERACTIVE with m4.
	Replaced YY_NEVER_INTERACTIVE with m4.

2003-03-13  John Millaway <john43@users.sourceforge.net>

	* flex.skl, main.c: Moved YY_TEXT_IS_ARRAY to m4.

2003-03-12  John Millaway <john43@users.sourceforge.net>

	* flex.skl, gen.c, main.c, tests/test-reject/scanner.l: Renaming
	macros from YY_* to M4_YY_* where appropriate.

2003-03-12  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/test-reject/scanner.l,
	tests/test-table-opts/scanner.l: Now using local variable "yyg"
	instead of lengthly YY_G expansion.

2003-03-12  John Millaway <john43@users.sourceforge.net>

	* buf.c, filter.c, flex.skl, flexdef.h, main.c, misc.c, options.c,
	options.h, scan.l, tests/test-reject/scanner.l: More m4 macro
	conversions.  Added debugging option --preproc-level=NUM.

2003-03-11  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, buf.c, flex.skl, flexdef.h, gen.c, main.c, misc.c,
	scan.l: Replaced many CPP macros with m4 equivalents.

2003-03-10  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, filter.c, flex.skl, flexdef.h, main.c, misc.c: Added
	filter.c Added filter.c rules to Makefile.am Added filter prototypes
	to flexdef.h Flex now filters output through m4.

2003-03-05  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore, texinfo.tex: move texinfo.tex to doc/

2003-03-05  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO

2003-03-05  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.29

2003-03-04  John Millaway <john43@users.sourceforge.net>

	* FlexLexer.h, flex.skl: Added growable buffer stack to C++ scanner
	as well.  yyensure_buffer_stack is now static.

2003-03-02  John Millaway <john43@users.sourceforge.net>

	* flex.skl, misc.c: Removed awkward %push %pop syntax from skeleton.

2003-03-02  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Renamed YY_CURRENT_BUFFER_FAST to
	YY_CURRENT_BUFFER_LVALUE to better reflect its purpose.

2003-02-28  John Millaway <john43@users.sourceforge.net>

	* NEWS: made entry on input buffer stacks.

2003-02-28  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, doc/Makefile.am: build on . in top level first; this
	will simplify calling help2man

2003-02-28  John Millaway <john43@users.sourceforge.net>

	* TODO, doc/flex.texi, flex.skl, gen.c, main.c: Removed
	yy_current_buffer from the planet.  Input buffer states are now in
	an internal unbounded stack.  Added new internal function,
	yyensure_buffer_stack.  Added new API function, yypush_buffer_state.
	Added new API function, yypop_buffer_state.  Documented the new API
	calls in the manual.  Macro YY_BUFFER_STATE now refers to top of
	stack.  This revision breaks the C++ scanner (again.)

2003-02-28  John Millaway <john43@users.sourceforge.net>

	* main.c: Removed some symbols from the undef list. They are needed
	for multiple headers to coexist.

2003-02-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in, doc/.cvsignore, doc/Makefile.am,
	doc/flex.texi, flex.texi: move flex.texi and flex.1 to new doc/
	subdirectory

2003-02-27  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: namespace cleanups

2003-02-26  John Millaway <john43@users.sourceforge.net>

	* main.c: Added a few macros to the undef list.

2003-02-26  John Millaway <john43@users.sourceforge.net>

	* main.c: Put the undef macros in an array.

2003-02-12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.28

2003-02-10  Will Estes <wlestes@users.sourceforge.net>

	* README, TODO, configure.in, flex.texi: update documentation to
	reflect the sourceforge move

2003-02-06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update according to current thinking

2003-02-06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: mcvs reviewed

2003-02-06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: sourceforge migration tasks

2003-02-04  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: Flex now warns if always-interactive is specified with fast
	or full; Fixed trailing slash bug in YY_INPUT macro def

2003-01-31  John Millaway <john43@users.sourceforge.net>

	* scan.l: Flex now warns if always-interactive is specified with
	fast or full.

2003-01-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: switch to using cvs2cl.pl to generate the ChangeLog

2003-01-31  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvs2cl.pl, tools/cvsauthors: we're going to be switching how
	we handle our ChangeLog

2003-01-29  John Millaway <john43@users.sourceforge.net>

	* gen.c, misc.c: Fixed trailing slash bug in YY_INPUT macro def.

2003-01-29  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: upgrade texinfo to 4.3d

2003-01-29  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: the @copying construct works now; thanks to the texinfo
	maintainers for finding the problem

2003-01-21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.27

2003-01-21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex now works with recent bison versions

2003-01-18  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Check for YYLTYPE_IS_DECLARED. This fixes bison-bridge
	with latest bison.

2003-01-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/pt_BR.po: new pt_br translation

2003-01-14  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.26

2003-01-14  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: Fixed table deserialization bug on big-endian archs. Patch
	sent from Bryce Nichols <bryce@bnichols.org>

2003-01-12  John Millaway <john43@users.sourceforge.net>

	* tables_shared.h: Fixed table deserialization bug on big-endian
	archs. Patch sent from Bryce Nichols <bryce@bnichols.org>.

2003-01-10  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: add version numbers for some tools and
	explain about version.texi and --enable-maintainer-mode

2003-01-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch news up

2003-01-09  John Millaway <john43@users.sourceforge.net>

	* tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l: Changed
	size_t to yy_size_t in yyalloc() and yyrealloc(). Is this really
	what we want?

2003-01-09  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Changed type of yyleng from size_t to int. This fixes
	bug in PostgreSQL compilation.

2003-01-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch news up

2003-01-09  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: more c++ fixes

2003-01-09  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in, flex.spec.in: add a spec file

2003-01-09  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: type cast to pacify c++ compilers; patch from Bruce
	Lilly <blilly@erols.com>

2003-01-08  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new es translation

2003-01-08  Will Estes <wlestes@users.sourceforge.net>

	* po/es.po: new spanish translation

2002-12-19  John Millaway <john43@users.sourceforge.net>

	* gen.c: Fixed bug where YY_G(0) sometimes occurs (created by my
	previous commit.)

2002-12-17  John Millaway <john43@users.sourceforge.net>

	* gen.c: Fixed bug submitted by Bojan Smojver <bojan@rexursive.com>
	where the use of yylineno, reentrant, and yymore together caused a
	compile-time error.

2002-12-17  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS

2002-12-17  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Documented new behavior with character ranges.

2002-12-16  John Millaway <john43@users.sourceforge.net>

	* parse.y: Fixed bug submitted by  Bruce Lilly <blilly@erols.com>
	where character ranges would yield unexpected behavior in a caseless
	scanner.  Also, flex now emits a warning if the range looks like
	trouble.

2002-12-16  John Millaway <john43@users.sourceforge.net>

	* ccl.c, flexdef.h: Added utility functions to deal with character
	case.

2002-12-09  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: we don't really need int64 anyway

2002-12-09  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: apparently some lints are happier with fllthrough
	without a space

2002-12-02  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.25

2002-12-02  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: enclose flex.1 target in MAINTERNER_MODE

2002-12-02  Will Estes <wlestes@users.sourceforge.net>

	* po/pt_BR.po: new pt_br translation

2002-12-01  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Indexed some more faqs.

2002-11-29  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed bug in SECOND yyless definition where argument was
	not enclosed in parentheses.

2002-11-29  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed bug in yyless definition where argument was not
	enclosed in parentheses.

2002-11-27  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex uses flex_int*_t types

2002-11-27  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: integer types for non-C99 systems flexint.h

2002-11-27  John Millaway <john43@users.sourceforge.net>

	* dfa.c, flexint.h, gen.c, tables.c, tables.h, tables_shared.c,
	tables_shared.h: Changed int types to flex_intX_t. The build is now
	broken until typedef's are established.

2002-11-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: MAINTAINERCLEANFILES: new variable: try to make it so
	that make maintainer-clean  erases everything not under version
	control

2002-11-27  Will Estes <wlestes@users.sourceforge.net>

	* config.rpath: remove config.rpath

2002-11-27  Will Estes <wlestes@users.sourceforge.net>

	* README-alpha: just list location of betas

2002-11-26  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: __STDC_VERSION__ needs an L suffix

2002-11-26  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/pt_BR.po: new pt_br translation from the
	translation project

2002-11-25  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: include inttypes.h for folks who really are C99

2002-11-25  Will Estes <wlestes@users.sourceforge.net>

	* TODO: fix a typo

2002-11-25  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.24

2002-11-23  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: try to make sure we have GNU m4

2002-11-23  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c++-multiple-scanners/Makefile.am: include
	tests/test-c++-multipl-scanners/test.input

2002-11-23  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: more portability fixes

2002-11-23  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: apparently on some BSD systems, we need
	sys/params.h; reported by millaway

2002-11-22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS

2002-11-22  John Millaway <john43@users.sourceforge.net>

	* flex.skl, main.c, tests/test-c++-multiple-scanners/Makefile.am: 
	Fixed prefix of yyalloc,yyfree,yyrealloc in C++ scanner.  Removed
	yylex_destroy from C++ scanner.

2002-11-22  John Millaway <john43@users.sourceforge.net>

	* flex.texi: renamed some faqs.

2002-11-22  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS: update wording about authorship

2002-11-17  John Millaway <john43@users.sourceforge.net>

	* parse.y: Removed space before line num in error messages to look
	more like gcc's errors.

2002-11-06  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/tr.po: new turkish translation from the translation
	project

2002-10-28  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: applied c++ from lilypond folks for std:: reasons

2002-10-25  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofreading

2002-10-24  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofreading

2002-10-22  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: use c-style header names in c++ for now; at some point
	we'll have a separate c++ skeleton and we can go whole-hog pure c++

2002-10-22  Will Estes <wlestes@users.sourceforge.net>

	* TODO: c++ rants

2002-10-22  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more proofreading

2002-10-22  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: include intent.pro; indent target is MAINTAINER_MODE
	conditional

2002-10-22  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: When we use AC_PATH_PROG, value-if-not-found is the
	name of the program we wanted to find; this will generate more
	helpful error messages

2002-10-21  John Millaway <john43@users.sourceforge.net>

	* tables.c: Added a missing function prototype.

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.23

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS on recent changes

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: use sys/types.h and not inttypes.h

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: check for limits.h

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO on recent suggestions

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: titlepage and contents

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: typo

2002-10-21  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, README.cvs-snapshot: include README.cvs-snapshot in
	the distribution; in README-cvs-snapshot, mention the need for
	enable-maintainer-mode

2002-10-21  John Millaway <john43@users.sourceforge.net>

	* flex.texi: typo.

2002-10-18  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: report the current version info that flex provides;
	reformat a list of non-posix features

2002-10-18  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: report the current version info that flex provides

2002-10-18  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: FLEX_BETA defined if flex is beta

2002-10-16  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: if we're doing c++, then we can't use long long

2002-10-14  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO on several things

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more proofreading

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/test-array-nr/Makefile.am,
	tests/test-array-r/Makefile.am, tests/test-basic-nr/Makefile.am,
	tests/test-basic-r/Makefile.am, tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c++-basic/Makefile.am,
	tests/test-c++-multiple-scanners/Makefile.am,
	tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-r/Makefile.am,
	tests/test-debug-nr/Makefile.am, tests/test-debug-r/Makefile.am,
	tests/test-header-nr/Makefile.am, tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-mem-nr/Makefile.am, tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-reject/Makefile.am,
	tests/test-string-nr/Makefile.am, tests/test-string-r/Makefile.am,
	tests/test-table-opts/Makefile.am, tests/test-yyextra/Makefile.am: 
	remove BISON assignment as per suggestion from Akim Demaille

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: remove intl from dist

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we use maintainer mode now

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: include create-test

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: rename test to check-local as per Akim
	Demaille; test for failed tests so that make check fails if any
	tests do

2002-10-11  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: use dist_noinst_scripts as per email from Akim
	Demaille

2002-10-10  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Documentation.

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.22; portability fixes and attn to
	the test suite

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: ok, this seems to work

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-header-nr/Makefile.am, tests/test-header-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am: use builddir in tests
	that need it in their include path

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: sometimes we put header files in the
	builddir and so we should account for that

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: replace the last  instance

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: include unistd.h and not cunistd as cunistd only seems
	to be present on very recent systems

2002-10-10  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in, flex.skl, flexdef.h, flexint.h: redo
	integral types again; add flexint.h; change dependencies caused by
	adding flexint.h; remove autoconf wrapper around cunistd; restore
	netinet/in.h includes; remove unneded feature checks in configure.in

2002-10-08  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flex.skl, flexdef.h: current swipe at header magic;
	int types be damned

2002-10-08  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: change version constant info to reflect change to flex.skl

2002-10-08  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove README-alpha option; add definitions for
	FLEX_{MAJOR,MINOR,SUBMINOR}_VERSION

2002-10-07  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flexdef.h: ok, here goes; try to handle integral
	typedefs in one swell foop

2002-10-07  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we check for {u,}int*_t types; maybe this will
	simplify things

2002-10-07  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we create the tests/TEMPLATE/Makefile so that we can
	build the dist archives

2002-10-07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: more test suite cleanups

2002-10-07  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c++-multiple-scanners/Makefile.am: we don't use header
	files...

2002-10-07  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h: remove include of malloc.h

2002-10-04  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more editing; remove examples index; merge examples
	into concept index

2002-10-04  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: edited one more faq; used C-u C-c C-u C-a to update
	menus and nodes since the other updating commands are somewhat
	broken; unfortunately this means that all nodes have all pointers
	filled in

2002-10-04  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: yesterday's proofreading

2002-10-02  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofread some more

2002-10-02  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofread edit begins

2002-10-01  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/Makefile.am,
	tests/test-c++-multiple-scanners/.cvsignore,
	tests/test-c++-multiple-scanners/Makefile.am,
	tests/test-c++-multiple-scanners/main.cpp,
	tests/test-c++-multiple-scanners/scanner-1.l,
	tests/test-c++-multiple-scanners/scanner-2.l,
	tests/test-c++-multiple-scanners/test.input: test c++ with multiple
	scanners

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-nr/Makefile.am, tests/test-array-r/Makefile.am,
	tests/test-basic-nr/Makefile.am, tests/test-basic-r/Makefile.am,
	tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c++-basic/Makefile.am, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am, tests/test-debug-nr/Makefile.am,
	tests/test-debug-r/Makefile.am, tests/test-header-nr/Makefile.am,
	tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-mem-nr/Makefile.am, tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-reject/Makefile.am,
	tests/test-string-nr/Makefile.am, tests/test-string-r/Makefile.am,
	tests/test-table-opts/Makefile.am, tests/test-yyextra/Makefile.am: 
	we used INCLUDES in another place in the Makefile.am files in the
	test suite

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-nr/Makefile.am, tests/test-array-r/Makefile.am,
	tests/test-basic-nr/Makefile.am, tests/test-basic-r/Makefile.am,
	tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c++-basic/Makefile.am, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am, tests/test-debug-nr/Makefile.am,
	tests/test-debug-r/Makefile.am, tests/test-header-nr/Makefile.am,
	tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-mem-nr/Makefile.am, tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-reject/Makefile.am,
	tests/test-string-nr/Makefile.am, tests/test-string-r/Makefile.am,
	tests/test-table-opts/Makefile.am, tests/test-yyextra/Makefile.am: 
	oops, I typed that last s/// command to perl way wrong

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/test-array-nr/Makefile.am,
	tests/test-array-r/Makefile.am, tests/test-basic-nr/Makefile.am,
	tests/test-basic-r/Makefile.am, tests/test-bison-nr/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c++-basic/Makefile.am, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am, tests/test-debug-nr/Makefile.am,
	tests/test-debug-r/Makefile.am, tests/test-header-nr/Makefile.am,
	tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-mem-nr/Makefile.am, tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-reject/Makefile.am,
	tests/test-string-nr/Makefile.am, tests/test-string-r/Makefile.am,
	tests/test-table-opts/Makefile.am, tests/test-yyextra/Makefile.am: 
	use AM_CPPFLAGS instead of INCLUDES; write -I with no space after it
	for broken compilers

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: INCLUDES is obsolete; use AM_CPPFLAGS instead

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: apparently, AM_CONFIG_HEADER is obsolete

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* TODO: integrate test suite into automake

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: since we dont run the template test, we dont need to
	generate its Makefile either

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: use autoreconf instead of calling individual utilities
	separately

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: check for c++ compiler

2002-09-27  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: re-organize according to suggested layout in
	autoconf manual

2002-09-26  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in: update automake to 1.7 and
	autoconf to 2.54

2002-09-26  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: use AM_YFLAGS since YFLAGS is a user variable

2002-09-25  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch NEWS up on things, some of which happened a long time
	ago; correct punctuation; try to remove some editorializing

2002-09-25  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, flex.skl, flex.texi: include a single, automatically
	generated version number in flex scanners

2002-09-23  Will Estes <wlestes@users.sourceforge.net>

	* tests/create-test: complain audibly when argument not supplied;
	echo on stderr when writing error messages

2002-09-23  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am, tests/create-test: DIST_SUBDIRS so we don't
	have to run the TEMPLATE test; so we add new tests to SUBDIRS and
	DIST_SUBDIRS

2002-09-23  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: not all compilers support '-I dir' so
	we write '-Idir' instead

2002-09-23  Will Estes <wlestes@users.sourceforge.net>

	* TODO: reorganize faq entries; proofread the manual

2002-09-23  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: move c++ experimental warning to top of cxx node

2002-09-20  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: move stdint.h include to table-serialization section;
	we'll still need to think about stdint.h more though

2002-09-20  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new smarter skeleton/scanner generation

2002-09-20  John Millaway <john43@users.sourceforge.net>

	* flex.skl, misc.c: bison-bridge skel handled via %if/%endif pairs.

2002-09-19  John Millaway <john43@users.sourceforge.net>

	* flex.skl, misc.c: reentrant skel handled via %if/%endif pairs.

2002-09-19  John Millaway <john43@users.sourceforge.net>

	* flex.skl, misc.c: skeleton uses %push/%pop to keep skelout() scope
	sane.  skel commands are omitted unless --debug enabled.

2002-09-19  John Millaway <john43@users.sourceforge.net>

	* flex.skl, main.c, misc.c, tables.h: Added %push and %pop
	operations to skel processing.

2002-09-17  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: flex 2.5.21

2002-09-17  John Millaway <john43@users.sourceforge.net>

	* tests/test-reject/Makefile.am: minor fixup for dist.

2002-09-16  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.20

2002-09-16  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: correct typo

2002-09-16  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note the new tables functionality

2002-09-16  John Millaway <john43@users.sourceforge.net>

	* tests/test-multiple-scanners-r/.cvsignore,
	tests/test-multiple-scanners-r/Makefile.am: Fixed `clean' target and
	.cvsignore.

2002-09-16  John Millaway <john43@users.sourceforge.net>

	* TODO, flex.skl, flex.texi, main.c, tables_shared.h,
	tests/test-multiple-scanners-r/main.c,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l: Serialization works in
	headers (%option headers).  Serialization code (Tables API) is
	complete.

2002-09-16  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-reject/scanner.l: replace yytables_load with
	yytables_fload as per millaway's other changes

2002-09-15  John Millaway <john43@users.sourceforge.net>

	* TODO, flex.texi: Created user API for tables deserialization.
	Documented API and --tables-* options in manual.

2002-09-15  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/test-table-opts/scanner.l: Tables deserialization
	uses yyalloc/yyfree.  Changed yytables_load to yytables_fload.

2002-09-15  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-nr/.cvsignore: minor upkeep.

2002-09-15  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Categorized and indexed scanner options in manual.

2002-09-15  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Initialization of reject vars and %array vars in
	reentrant scanner.

2002-09-13  John Millaway <john43@users.sourceforge.net>

	* TODO, configure.in, devel/tables.pl, dfa.c, flex.skl, flex.texi,
	gen.c, tables.c, tables_shared.c, tables_shared.h,
	tests/Makefile.am, tests/test-reject/.cvsignore,
	tests/test-reject/Makefile.am, tests/test-reject/scanner.l,
	tests/test-reject/test.input, tests/test-table-opts/Makefile.am: 
	Created test for reject.  Handled reject-triggered tables in
	serialization.

2002-09-13  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: millaway has been very busy

2002-09-13  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/test-table-opts/Makefile.am,
	tests/test-table-opts/scanner.l: Added test for multiple tables in
	one file.

2002-09-13  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-nr/.cvsignore: forgot to add .cvsignore on last
	commit.

2002-09-13  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-nr/Makefile.am, tests/test-bison-nr/main.c,
	tests/test-bison-nr/parser.y, tests/test-bison-nr/scanner.l,
	tests/test-bison-nr/test.input: Added test-bison-bridge.

2002-09-13  John Millaway <john43@users.sourceforge.net>

	* configure.in, flex.skl, flex.texi, flexdef.h, gen.c, main.c,
	misc.c, options.c, options.h, scan.l, tables.h, tests/Makefile.am,
	tests/descriptions, tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/scanner.l, tests/test-table-opts/scanner.l: 
	Bison bridge code now works for all C scanners and pure/non-pure
	bison parsers.  Added %option bison-bridge (--bison-bridge).
	Removed %option reentrant-bison/--reentrant-bison/-Rb.  Scanner
	knows the name of its tables.  Tables serialization is OK on EOF.
	yylineno is present in all scanners.  Modified nasty performance
	penalty warning w/ yylineno.  test-table-opts is now run last
	because it's so fat.  Updated manual.

2002-09-12  John Millaway <john43@users.sourceforge.net>

	* flex.texi: documentation of tabels api in manual

2002-09-12  John Millaway <john43@users.sourceforge.net>

	* TODO, tables.c: Renamed *_fwrite to *_write to reflect writer
	abstraction.

2002-09-11  John Millaway <john43@users.sourceforge.net>

	* devel/tables.pl: Added perl script to read/dump serialized tables
	in devel/

2002-09-11  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: the debian patch used strlen(yytext) and similar
	constructs--as millaway points out, this is better known as yyleng

2002-09-11  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/de.po: new de translation from the translation project

2002-09-11  John Millaway <john43@users.sourceforge.net>

	* flex.skl: yytbl_load now checks tables set by name.  Localized var
	scaope in yytbl_load.

2002-09-10  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: make clean  before make test

2002-09-09  John Millaway <john43@users.sourceforge.net>

	* TODO, flex.skl: Fixed deserialization of --fast tables.

2002-09-09  Will Estes <wlestes@users.sourceforge.net>

	* TODO: fix typo; remove the yylineo entry

2002-09-09  John Millaway <john43@users.sourceforge.net>

	* TODO, buf.c, devel/dump-tables.pl, dfa.c, flex.skl, flexdef.h,
	gen.c, main.c, misc.c, options.c, options.h, scan.l, tables.c,
	tables.h, tables_shared.h, tests/test-table-opts/.cvsignore,
	tests/test-table-opts/Makefile.am, tests/test-table-opts/scanner.l: 
	Table deserialization works for everything except --fast scanners.
	Scanners can auto-verify serialized table integrity via
	--tables-verify.  Added tables API items to TODO list.
	test-table-opts is becoming exhaustive (a good thing).

2002-09-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex has better internal diagnostics

2002-09-09  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: test for presence of __func__ and
	compensate if absent

2002-09-09  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: include the intl/ subdirectory when searching for
	include files

2002-09-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ru.po, po/sv.po: new sv, ru translations from the
	translation project

2002-09-07  John Millaway <john43@users.sourceforge.net>

	* flex.skl, misc.c: Changed cryptic skeleton markers to readable
	form.

2002-09-07  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, dfa.c, flex.skl, flex.texi, flexdef.h, gen.c,
	main.c, misc.c, parse.y, tables.c, tables.h, tables_shared.c,
	tables_shared.h: Members of struct yy_trans_info are now forced to
	be the same size.  Added shared file tables_shared.c.  Separated
	tables.h from flexdef.h Bulk of table deserialization code is done.

2002-09-06  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po: new ca translation

2002-09-06  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new fr translation

2002-09-06  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new french translation from the translation project

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: c99 function defs by default

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, tables.c: Added flex_die macro. May need some autoconf
	massaging.  Added thorough error checking in tables code.

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi: Flex generates C99 defs now.  Documented the
	above change in manual.

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* tests/test-table-opts/.cvsignore,
	tests/test-table-opts/Makefile.am: Added serialization test to
	table-opts test.

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: oops, i made a typo

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.19

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: use FLEX_EXIT(), not exit()

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* devel/00EXTRACT-ALL-SYMS.sh, devel/README, devel/dump-tables.pl: 
	Added devel/ directory for junk that we don't want in the
	distribution, but that we want in CVS.

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: s/exit(1)/exit(EXIT_FAILURE)

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* dfa.c, gen.c: Tables are now generated with %option
	tables-file=FILE.

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch up on a few things

2002-09-05  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: prevent segfault on input lines which are longer than the
	allocated space (problem report from Manoj Srivastava
	<srivasta@golden-gryphon.com>)

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* flex.texi, main.c, options.c, options.h: Changed option 'header'
	to 'header-file'. 'header' still works, though.

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* flex.texi, flexdef.h, gen.c, main.c, options.c, options.h,
	scan.l, tables.c: Tons more work on tables.

2002-09-05  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, gen.c, tables.c, tables_shared.h: Lots of work on
	tables serialization code.

2002-09-04  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: mention GNU indent

2002-09-04  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: remove the word after from the version line

2002-09-03  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.18

2002-09-03  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch up on the NEWS

2002-09-03  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: target test: quote the results echoing so that
	the ECHO_C will work on systems where it is used

2002-09-03  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: when we don't have GNU indent, the test will
	generate output on stderr, so we send that to /dev/null

2002-09-03  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: fixed bug whereby bison was reported missing even
	when it was found

2002-09-02  John Millaway <john43@users.sourceforge.net>

	* tables.c: In-code documentation.

2002-09-02  John Millaway <john43@users.sourceforge.net>

	* flexdef.h: Forgot to indent before previous commit.

2002-09-02  John Millaway <john43@users.sourceforge.net>

	* flexdef.h: Added known integer limits if undefined.

2002-08-29  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: version 2.5.17

2002-08-29  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: more portability fixes; new version number

2002-08-29  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h, main.c, misc.c, scanopt.c: #include fixes; we've
	factored out all the system include files and put them in flexdef.h

2002-08-29  Will Estes <wlestes@users.sourceforge.net>

	* dfa.c: eat a blank line

2002-08-29  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new config.{sub,guess} files; mention that we use indent on
	flex

2002-08-28  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: warn if no indent found; version 2.5.16

2002-08-28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch up on recent changes; version 2.5.16

2002-08-27  Will Estes <wlestes@users.sourceforge.net>

	* buf.c, ccl.c, dfa.c, ecs.c, flexdef.h, gen.c, libmain.c,
	libyywrap.c, main.c, misc.c, nfa.c, options.c, options.h,
	scanopt.c, scanopt.h, sym.c, tables.c, tables_shared.h, tblcmp.c,
	yylex.c: ran the indent target; commit the results

2002-08-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: touch up the indent targeet; it's ready for
	production use now

2002-08-27  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: test for GNU indent; reorder the tests somewhat

2002-08-23  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: automake is smarter about autoconf's versioning
	scheme

2002-08-23  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch NEWS up on what we've been doing

2002-08-22  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h: do some more conditional including for folks without
	standard systems

2002-08-22  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c++-basic/Makefile.am: use CXX to link the test scanner
	here

2002-08-22  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Documentation.

2002-08-22  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Created 'indent' target and added .indent.pro.

2002-08-22  John Millaway <john43@users.sourceforge.net>

	* tests/test-array-nr/Makefile.am, tests/test-array-r/Makefile.am,
	tests/test-basic-nr/Makefile.am, tests/test-basic-r/Makefile.am,
	tests/test-c-cpp-nr/Makefile.am: Fixed missing 'make clean' files.

2002-08-22  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am: fixed missing 'clean' file.

2002-08-22  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/test-c++-basic/Makefile.am,
	tests/test-c++-basic/scanner.l: Removed core of yylex_destroy from
	c++ scanner -- hack! Added -lstdc++ to LDFLAGS (should we have to do
	this??)

2002-08-21  Will Estes <wlestes@users.sourceforge.net>

	* README: official releases are being hosted by Vern

2002-08-21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: new beta version; more entries in NEWS from
	millaway; the top level entry for test-c++-basic

2002-08-21  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am, tests/test-c++-basic/.cvsignore,
	tests/test-c++-basic/Makefile.am, tests/test-c++-basic/scanner.l,
	tests/test-c++-basic/test.input: add test-c++-basic

2002-08-21  John Millaway <john43@users.sourceforge.net>

	* gen.c, nfa.c: More tabels work.

2002-08-21  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, gen.c, tables.c, tables_shared.h: More work on tables.

2002-08-20  John Millaway <john43@users.sourceforge.net>

	* dfa.c: Cleaned up macros that took no ';'.

2002-08-20  John Millaway <john43@users.sourceforge.net>

	* scanopt.c: Fixed oddball '=-'.

2002-08-20  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi, gen.c: Dynamically allocate REJECT state
	buffer.  Mentioned memory usage in docs.  Made REJECT buffer
	variables reentrant-safe.

2002-08-20  John Millaway <john43@users.sourceforge.net>

	* tables.c: More work on tables code.

2002-08-20  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in: we're using m4 so have configure
	test for it

2002-08-20  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, tables.c: Added tables.c and rebuilt dependencies.

2002-08-20  John Millaway <john43@users.sourceforge.net>

	* TODO, flex.texi: Dicussed prototypes and header in manual.

2002-08-19  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, configure.in, flex.skl, flexdef.h, tables_shared.h: 
	More work on tables serialization.

2002-08-19  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, mkskel.sh: Skeleton is now passed through m4 (before
	dist is built).

2002-08-19  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS, po/zh_CN.po: add zh_cn translation from the
	translation project

2002-08-19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: millaway's done a lot of things which need to be mentioned
	in NEWS

2002-08-18  John Millaway <john43@users.sourceforge.net>

	* main.c: Removed #undef of start conditions.

2002-08-17  John Millaway <john43@users.sourceforge.net>

	* TODO: todo list

2002-08-17  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, main.c, misc.c: Start conditions now optional in
	header.  undef's now optional in header.  Start conditions are NOT
	prefixed.

2002-08-17  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi: Working on tables API.

2002-08-16  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, main.c, misc.c, options.c, options.h, parse.y, scan.l: 
	Added --tables option.  Omitted tables code from generated scanner
	when unused.

2002-08-16  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi, misc.c: Prelimary work on tables API.

2002-08-16  John Millaway <john43@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/test-array-nr/Makefile.am,
	tests/test-array-r/Makefile.am, tests/test-basic-nr/Makefile.am,
	tests/test-basic-r/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-r/Makefile.am,
	tests/test-debug-nr/Makefile.am, tests/test-debug-r/Makefile.am,
	tests/test-header-nr/Makefile.am, tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-mem-nr/Makefile.am, tests/test-mem-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-posix/Makefile.am,
	tests/test-posixly-correct/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-string-nr/Makefile.am,
	tests/test-string-r/Makefile.am, tests/test-table-opts/Makefile.am,
	tests/test-yyextra/Makefile.am: Tests now respect CFLAGS, CPPFLAGS,
	etc..

2002-08-16  John Millaway <john43@users.sourceforge.net>

	* tests/test-basic-nr/scanner.l, tests/test-basic-r/scanner.l,
	tests/test-lineno-nr/scanner.l, tests/test-lineno-r/scanner.l: Got
	rid of flex -s warnings in tests.

2002-08-16  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Updated dependencies list.

2002-08-15  John Millaway <john43@users.sourceforge.net>

	* main.c: Fixed seg fault bug in ecs.

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c-cpp-nr/.cvsignore, tests/test-c-cpp-r/.cvsignore: 
	ignore .cpp files since we generate them instead of .c

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: version 2.5.14

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: c-as-c++ tests reworked

2002-08-15  John Millaway <john43@users.sourceforge.net>

	* tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-nr/scanner.l,
	tests/test-c-cpp-r/Makefile.am, tests/test-c-cpp-r/scanner.l: The
	c++ tests use .cpp instead of .c extensions just to be on the safe
	side.

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* main.c: conditionally include <locale.h>; include config.h as well

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flex.skl: only include <cunistd> if we have it

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: portability fixes; added missing punctuation; de translation
	now included

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: we also translate to german

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: require automake at least 1.6

2002-08-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.13

2002-08-14  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: reverted away from the @copying as it breaks the info
	reader

2002-08-14  John Millaway <john43@users.sourceforge.net>

	* flex.texi, flexdef.h, main.c, misc.c: Start condition prefixes
	attempts to adjust to user preferences.

2002-08-13  John Millaway <john43@users.sourceforge.net>

	* main.c: Include start condition symbols in header.

2002-08-13  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, main.c: Omit user code and tables from generated header
	file.

2002-08-13  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: use @copying construct to display the flex license;
	move copying and bug reporting to the front of the manual

2002-08-13  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: printf fix and yylex_init reports errors

2002-08-12  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Updated manual for %option header.

2002-08-12  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi, gen.c: Fixed type mismatch in printf.
	yylex_init now reports errors.

2002-08-10  John Millaway <john43@users.sourceforge.net>

	* dfa.c, main.c: Added alignment flag for future use.

2002-08-10  John Millaway <john43@users.sourceforge.net>

	* tests/test-table-opts/.cvsignore,
	tests/test-table-opts/Makefile.am: Added options to test-table-opts

2002-08-10  John Millaway <john43@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-c-cpp-nr/Makefile.am, tests/test-table-opts/.cvsignore,
	tests/test-table-opts/Makefile.am, tests/test-table-opts/scanner.l,
	tests/test-table-opts/test.input: Added a test for various DFA table
	options.

2002-08-09  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more faq editing; corrected mistyped nodenames

2002-08-09  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix typo which propogates out to generated scanners

2002-08-09  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: edited a few more faqs

2002-08-09  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, faq.texi: remove faq.texi as it's included in
	flex.texi

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: a few more faq edits; remove faq-89

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: cite, not site

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: and get the faq included

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: fix some grammer/typography in the top node and add a
	detailed menu

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we've updated gettext

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore: we need to ignore a few more gettext files

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.12

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention gettext; document the non-need for bison/flex in the
	build process

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: include intl in the distribution and in
	the build process

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: builddir in help2man call needed @-signs around it

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore: we can ignore Makefile.in.in

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* m4/.cvsignore, m4/Makefile.am: oops, too hasty on deleting this
	directory, sigh

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: if autopoint is going to run automatically, it's going
	to need to be able to update existing files

2002-08-08  Will Estes <wlestes@users.sourceforge.net>

	* ABOUT-NLS, autogen.sh, configure.in, m4/.cvsignore,
	m4/Makefile.am, m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4,
	m4/iconv.m4, m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4,
	m4/lib-link.m4, m4/lib-prefix.m4, m4/progtest.m4: autopoint now
	works so let's let it run the gettext show

2002-08-07  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we need to index the faq entries

2002-08-07  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: proofed "Why do flex scanners call fileno if it is not
	ANSI compatible?"

2002-08-07  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: proofed "How do I expand \ escape sequences in C-style
	quoted strings?"

2002-08-07  Will Estes <wlestes@users.sourceforge.net>

	* README: changes to README to align with GNU coding standards

2002-08-06  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: help2man should look in builddir for the flex binary

2002-08-02  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed yyunput prototype.

2002-08-01  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new fr translation from the translation project

2002-08-01  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new fr.po translation from the translation project

2002-08-01  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: yylineno performance hit is fixed

2002-07-31  John Millaway <john43@users.sourceforge.net>

	* TODO, flex.texi: Updated docs on yylineno.

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* TODO: discuss yylineno performance

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: forgot to say what the date was that we made the release

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.11

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: fixed a menu entry and related problems

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: someday, maybe we can use autopoint

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: we need to include texinfo.tex now

2002-07-31  Will Estes <wlestes@users.sourceforge.net>

	* texinfo.tex: add texinfo.tex

2002-07-30  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: fix up some fatal bugs in the texinfo of the faq; begin
	the clean up; remove trailing and leading white space

2002-07-30  Will Estes <wlestes@users.sourceforge.net>

	* TODO: faqs need work

2002-07-30  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, TODO: prototypes get airtime these days

2002-07-28  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Added some comments.

2002-07-28  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed bug where yyless did not consider yylineno.

2002-07-28  John Millaway <john43@users.sourceforge.net>

	* scan.l: Fixed bug I created in previous commit.

2002-07-28  John Millaway <john43@users.sourceforge.net>

	* scan.l: Don't wrap ()s around {NAMEDEFS} at the end of a rule.

2002-07-27  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am: Fixed test-c-cpp to actually use the
	C++ compiler for the test.  Fixed the bug that this exposed.

2002-07-27  John Millaway <john43@users.sourceforge.net>

	* ccl.c, flex.skl, flexdef.h, gen.c, main.c, nfa.c, parse.y, scan.l: 
	yylineno check is only performed on rules whose regexs can match a
	newline.

2002-07-25  John Millaway <john43@users.sourceforge.net>

	* flex.skl, tests/TEMPLATE/scanner.l,
	tests/test-array-nr/scanner.l, tests/test-array-r/scanner.l,
	tests/test-basic-nr/scanner.l, tests/test-basic-r/scanner.l,
	tests/test-bison-yylloc/parser.y, tests/test-c-cpp-nr/scanner.l,
	tests/test-c-cpp-r/scanner.l, tests/test-debug-nr/scanner.l,
	tests/test-debug-r/scanner.l,
	tests/test-include-by-buffer/scanner.l,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-lineno-nr/scanner.l, tests/test-lineno-r/scanner.l,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l,
	tests/test-posix/scanner.l, tests/test-posixly-correct/scanner.l,
	tests/test-prefix-nr/scanner.l, tests/test-prefix-r/scanner.l,
	tests/test-pthread/scanner.l, tests/test-string-nr/scanner.l,
	tests/test-string-r/scanner.l, tests/test-yyextra/scanner.l: All
	prototypes were rewritten to depend upon the macro
	YY_TRADITIONAL_FUNC_DEFS, which is defined by default.  The
	generated scanners build cleanly under gcc's traditional strictness
	and under C++ compilers.

2002-07-24  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: dist-bzip2 and rename yy_globals and yy_globals_t

2002-07-24  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: version 2.5.10

2002-07-24  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add dist-bzip2 to automake_options so we'll start
	getting tar.bz2 archives

2002-07-23  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi, tests/test-bison-yylval/scanner.l,
	tests/test-mem-r/scanner.l,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l,
	tests/test-prefix-r/scanner.l, tests/test-pthread/scanner.l,
	tests/test-yyextra/scanner.l: s/yy_globals_t/yyguts_t/g
	s/yy_globals/yyscanner/g

2002-07-23  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: typo in tags target

2002-07-22  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Removed erroneous $(srcdir) from help2man target.

2002-07-22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: it's version 2.5.9 now

2002-07-22  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore: updated gettext to 0.11.3

2002-07-22  Will Estes <wlestes@users.sourceforge.net>

	* ABOUT-NLS, config.rpath, m4/gettext.m4, m4/iconv.m4,
	m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-link.m4: updated gettext to
	version 0.11.3

2002-07-22  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh, configure.in: rollback on configure.in and autogen.sh
	because autpoint is broken

2002-07-22  Will Estes <wlestes@users.sourceforge.net>

	* po/ru.po: new russian translation from translation project

2002-07-19  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: ok, we're going to start using autopoint, but the tree
	is going to undergo some changes after this

2002-07-19  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we're preparing for autopoint

2002-07-17  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Updated manual.

2002-07-17  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update the NEWS file for lots of things millaway has done

2002-07-17  John Millaway <john43@users.sourceforge.net>

	* flex.skl, main.c, misc.c, scan.l, scanopt.c, sym.c,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l: Fixed
	prototype/definition conflicts with "traditional" C in skeleton at
	request of gcc developer.  Removed duplicate prototypes in gen.c,
	sym.c, main.c.  Added missing prototypes where needed.  All
	functions in skeleton follow ISO C style protos and defs, instead of
	BOTH ISO and new-style.  Skeleton now compiles cleanly under
	super-strict gcc flags.  Flex itself almost compiles cleanly under
	strict flags.

2002-07-15  John Millaway <john43@users.sourceforge.net>

	* faq.texi, flex.texi: Worked on mem mgmt sect of manual.

2002-07-15  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: allow blank lines and continuations in more places

2002-07-12  Will Estes <wlestes@users.sourceforge.net>

	* TODO: millaway finished the faqs directory

2002-07-12  Will Estes <wlestes@users.sourceforge.net>

	* TODO: removed items as per email from millaway

2002-07-12  John Millaway <john43@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-posix/.cvsignore, tests/test-posix/Makefile.am,
	tests/test-posix/scanner.l, tests/test-posixly-correct/.cvsignore,
	tests/test-posixly-correct/Makefile.am,
	tests/test-posixly-correct/scanner.l: Added test for %option
	posix-compat and repeat operator.  Added test for POSIXLY_CORRECT
	environment variable and repeat operator.

2002-07-12  John Millaway <john43@users.sourceforge.net>

	* main.c, scan.l: Fixed POSIXLY_CORRECT detection in scanner.

2002-07-11  John Millaway <john43@users.sourceforge.net>

	* faq.texi: More work on faq.

2002-07-11  John Millaway <john43@users.sourceforge.net>

	* faq.texi: Moved all faqs into manual -- but did not evaluate them
	yet.  Removed the old faq files.

2002-07-10  John Millaway <john43@users.sourceforge.net>

	* main.c: Removed duplicate definition of FLEX_DEBUG. gcc doesn't
	care, but other compilers might.

2002-07-10  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Wrote some more about memory mgmt in the manual.

2002-07-10  John Millaway <john43@users.sourceforge.net>

	* flex.texi: flex.texi now works with install-info.

2002-07-10  Will Estes <wlestes@users.sourceforge.net>

	* TODO: added items as per email from millaway

2002-07-10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: after we release a version, we have to keep the version
	number in NEWS current

2002-07-10  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi, main.c, scan.l, tests/test-mem-nr/scanner.l,
	tests/test-mem-r/scanner.l: Fixed prefix issue with get/set debug
	functions.  Fixed prefix issues with memory functions.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Memory functions are no longer static.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* tests/test-mem-nr/test.input: Added a missing input file for
	test-mem-nr/

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* tests/test-mem-nr/.cvsignore, tests/test-mem-nr/Makefile.am,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/.cvsignore,
	tests/test-mem-r/Makefile.am, tests/test-mem-r/scanner.l,
	tests/test-mem-r/test.input: Added tests for overriding memory.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Added sections in manual for memory management.

2002-07-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: noted more user visible changes

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* configure.in, flex.skl, scan.l, tests/Makefile.am: Added
	yylex_destroy() to non-reentrant scanner.  Added ability to override
	memory functions.  Added tests for overriding memory functions.

2002-07-09  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new POSIXLY_CORRECT and new ru translation

2002-07-09  Will Estes <wlestes@users.sourceforge.net>

	* po/ru.po: new ru translation from the translation project

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Made note of set/get debug in docs.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* configure.in, flexdef.h, tests/create-test: Replaced obsolete
	macros in configure.in.  Modified create-test to handle the above
	changes in configure.in.  Added support for <stdbool.h>.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* main.c: Check POSIXLY_CORRECT env variable.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Added prototypes for the get/set debug functions.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* configure.in, flex.skl, gen.c, main.c, scan.l, tests/Makefile.am,
	tests/test-debug-nr/.cvsignore, tests/test-debug-nr/Makefile.am,
	tests/test-debug-nr/scanner.l, tests/test-debug-nr/test.input,
	tests/test-debug-r/.cvsignore, tests/test-debug-r/Makefile.am,
	tests/test-debug-r/scanner.l, tests/test-debug-r/test.input: Made
	yy_flex_debug non-global in reentrant scanner.  Created get/set
	functions for yy_flex_debug.  Defined prefixes for new yy_flex_debug
	symbols.  Added tests/ for yy_flex_debug.

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* tests/create-test: create-test script now modifies .cvsignore

2002-07-09  John Millaway <john43@users.sourceforge.net>

	* tests/create-test: Improved the error checking.

2002-07-03  Will Estes <wlestes@users.sourceforge.net>

	* main.c: fix bug whereby prefix didn't get passed to everybody;
	patch by                                        rse@engelschall.com

2002-07-03  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: ~ is an active character, so we'll just use the word
	'about'

2002-07-02  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Fixed typo.

2002-07-02  John Millaway <john43@users.sourceforge.net>

	* faq.texi: Added a faq.

2002-06-28  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Added 'tags' target -- something I should have done
	long ago.

2002-06-28  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add two new items regarding coding; remove tests/ copyright
	notice item as it's done

2002-06-26  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note the copyright messages in tests/

2002-06-25  John Millaway <john43@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/TEMPLATE/parser.y,
	tests/TEMPLATE/scanner.l, tests/test-array-nr/Makefile.am,
	tests/test-array-nr/scanner.l, tests/test-array-r/Makefile.am,
	tests/test-array-r/scanner.l, tests/test-basic-nr/Makefile.am,
	tests/test-basic-nr/scanner.l, tests/test-basic-r/Makefile.am,
	tests/test-basic-r/scanner.l, tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylloc/main.c, tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/Makefile.am,
	tests/test-bison-yylval/main.c, tests/test-bison-yylval/parser.y,
	tests/test-bison-yylval/scanner.l, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-nr/scanner.l, tests/test-c-cpp-r/Makefile.am,
	tests/test-c-cpp-r/scanner.l, tests/test-header-nr/Makefile.am,
	tests/test-header-nr/main.c, tests/test-header-nr/scanner.l,
	tests/test-header-r/Makefile.am, tests/test-header-r/main.c,
	tests/test-header-r/scanner.l,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-buffer/scanner.l,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-nr/scanner.l,
	tests/test-lineno-r/Makefile.am, tests/test-lineno-r/scanner.l,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-nr/main.c,
	tests/test-multiple-scanners-nr/scanner-1.l,
	tests/test-multiple-scanners-nr/scanner-2.l,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-multiple-scanners-r/main.c,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-nr/scanner.l,
	tests/test-prefix-r/Makefile.am, tests/test-prefix-r/scanner.l,
	tests/test-pthread/Makefile.am, tests/test-pthread/scanner.l,
	tests/test-string-nr/Makefile.am, tests/test-string-nr/scanner.l,
	tests/test-string-r/Makefile.am, tests/test-string-r/scanner.l,
	tests/test-yyextra/Makefile.am, tests/test-yyextra/scanner.l: 
	Prepended explicit license to all test-*/ sources.

2002-06-25  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po, po/de.po, po/fr.po, po/sv.po, po/tr.po: new ca,
	de, fr, sv, tr translations

2002-06-19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add bootstrapper to the todo list

2002-06-19  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: new version number

2002-06-19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO list

2002-06-19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, TODO, flex.texi, flexdef.h, main.c, options.c, options.h,
	parse.y, scan.l: address typos in NEWS; add --posix option for ERE
	parsing the way posix wants it; update the TODO file

2002-05-31  Will Estes <wlestes@users.sourceforge.net>

	* README-alpha: made code quality warning more explicit; gave url
	for cvs and beta flex

2002-05-23  John Millaway <john43@users.sourceforge.net>

	* gen.c: Fixed bug where omission of user section 3 caused unmatched
	#ifdef's in generated code.

2002-05-20  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: configure.in requires at least autoconf 2.50

2002-05-13  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Updated my email address.

2002-05-10  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, misc.c: chomp'd lines when reading external skel file.

2002-05-07  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po: new sweedish translation from the translation project

2002-04-29  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po: new catalan translation from the translation project

2002-04-29  Will Estes <wlestes@users.sourceforge.net>

	* po/es.po: new spanish translation from the translation project

2002-04-25  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note that the lex matching of abc{1,3} is the posix behavior
	and so we have a problem

2002-04-25  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: note that the lex matching of abc{1,3} is the posix
	behavior

2002-04-23  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: new version 2.5.7; use autoconf versioning info

2002-04-23  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note changes in 2.5.7

2002-04-23  Will Estes <wlestes@users.sourceforge.net>

	* main.c: conditional compile gettext initialization

2002-04-22  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: new german translation from the translation project

2002-04-19  John Millaway <john43@users.sourceforge.net>

	* tests/test-include-by-reentrant/Makefile.am: Fixed command line
	for test-include-by-reentrant/Makefile.am

2002-04-19  John Millaway <john43@users.sourceforge.net>

	* tests/Makefile.am, tests/TEMPLATE/Makefile.am,
	tests/test-array-nr/Makefile.am, tests/test-array-r/Makefile.am,
	tests/test-basic-nr/Makefile.am, tests/test-basic-r/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-r/Makefile.am,
	tests/test-header-nr/Makefile.am, tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-string-nr/Makefile.am,
	tests/test-string-r/Makefile.am, tests/test-yyextra/Makefile.am: 
	Added -I . to compiler search path in tests (so it finds the
	generated parser.h).

2002-04-19  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, misc.c, parse.y, sym.c: Applied 'const' to a few more
	char*, where appropriate.

2002-04-19  John Millaway <john43@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/test-array-nr/Makefile.am,
	tests/test-array-r/Makefile.am, tests/test-basic-nr/Makefile.am,
	tests/test-basic-r/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-r/Makefile.am,
	tests/test-header-nr/Makefile.am, tests/test-header-r/Makefile.am,
	tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-prefix-nr/Makefile.am, tests/test-prefix-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-string-nr/Makefile.am,
	tests/test-string-r/Makefile.am, tests/test-yyextra/Makefile.am: 
	Added top_builddir to -I path.  Changed $(srcdir)/$(testname) to
	./$(testname) in 'make test' rule.

2002-04-19  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, gen.c, misc.c: Changed 'char[]' to 'const char*'
	wherever in conflicted with gettext.

2002-04-19  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po, po/sv.po: new files from translation after 2.5.6 beta
	release

2002-04-18  John Millaway <john43@users.sourceforge.net>

	* tests/test-lineno-r/Makefile.am: Fixed minor typo/cut and paste
	error.

2002-04-18  John Millaway <john43@users.sourceforge.net>

	* configure.in: Added yylineno test.

2002-04-18  John Millaway <john43@users.sourceforge.net>

	* tests/Makefile.am: Added yylineno tests.

2002-04-18  John Millaway <john43@users.sourceforge.net>

	* tests/test-lineno-nr/.cvsignore,
	tests/test-lineno-nr/Makefile.am, tests/test-lineno-nr/scanner.l,
	tests/test-lineno-nr/test.input, tests/test-lineno-r/.cvsignore,
	tests/test-lineno-r/Makefile.am, tests/test-lineno-r/scanner.l,
	tests/test-lineno-r/test.input: Created yylineno tests.

2002-04-15  John Millaway <john43@users.sourceforge.net>

	* scanopt.c: Applied gettext macros to error messages from scanopt.

2002-04-15  John Millaway <john43@users.sourceforge.net>

	* buf.c, faq.texi, options.c, options.h, scanopt.c, scanopt.h: 
	Changed copyright from Millaway to flex? U.S. Gov't? Regents of U.
	Cali.?  Paxson?

2002-04-15  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-yylloc/Makefile.am,
	tests/test-header-nr/Makefile.am, tests/test-header-r/Makefile.am: 
	we missed a few main.c files in the distribution

2002-04-15  Will Estes <wlestes@users.sourceforge.net>

	* TODO: a lot more work has happened to flex; note this by removing
	a number of TODO entries

2002-04-15  Will Estes <wlestes@users.sourceforge.net>

	* TODO: make sure all gettext modules use gettext translation
	facilities

2002-04-14  John Millaway <john43@users.sourceforge.net>

	* faq.texi: Converted faqs 34-41 to texinfo.

2002-04-14  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, faq.texi, flex.texi: Added faq.texi to archive.
	Added faq.texi to flex_TEXINFOS macro in Makefile.am.  flex.texi now
	includes faq.texi.

2002-04-13  John Millaway <john43@users.sourceforge.net>

	* flexdef.h: defined FLEX_EXIT macro to call longjmp on errors.

2002-04-13  John Millaway <john43@users.sourceforge.net>

	* main.c, misc.c: Replaced exit(2) calls with longjmps (in the form
	of FLEX_EXIT macro).  Moved main() to flex_main() to allow flex to
	be called from a library.

2002-04-13  John Millaway <john43@users.sourceforge.net>

	* scanopt.c: Fixed  minor typo in error message

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/Makefile.am,
	tests/test-header-r/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.am,
	tests/test-pthread/Makefile.am, tests/test-string-nr/Makefile.am,
	tests/test-string-r/Makefile.am, tests/test-yyextra/Makefile.am: 
	removed eroneous files listed in EXTRA_DIST

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-yyextra/.cvsignore: ignore Makefile.in

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-r/.cvsignore: it's Makefile.in, not makefile.in

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-yyextra/Makefile.am, tests/test-yyextra/Makefile.in: 
	put test-yyextra under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-r/Makefile.am, tests/test-string-r/Makefile.in: 
	put test-string-r under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-nr/.cvsignore, tests/test-string-r/.cvsignore: 
	we can ignore Makefile.in

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-nr/Makefile.am,
	tests/test-string-nr/Makefile.in: put test-string-nr under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-pthread/.cvsignore: ignore Makefile.in

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-pthread/Makefile.am, tests/test-pthread/Makefile.in: 
	put test-pthread under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-r/Makefile.am, tests/test-prefix-r/Makefile.in: 
	put test-prefix-r under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-nr/.cvsignore, tests/test-prefix-r/.cvsignore: 
	we can ignore Makefile.in

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-nr/Makefile.am,
	tests/test-prefix-nr/Makefile.in: put test-prefix-nr under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-r/Makefile.am,
	tests/test-multiple-scanners-r/Makefile.in: put
	test-multiple-scanners-r under automake

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-nr/.cvsignore,
	tests/test-multiple-scanners-r/.cvsignore: we can ignore Makefile.in
	now

2002-04-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-nr/Makefile.am,
	tests/test-multiple-scanners-nr/Makefile.in: put
	test-multiple-scanners-nr under automake

2002-04-11  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-r/Makefile.am: 
	we didn't need parser.y

2002-04-11  Will Estes <wlestes@users.sourceforge.net>

	* TODO: work done on the test suite; remove relevant entries from
	TODO

2002-04-10  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-include-by-reentrant/.cvsignore,
	tests/test-include-by-reentrant/Makefile.am,
	tests/test-include-by-reentrant/Makefile.in: put
	test-include-by-reentrant under automake

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-include-by-buffer/.cvsignore: we have a Makefile.in
	which we need to ignore

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-include-by-buffer/Makefile.am,
	tests/test-include-by-buffer/Makefile.in: test-include-by-buffer now
	under automake control

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: and we want LFLAGS in the rule to make
	scanner.c as well

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-r/.cvsignore, tests/test-header-r/Makefile.am,
	tests/test-header-r/Makefile.in: put test-header-r under automake

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/.cvsignore: we now generate a Makefile.in
	from automake; cvs should ignore it

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/Makefile.am: add dependencies for main.o and
	scaner.h

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: We may want to have LFLAGS readily
	available

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/Makefile.am,
	tests/test-header-nr/Makefile.in: put test-header-nr under automake

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: oops, we need to clean objects too

2002-04-09  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am, tests/test-array-nr/Makefile.am,
	tests/test-array-r/Makefile.am, tests/test-basic-nr/Makefile.am,
	tests/test-basic-r/Makefile.am,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylval/Makefile.am,
	tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-r/Makefile.am: now
	that config.h lives in the top-level directory, we need to tell the
	testsuite

2002-04-08  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-nr/.cvsignore, tests/test-array-r/.cvsignore,
	tests/test-basic-nr/.cvsignore, tests/test-basic-r/.cvsignore,
	tests/test-bison-yylval/.cvsignore, tests/test-c-cpp-nr/.cvsignore,
	tests/test-c-cpp-r/.cvsignore: we can ignore some Makefile.in

2002-04-08  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/TEMPLATE/Makefile.am: only one config file
	header apparently; this will have consequences in the test suite

2002-04-08  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-yylval/Makefile.am,
	tests/test-bison-yylval/Makefile.in: adding automake support

2002-04-08  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-yylloc/.cvsignore,
	tests/test-bison-yylloc/Makefile.am: tuned Makefile.am to build
	correctly; ignore Makefile.in now

2002-04-08  Will Estes <wlestes@users.sourceforge.net>

	* tests/configure.in: test suite changes

2002-04-08  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh, configure.in, tests/.cvsignore, tests/Makefile.am,
	tests/Makefile.in, tests/README, tests/TEMPLATE/.cvsignore,
	tests/TEMPLATE/Makefile.am, tests/TEMPLATE/Makefile.in,
	tests/configure.in, tests/create-test, tests/create-test.pl,
	tests/test-array-nr/Makefile.am, tests/test-array-nr/Makefile.in,
	tests/test-array-r/Makefile.am, tests/test-array-r/Makefile.in,
	tests/test-basic-nr/Makefile.am, tests/test-basic-nr/Makefile.in,
	tests/test-basic-r/Makefile.am, tests/test-basic-r/Makefile.in,
	tests/test-bison-yylloc/Makefile.am,
	tests/test-bison-yylloc/Makefile.in,
	tests/test-c-cpp-nr/Makefile.am, tests/test-c-cpp-nr/Makefile.in,
	tests/test-c-cpp-r/Makefile.am, tests/test-c-cpp-r/Makefile.in: test
	suite changes

2002-04-05  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Corrected error in manual regarding return type for
	yy_scan_{string,buffer,bytes}.

2002-04-05  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: new german translations from the translation project

2002-04-03  Will Estes <wlestes@users.sourceforge.net>

	* po/es.po: new spanish translations

2002-04-01  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: DIST_SUBDIRS: new variable. we can build flex with
	SUBDIRS and then build the distribution using DIST_SUBDIRS

2002-04-01  Will Estes <wlestes@users.sourceforge.net>

	* main.c: fix typo in comment

2002-03-31  John Millaway <john43@users.sourceforge.net>

	* main.c: Documented the header file kludge, (in anticipation of
	buffering Section 1.)

2002-03-31  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Created appendix "Makefiles and Flex" in the manual.

2002-03-30  John Millaway <john43@users.sourceforge.net>

	* flex.texi: updating manual.

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* po/POTFILES.in: we want parse.y, not parse.c

2002-03-29  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Indexing the manual (75% done).

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: unlisted intermediate flex/yacc-created files

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* TODO: millaway has done more work

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: ok, one last touch up; users most
	likely wont have help2man so we need to insure that's ok

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: fine tune flex.1 some more

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: generalize the manpage a bit and tell
	autofoo about help2man

2002-03-29  Will Estes <wlestes@users.sourceforge.net>

	* po/da.po: new danish from translation project robot

2002-03-28  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Indexing the manual -- it's only half done.

2002-03-28  John Millaway <john43@users.sourceforge.net>

	* flex.texi: flex manual now uses automake's versioning info.

2002-03-28  John Millaway <john43@users.sourceforge.net>

	* README.cvs-snapshot: Mentioned requirements for gettext and
	help2man.

2002-03-28  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, main.c: Output of `flex --version` now matches GNU
	coding standards.  Makefile.am now uses `help2man` to generate
	flex.1

2002-03-27  Will Estes <wlestes@users.sourceforge.net>

	* TODO: millaway has done a lot on the TODO list; remove those items
	that he has take care of

2002-03-27  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: edited millaway's initial draft

2002-03-27  John Millaway <john43@users.sourceforge.net>

	* README.cvs-snapshot: Created file.

2002-03-27  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Fixed case of node names in flex.texi.

2002-03-24  Will Estes <wlestes@users.sourceforge.net>

	* TODO: lex- and yacc- generated files

2002-03-24  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new french

2002-03-18  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: ending periods in news items removed; mention nounistd
	options

2002-03-18  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po: updated sweedish translations

2002-03-18  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: german translation

2002-03-18  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flex.texi, main.c, options.c, options.h, scan.l: Removed
	CFront 1.2 -specific code from skeleton, because CFront now defines
	__cplusplus properly.  Removed TurboC-specific code from skeleton.
	Skeleton now includes proper C++ standard headers.  Relocated
	"unistd.h" code after user section 1 to allow user to overrid it.
	New option "nounistd" to suppress unistd.h from being included.

2002-03-15  Will Estes <wlestes@users.sourceforge.net>

	* po/tr.po: new turkish translation

2002-03-15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention included translations

2002-03-15  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we've done the gettext thing, but sometime we should get
	0.11.1

2002-03-15  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po: new catalan translation

2002-03-14  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Added section on format of comments.

2002-03-14  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Split format chapter into sections.

2002-03-14  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Removed explicit pointers in node definitions.

2002-03-14  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: unistd.h can be problematic

2002-03-14  Will Estes <wlestes@users.sourceforge.net>

	* tests/README: editing changes to README

2002-03-13  Will Estes <wlestes@users.sourceforge.net>

	* po/POTFILES.in: scan.l, not scan.c because gettext gets confused

2002-03-13  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: gettext cruft

2002-03-13  Will Estes <wlestes@users.sourceforge.net>

	* tests/descriptions: separate out test descriptions

2002-03-13  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: french and korean dont crash now

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po, po/ko.po: remove duplicate messages as per advice from
	Jordi Mallach <jordi@debian.org>

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* gettext.h: yes, more gettext cruft

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* ABOUT-NLS, config.rpath, m4/codeset.m4, m4/gettext.m4,
	m4/glibc21.m4, m4/iconv.m4, m4/isc-posix.m4, m4/lcmessage.m4,
	m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4, m4/progtest.m4: this
	is gettext cruft

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: gettext and autofoo are now involved

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, autogen.sh, configure.in, flexdef.h, main.c: mostly,
	changes for gettext

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po, po/da.po, po/es.po, po/ru.po, po/sv.po, po/tr.po: these
	sure change a lot

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note about cvs documentation

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: we now have turkish

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/tr.po: updated translations, i think

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po, po/da.po, po/es.po, po/fr.po, po/ko.po, po/ru.po,
	po/sv.po, po/tr.po: ok, maybe we do keep these things?

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* README-alpha: README-alpha for those bad-hair days

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* m4/.cvsignore, m4/Makefile.am: ok,now we kinda have a m4/ subdir
	for gettext

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore, po/LINGUAS, po/Makevars, po/POTFILES.in, po/da.po,
	po/es.po, po/fr.po, po/ko.po, po/ru.po, po/sv.po: now, we have a po/
	subdirectory for gettext. i hope you're happy

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po: removing po files, maybe

2002-03-12  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: ignore autom4te.cache

2002-03-11  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po, po/da.po, po/es.po, po/fr.po, po/ko.po, po/ru.po,
	po/sv.po: po files from debian

2002-03-08  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add several notes about tasks which need doing; create a new
	top-level entry for generic coding concerns (this is distinct from
	specific API or other such issues)

2002-03-06  Will Estes <wlestes@users.sourceforge.net>

	* README: eliminate to.do and faqs from the README file

2002-03-06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: more notes on tests/

2002-03-06  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove subdirectories from EXTRA_DIST; add a SUBDIRS
	macro to handle examples/; clean up the dist-hook target

2002-03-06  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we want to generate Makefiles in some more
	subdirectories; automake will like this

2002-03-06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: notes on subdirectories

2002-03-05  Will Estes <wlestes@users.sourceforge.net>

	* examples/.cvsignore, examples/Makefile.am: now examples/ fits into
	automake

2002-03-05  Will Estes <wlestes@users.sourceforge.net>

	* examples/fastwc/.cvsignore, examples/fastwc/Makefile.am: 
	examples/fastwc now  fits into automake

2002-03-05  Will Estes <wlestes@users.sourceforge.net>

	* examples/manual/.cvsignore, examples/manual/Makefile.am,
	examples/manual/Makefile.examples, examples/manual/README: 
	examples/manual directory now fits into automake

2002-03-05  Will Estes <wlestes@users.sourceforge.net>

	* examples/manual/Makefile: renamed Makefile to Makefile.examples
	for automake's sake

2002-03-04  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add parse.c and scan.c to built_sources

2002-02-24  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Removed CVS-specific code from 'dist-hook' target so
	anybody with a copy of the tree can build a dist.

2002-02-22  John Millaway <john43@users.sourceforge.net>

	* tests/Makefile.in: Converted test script to portable /bin/sh.

2002-02-22  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-yylloc/Makefile.in: Added some spaces in shell
	scripts for portability.

2002-02-22  John Millaway <john43@users.sourceforge.net>

	* tests/create-test.pl: Fixed #! line for portability.

2002-02-22  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-yylloc/Makefile.in: Fixed return status code on
	bison-lloc test.

2002-02-21  John Millaway <john43@users.sourceforge.net>

	* tests/create-test.pl: Added script to auto-create tests. Probably
	overkill.

2002-02-21  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed C++ #ifdef problem.  Removed mistyped __CPLUSPLUS
	macro.  Removed THROW_NIL. Not sure where it came from in the first
	place.

2002-02-21  John Millaway <john43@users.sourceforge.net>

	* tests/README, tests/TEMPLATE/Makefile.in, tests/configure.in,
	tests/test-c-cpp-nr/.cvsignore, tests/test-c-cpp-nr/Makefile.in,
	tests/test-c-cpp-nr/scanner.l, tests/test-c-cpp-nr/test.input,
	tests/test-c-cpp-r/.cvsignore, tests/test-c-cpp-r/Makefile.in,
	tests/test-c-cpp-r/scanner.l, tests/test-c-cpp-r/test.input: Added
	test-c-cpp-nr and test-c-cpp-r.

2002-02-16  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Added missing #endif.

2002-02-07  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/.cvsignore, tests/test-array-nr/.cvsignore,
	tests/test-array-r/.cvsignore, tests/test-basic-nr/.cvsignore,
	tests/test-basic-r/.cvsignore, tests/test-bison-yylloc/.cvsignore,
	tests/test-bison-yylval/.cvsignore,
	tests/test-header-nr/.cvsignore, tests/test-header-r/.cvsignore,
	tests/test-include-by-buffer/.cvsignore,
	tests/test-include-by-reentrant/.cvsignore,
	tests/test-multiple-scanners-nr/.cvsignore,
	tests/test-multiple-scanners-r/.cvsignore,
	tests/test-prefix-nr/.cvsignore, tests/test-prefix-r/.cvsignore,
	tests/test-pthread/.cvsignore, tests/test-string-nr/.cvsignore,
	tests/test-string-r/.cvsignore, tests/test-yyextra/.cvsignore: add
	OUTPUT to .cvsignore files in test directories; it's also in the
	template directory

2002-02-06  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: fix interrupted reads and freads; from the debian package
	maintainer

2002-02-06  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi, flexdef.h, main.c, nfa.c: support large flex tables;
	from debian package maintainer

2002-01-29  Will Estes <wlestes@users.sourceforge.net>

	* tests/configure.in: add more output files to account for new tests

2002-01-03  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-nr/.cvsignore, tests/test-array-nr/Makefile.in,
	tests/test-array-nr/scanner.l, tests/test-array-nr/test.input: add
	this test

2002-01-03  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-r/.cvsignore, tests/test-array-r/Makefile.in,
	tests/test-array-r/scanner.l, tests/test-array-r/test.input: add
	this test suite

2001-11-20  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, main.c: millaway: Fixed yytext_ptr when using %array in
	reentrant scanner

2001-11-20  Will Estes <wlestes@users.sourceforge.net>

	* buf.c: oops, forgot this one line

2001-11-14  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-r/.cvsignore, tests/test-header-r/Makefile.in,
	tests/test-header-r/main.c, tests/test-header-r/scanner.l,
	tests/test-header-r/test.input: and more fallout

2001-11-14  Will Estes <wlestes@users.sourceforge.net>

	* TODO, flex.skl, flex.texi, flexdef.h, main.c, misc.c,
	tests/README, tests/TEMPLATE/Makefile.in, tests/configure.in,
	tests/test-basic-r/scanner.l, tests/test-bison-yylloc/.cvsignore,
	tests/test-bison-yylloc/Makefile.in,
	tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/.cvsignore,
	tests/test-bison-yylval/Makefile.in,
	tests/test-bison-yylval/parser.y,
	tests/test-bison-yylval/scanner.l,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-prefix-r/scanner.l, tests/test-pthread/scanner.l,
	tests/test-string-r/scanner.l, tests/test-yyextra/scanner.l: more
	from the same batch

2001-11-14  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-yylloc/main.c, tests/test-bison-yylval/main.c,
	tests/test-header-nr/.cvsignore, tests/test-header-nr/Makefile.in,
	tests/test-header-nr/main.c, tests/test-header-nr/scanner.l,
	tests/test-header-nr/test.input,
	tests/test-multiple-scanners-nr/.cvsignore,
	tests/test-multiple-scanners-nr/Makefile.in,
	tests/test-multiple-scanners-nr/main.c,
	tests/test-multiple-scanners-nr/scanner-1.l,
	tests/test-multiple-scanners-nr/scanner-2.l,
	tests/test-multiple-scanners-r/.cvsignore,
	tests/test-multiple-scanners-r/Makefile.in,
	tests/test-multiple-scanners-r/main.c,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l: a big batch from
	millaway

2001-10-26  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: now NEWS has forgotten about the _r variables

2001-10-26  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flex.texi, gen.c, main.c,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/scanner.l,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-prefix-nr/scanner.l, tests/test-pthread/scanner.l,
	tests/test-string-r/scanner.l, tests/test-yyextra/scanner.l: 
	millaway simplified the reentrant api; here's the result

2001-10-23  Will Estes <wlestes@users.sourceforge.net>

	* main.c, options.c, options.h: more from millaway

2001-10-22  Will Estes <wlestes@users.sourceforge.net>

	* main.c, options.c, options.h: the last checkin was broken;
	millaway fixed it

2001-10-22  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flex.texi, gen.c, main.c, misc.c, options.h, scan.l,
	scanopt.c, tests/README, tests/configure.in: phew, millaway's latest
	batch

2001-10-21  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: flex.skl should come up in C mode

2001-10-21  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: apparently, isatty and c++ need help getting along (from
	octave)

2001-10-19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: document new options and new option handling

2001-10-19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: tell emacs that TODO is a text/outline mode file

2001-10-19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we have new long options; we need to document that

2001-10-19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: tell emacs that NEWS is text/outline mode

2001-10-19  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: oops, lost a line somewhere in the merge process on
	millaway's work

2001-10-17  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, buf.c, flex.skl, flex.texi, flexdef.h, main.c,
	misc.c, options.c, options.h, parse.y, scan.l, scanopt.c, scanopt.h: 
	merge latest batch of millaway's changes

2001-09-22  Will Estes <wlestes@users.sourceforge.net>

	* main.c: Fixed typo in options display

2001-09-20  Will Estes <wlestes@users.sourceforge.net>

	* main.c: reentrant and non-reentrant scanners share the same yywrap
	MACRO. millaway

2001-09-20  Will Estes <wlestes@users.sourceforge.net>

	* TODO: clarify item on comments in lexical files

2001-09-20  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, scan.l: now flex recognizes \r as an eol character

2001-09-20  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: specify cvsroot so automake distcheck works

2001-09-19  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: tex has lost its mind; we remove parentheses to
	compensate

2001-09-19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: now that c++ is better supported, let's mention it as a news
	item

2001-09-19  Will Estes <wlestes@users.sourceforge.net>

	* examples/fastwc/wc1.l, examples/fastwc/wc2.l,
	examples/fastwc/wc3.l, examples/fastwc/wc4.l,
	examples/fastwc/wc5.l, flex.skl, main.c: commit the backwash from
	the branch merges

2001-09-19  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, examples/testxxLexer.l, flex.skl: made preliminary
	c++ fixes; the intent is to make it work with recent c++ compilers

2001-08-26  Will Estes <wlestes@users.sourceforge.net>

	* main.c: remove argv_fixup; fix typo in error message; changes from
	millaway's branch

2001-08-24  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention no more c++ comments in c scanners

2001-08-21  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Changed // comments to /* */ comments in skeleton.

2001-08-19  John Millaway <john43@users.sourceforge.net>

	* flex.texi: Changed @var to @code everywhere.

2001-08-16  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: more mail

2001-08-16  Will Estes <wlestes@users.sourceforge.net>

	* TODO: the manual now has its own section; we're not adding
	comments either

2001-08-04  John Millaway <john43@users.sourceforge.net>

	* tests/Makefile.in, tests/README, tests/TEMPLATE/Makefile.in,
	tests/test-basic-nr/Makefile.in, tests/test-basic-r/Makefile.in,
	tests/test-bison-yylloc/Makefile.in,
	tests/test-bison-yylval/Makefile.in,
	tests/test-include-by-buffer/Makefile.in,
	tests/test-include-by-reentrant/Makefile.in,
	tests/test-prefix-nr/Makefile.in, tests/test-prefix-r/Makefile.in,
	tests/test-pthread/Makefile.in, tests/test-string-nr/Makefile.in,
	tests/test-string-r/Makefile.in, tests/test-yyextra/Makefile.in: 
	Cleaned up the output of the tests.

2001-08-03  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note jason's thoughts on having a manpage

2001-08-03  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note millaway's assignment and tests to be under flex
	license

2001-08-01  John Millaway <john43@users.sourceforge.net>

	* tests/test-bison-yylval/scanner.l: Fixed semantics of test (the
	success or failure of this test should be unaffected by this
	change.)

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: fake automake into believing that ChangeLog already
	exists

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: millaway needs to be covered in the ChangeLog

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* version.h: automake is supplying version info now so we just pick
	it up

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: forgot braces on @copyright

2001-08-01  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Added missing argument to yy_flex_free.

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS: john millaway wrote the reentrant C support

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: add license node to the manual

2001-08-01  Will Estes <wlestes@users.sourceforge.net>

	* TODO: c++ ideas

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* parse.y: error messages will now show up the way that emacs likes
	them

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: oops, left in an extra backslash

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* TODO: flex.texi is here; clarify tests/ rewrite issue

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: hey, we have texinfo, not man

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: no more manpage

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove flex.1 and rewrite the dist-hook so that we
	pick up a couple more directories

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: the namual now compiles; hurray

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: first attempt at including the tests/ directory via
	automake, dist-hook target added

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: ignore config.cache in tests/ directory

2001-07-31  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: automake groks the ChangeLog now so we don't have to
	remind the maintainer to remake it

2001-07-30  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more corrections to the manual; the end is in site

2001-07-30  Will Estes <wlestes@users.sourceforge.net>

	* TODO: auto-generated backup?

2001-07-27  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: today's tinkering on the manual

2001-07-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: if we want flex.1 we have to say so in EXTRA_DIST

2001-07-27  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note future issues with flex.texi

2001-07-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: include flex.1 as it's the only working documentation
	for now

2001-07-27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: rearrange to work with automake on building the
	ChangeLog

2001-07-27  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: automake is unhappy if we specify the outfile

2001-07-26  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more conversions/corrections

2001-07-26  Will Estes <wlestes@users.sourceforge.net>

	* README: we removed misc/ so we don't mention it any more

2001-07-25  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: begin the manual conversion to texinfo; yes, it's
	broken right now

2001-07-25  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS, THANKS: copy in manual author and thanks info

2001-07-25  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: how to fake the ChangeLog into showing up in the
	distribution

2001-07-25  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add YFLAGS so parse.h gets made

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* examples/fastwc/README, examples/fastwc/mywc.c,
	examples/fastwc/wc1.l, examples/fastwc/wc2.l,
	examples/fastwc/wc3.l, examples/fastwc/wc4.l, examples/fastwc/wc5.l: 
	re-add these files

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* TODO: reflect recent doings

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in: what with automake, we don't need Makefile.in any
	more

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: more rearranging for automake

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: more mail came in

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: adjust to automake's idea of the world

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add Vern's misc dependencies; noinst_SCRIPTS was
	broken?; list a few last files to be included in the distribution

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: rearrange for better order; add automake support as a news
	item

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: copyright notice on Makefile.am; document some -D
	switches (are they still usable?)

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add lex-replacement issue

2001-07-24  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add EXTRA_DIST

2001-07-23  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: we need to do the same thing in each directory

2001-07-23  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: introduce automake into the macro calls

2001-07-23  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add AUTOMAKE_OPTIONS, info_TEXINFOS, include_HEADERS,
	noinst_HEADERS; it's libfl.a, not libflex.a

2001-07-23  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: bin_PROGRAMS and lib_LIBRARIES

2001-07-23  Will Estes <wlestes@users.sourceforge.net>

	* to.do/streams.mail: streams.mail has moved here

2001-07-23  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add xref for teximanual

2001-07-19  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: include typo/punctuation fixes from a patch submitted by
	noon@cote-dazur.com (Fabrice Bauzac)

2001-07-17  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we want gettext

2001-06-24  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: include c++ STD fixes from quanstro@quanstro.net

2001-06-24  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, gen.c: change some int types to size_t as per FreeBSD
	28364 from avn@any.ru

2001-06-24  Will Estes <wlestes@users.sourceforge.net>

	* TODO: remove parse.[ch] from make clean target; repackage
	distribution (not rework)

2001-06-19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add memory api and reworking of flex.skl reworking

2001-06-18  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: remove extraneous notice from flex.skl

2001-06-18  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: patch memory leak as per millaway

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: add vern's ok for copyright/license changes and
	john's answer on line offsets

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* TODO: remove creation of .cvsignore files (it's done); add other
	notes about the test suite

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/.cvsignore, tests/test-basic-nr/.cvsignore,
	tests/test-basic-r/.cvsignore, tests/test-bison-yylloc/.cvsignore,
	tests/test-bison-yylval/.cvsignore,
	tests/test-include-by-buffer/.cvsignore,
	tests/test-include-by-reentrant/.cvsignore,
	tests/test-prefix-nr/.cvsignore, tests/test-prefix-r/.cvsignore,
	tests/test-pthread/.cvsignore, tests/test-string-nr/.cvsignore,
	tests/test-string-r/.cvsignore, tests/test-yyextra/.cvsignore: 
	adding .cvsignore files for existing tests/ subdirectories

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/README: reformat, say to add a description to this file and
	mention what to do re .cvsignore

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/cvsignore: create template for .cvsignore

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* TODO: reorganize for logical reasons; test suite now seems to run
	out of the box

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: we dont want the Makefile either

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-nr/test.input, tests/test-prefix-r/test.input: 
	test.input was supposed to be here

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: add autoconf legacy files to be ignored

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: clarify usage instructions; prepare tests/ as well

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: . cvsignore for tests/ subdirectory

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h: tell emacs that FlexLexer.h is c++

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: tell emacs scan.l is in C mode

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: added punctuation

2001-06-17  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, Makefile.in, README, RoadMap, autogen.sh, ccl.c,
	configure.in, dfa.c, ecs.c, flex.1, flex.skl, flexdef.h, gen.c,
	libmain.c, libyywrap.c, main.c, misc.c, mkskel.sh, nfa.c, parse.y,
	scan.l, sym.c, tblcmp.c, yylex.c: change copyright/license notices
	as per Vern's response to Theo

2001-06-15  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: add bill fenlason's emails

2001-06-15  Will Estes <wlestes@users.sourceforge.net>

	* COPYING: make changes as per Theo De Raadt; remove tabs

2001-06-08  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: save errno as per Theo de Raadt

2001-06-07  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: correct hyphenation as per openbsd tree

2001-06-05  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in, configure.in: change references to TESTS/ to tests/
	to account for the directory name changes

2001-05-27  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, gen.c: commit john millaway's YY_G wrapper corrections

2001-05-21  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.in: remove || exit calls

2001-05-21  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: complete john millaway's reentrant patch

2001-05-21  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail:  more flex messages in the queue

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flexdef.h, gen.c, main.c, nfa.c, scan.l: john millaway's
	reentrancy patch

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.in: remove || exit from testing loop

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in: tell make about the tests directory and its
	associated targets

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* TODO: rethink the todo list

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: describe reentrant api changes

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* TODO: mention work needed for tests/

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: tell auto* about the test directory

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* README: make punctuation uniform, mention the new tests/ directory

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: reformat items; cut out old items and move them to ONEWS

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* ONEWS: move old NEWS items to ONEWS

2001-05-18  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.in, tests/README, tests/TEMPLATE/Makefile.in,
	tests/TEMPLATE/parser.y, tests/TEMPLATE/scanner.l,
	tests/TEMPLATE/test.input, tests/configure.in,
	tests/test-basic-nr/Makefile.in, tests/test-basic-nr/scanner.l,
	tests/test-basic-nr/test.input, tests/test-basic-r/Makefile.in,
	tests/test-basic-r/scanner.l, tests/test-basic-r/test.input,
	tests/test-bison-yylloc/Makefile.in,
	tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylloc/test.input,
	tests/test-bison-yylval/Makefile.in,
	tests/test-bison-yylval/parser.y,
	tests/test-bison-yylval/scanner.l,
	tests/test-bison-yylval/test.input,
	tests/test-include-by-buffer/Makefile.in,
	tests/test-include-by-buffer/scanner.l,
	tests/test-include-by-buffer/test-1.input,
	tests/test-include-by-buffer/test-2.input,
	tests/test-include-by-buffer/test-3.input,
	tests/test-include-by-reentrant/Makefile.in,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-include-by-reentrant/test-1.input,
	tests/test-include-by-reentrant/test-2.input,
	tests/test-include-by-reentrant/test-3.input,
	tests/test-prefix-nr/Makefile.in, tests/test-prefix-nr/README,
	tests/test-prefix-nr/scanner.l, tests/test-prefix-r/Makefile.in,
	tests/test-prefix-r/README, tests/test-prefix-r/scanner.l,
	tests/test-pthread/Makefile.in, tests/test-pthread/scanner.l,
	tests/test-pthread/test-1.input, tests/test-pthread/test-2.input,
	tests/test-pthread/test-3.input, tests/test-pthread/test-4.input,
	tests/test-pthread/test-5.input, tests/test-string-nr/Makefile.in,
	tests/test-string-nr/scanner.l, tests/test-string-r/Makefile.in,
	tests/test-string-r/scanner.l, tests/test-yyextra/Makefile.in,
	tests/test-yyextra/scanner.l, tests/test-yyextra/test.input: add
	john millaway's test directory

2001-05-04  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: more mail in flex.rmail

2001-05-03  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, ccl.c, dfa.c, ecs.c, flex.skl, flexdef.h, gen.c,
	libmain.c, libyywrap.c, main.c, misc.c, nfa.c, parse.y, scan.l,
	sym.c, tblcmp.c, yylex.c: remove extraneous rcs keywords

2001-05-03  Will Estes <wlestes@users.sourceforge.net>

	* README: mention RoadMap

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* examples/README, examples/debflex.awk, examples/manual/ChangeLog,
	examples/manual/Makefile, examples/manual/README,
	examples/manual/cat.lex, examples/manual/dates.lex,
	examples/manual/datetest.dat, examples/manual/eof_rules.lex,
	examples/manual/eof_test01.txt, examples/manual/eof_test02.txt,
	examples/manual/eof_test03.txt, examples/manual/expr.lex,
	examples/manual/expr.y, examples/manual/front.lex,
	examples/manual/front.y, examples/manual/j2t.lex,
	examples/manual/myname.lex, examples/manual/myname.txt,
	examples/manual/myname2.lex, examples/manual/numbers.lex,
	examples/manual/pas_include.lex, examples/manual/pascal.lex,
	examples/manual/reject.lex, examples/manual/replace.lex,
	examples/manual/string1.lex, examples/manual/string2.lex,
	examples/manual/strtest.dat, examples/manual/unput.lex,
	examples/manual/user_act.lex, examples/manual/userinit.lex,
	examples/manual/wc.lex, examples/manual/yymore.lex,
	examples/manual/yymore2.lex, examples/manual/yymoretest.dat,
	examples/testxxLexer.l, to.do/README, to.do/Wilhelms.todo,
	to.do/Wish-List, to.do/flex.rmail, to.do/unicode/FlexLexer.h,
	to.do/unicode/ccl.c, to.do/unicode/changes.txt,
	to.do/unicode/ecs.c, to.do/unicode/flex.1, to.do/unicode/flex.skl,
	to.do/unicode/flexdef.h, to.do/unicode/gen.c, to.do/unicode/main.c,
	to.do/unicode/misc.c, to.do/unicode/scan.l, to.do/unicode/tblcmp.c: 
	adding the rest of vern's files

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* README: mention misc/ directory

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* version.h: version is 2.5.5b

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in: remove header from top; add rule to generate
	initscan.c just in case

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: dont check for initscan.c; check for scan.l instead

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* RoadMap: list of source files

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* README: rewrite README to reflect changes in layout of directories

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS, THANKS, TODO: initial attempt at the files

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* COPYING: add 2001 copyright notice

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: initial attempt at a bootstrap script for developers

2001-05-01  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: texinfo manual, old contributed version

2000-08-21  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: fixed some bugs in examples of [[:...:]] ccls

2000-08-21  Vern Paxson <vern@ee.lbl.gov>

	* version.h: version shipped to Dick King

2000-08-21  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: explicit include of iostream.h

2000-08-21  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: if a newline is seen in <ACTION_STRING>, assume it
	terminates the string.

2000-08-21  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, sym.c: moved symbol table definitions from flexdef.h
	into sym.c

2000-08-21  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: fixed underallocation for accset

1997-06-27  Vern Paxson <vern@ee.lbl.gov>

	* COPYING: revised for rms

1997-06-23  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: fixed memory leak

1997-06-23  Vern Paxson <vern@ee.lbl.gov>

	* flex.1:  input() doesn't destroy yytext

1997-06-23  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: wrapped with extern "C++"

1996-12-13  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: use delete [] for yy_state_buf

1996-10-29  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: fixed %option noinput

1996-10-29  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: free(char*) fix ... Sigh ...

1996-10-11  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: bug fix for yymore()/yylineno interaction

1996-10-11  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed memory leak

1996-09-10  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: release 2.5.4

1996-09-10  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: more stuff for distclean

1996-09-10  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: "str" -> "yy_str"

1996-09-10  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.5.4

1996-07-02  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: (attempted) fix for input() crossing a file boundary

1996-05-29  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: don't do Acorn diffs

1996-05-29  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: some minor additions for 2.5.3

1996-05-29  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, version.h: 2.5.3

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: initialize yy_more_offset etc. for yyFlexLexer class

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: niggling cosmetic tweak

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: bug fixes for yymore (especially with %array)

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: yymore + %array tweaks

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: added yy_{,prev_}more_offset

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* main.c: removed decl of unused library function

1996-05-25  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: snapshot of cscope yymore fixes, prior to switching
	yymore-on-%array approach

1995-12-18  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: don't stack states on NUL-transitions that are jams

1995-09-27  Vern Paxson <vern@ee.lbl.gov>

	* libmain.c: fixed re Esmond Pitt's ancient suggestion

1995-04-28  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: ANSI C / Solaris tweak

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: credits

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: multiple FlexLexer.h includes

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: fix multiple inclusions

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: lint tweak

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: typo fixed

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: credits update

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: (char*) cast for realloc

1995-04-24  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: (char*) tweak

1995-04-21  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: VMS update for 2.5.2

1995-04-21  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: clarify when 8-bit scanners are created by default,
	vs. 7-bit

1995-04-21  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: reworked alloca() chud, from Francois

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, version.h: 2.5.2

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: 2.5.2 update

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, main.c: const -> yyconst

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: fixed some old libfl.a references

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: some (but not all) of Francois' tweaks

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: tweaks from Francois

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: yy_delete_buffer allows nil buffer pointer

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* main.c: do_stdinit now defaults to false

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: remove first default for yylex(new_in, new_out)

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: rearrange some definitions; fix YY_NO_UNPUT

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: more alloca() bullshit

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: octal escape sequence must have just digits 0-7

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: '-' means stdin octal escape sequence must just be digits
	0-7

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* main.c: -- terminates options

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: added dataflush() prototype

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: move dataflush, otoi prototypes into flexdef.h

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, gen.c: const -> yyconst

1995-04-20  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed bug in needing yy_cp for -Cf w/ backing up

1995-03-28  Vern Paxson <vern@ee.lbl.gov>

	* README, flex.1: Stan Adermann credit

1995-03-27  Vern Paxson <vern@ee.lbl.gov>

	* README: beta-tester update

1995-03-27  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, version.h: 2.5.1

1995-03-27  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: update date for 2.5.1 release, some feedbacker credits

1995-03-27  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed lint problem with declaring yy_cp unnecessarily

1995-03-27  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: {}'s around full-table initializations

1995-03-21  Vern Paxson <vern@ee.lbl.gov>

	* README: for version 2.5

1995-03-21  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: added note regarding yylineno should be maintained on a
	per-buffer basis

1995-03-21  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: new C++ member functions

1995-03-21  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, flex.1: 2.5.0.8 update

1995-03-21  Vern Paxson <vern@ee.lbl.gov>

	* main.c: rename yylineno if -P

1995-03-20  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: do_yylineno MARKER_DIFFERENCE depends on MAXIMUM_MNS

1995-03-20  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: removed redundant skel.c from DISTFILES

1995-03-20  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: debug(), setdebug(), lineno()

1995-03-20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: %option yylineno support

1995-03-20  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: read up to newline for interactive reads, rather than one
	char

1995-03-20  Vern Paxson <vern@ee.lbl.gov>

	* main.c, scan.l: added %option yylineno

1995-03-18  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: added do_yylineno

1995-03-06  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, flex.1: 2.5.0.7

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: realclean -> maintainer-clean

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added yy_flush_buffer

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: added yy_flush_buffer

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* main.c: prefix support for yy_flush_buffer

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: added %option yyclass

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, main.c, scan.l: added yyclass

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Added switch_streams

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added switch_streams

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* main.c: don't rename yy_flex_debug for C++

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: yy_flex_debug extern only if not C++

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: added yy_flex_debug member variable

1995-03-05  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: yyFlexLexer initialization of yy_flex_debug

1995-03-04  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, main.c: VMS POSIX stuff

1995-03-04  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: moved position of yy_init = 0

1995-03-04  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added YY_EXIT_FAILURE

1995-03-04  Vern Paxson <vern@ee.lbl.gov>

	* main.c: removed VMS-specific exit

1995-03-04  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, flexdef.h, gen.c, main.c, misc.c, nfa.c, scan.l, sym.c,
	yylex.c: internationalization aids

1995-03-04  Vern Paxson <vern@ee.lbl.gov>

	* main.c: do yy_flex_debug prefix for both C++ and C

1995-02-06  Vern Paxson <vern@ee.lbl.gov>

	* main.c: fixed program_name tweak again

1995-01-11  Vern Paxson <vern@ee.lbl.gov>

	* main.c: oops, fixed program_name tweak

1995-01-11  Vern Paxson <vern@ee.lbl.gov>

	* main.c: program_name is "flex" if argv[0] nil

1995-01-10  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.0.5

1995-01-10  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Documented YY_NUM_RULES

1995-01-10  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: added formatted man page to MISC

1995-01-10  Vern Paxson <vern@ee.lbl.gov>

	* main.c: help messages to stdout

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Added YY_NUM_RULES

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: better fix for #pragma problem

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: better fix for #pragma portability problem

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: "# line" -> #line

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h: comment out Turbo C #pragma's

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: reset linenum on new file

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: isatty() extern

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, flex.1: 2.5.0.4

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* main.c: long options, VMS tweaks

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added parse.c, parse.h for dist MISC directory

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: some "const" cleansing

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* mkskel.sh: skel[] is now const

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: some const cleansing

1995-01-09  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: #line in section 1

1995-01-05  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: preen

1994-12-29  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: config.h from conf.in

1994-12-29  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: for VMS, delete -> remove

1994-12-29  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: config.h.in -> conf.in rm config.h on distclean

1994-12-29  Vern Paxson <vern@ee.lbl.gov>

	* main.c: stdinit tweaks

1994-12-29  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: added nostdinit

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: added MS-DOS note for 2.5.0.2

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: typos, tweaks

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: removed flexdoc

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: flexdoc/flex merge

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: typos

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: typo

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: 2.5 update

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.0.2

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: fixed sense of %option main implying %option noyywrap

1994-12-28  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: YY_FLEX_{MAJOR,MINOR}_VERSION fixed bug in unput
	trashing yytext even with %array

1994-12-17  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: prior to 2.5 update

1994-12-17  Vern Paxson <vern@ee.lbl.gov>

	* main.c: C++/-P fixes

1994-12-17  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: -P fixes constructor, destructor moved to flex.skl

1994-12-17  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: YY_SKIP_YYWRAP yyFlexLexer constructor, destructor

1994-12-15  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: formatting

